compiz (1:0.9.14.2+22.10.20220822-0ubuntu9) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:11:10 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu8) noble; urgency=medium

  * Drop toggle-shaded since it's no longer included in
    gsettings-desktop-schemas 45 (LP: #2045493)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 15:46:39 -0500

compiz (1:0.9.14.2+22.10.20220822-0ubuntu7) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:14:40 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu6) noble; urgency=medium

  * Adjust path for the CompizConfigPython tests (LP: #2050888)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 23 Jan 2024 17:37:25 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu5) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:07:54 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu4) mantic; urgency=medium

  * Fix ftbfs by stopping forcing obsolete c++11.
  * Disable Werror.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 22 Sep 2023 00:46:09 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu3) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 19:39:45 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:56:17 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu1) kinetic; urgency=medium

  * Bump upstream version number to 0.9.14.2.
  * Update translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 22 Aug 2022 05:55:24 +0000

compiz (1:0.9.14.1+22.10.20220817-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * Set CMake policy CMP0072 to NEW behavior

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 Aug 2022 16:58:51 +0000

compiz (1:0.9.14.1+22.10.20220815.3-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: set client type before using WnckScreen API
  * event: use correct window when deciding if it should appear focused
  * Fix build errors and warnings

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 15 Aug 2022 19:45:55 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:24:08 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu1) jammy; urgency=medium

  [ Daniel Kondor ]
  * core: EventManager::removeWatchFd() should remove the watch from the
    Glib::MainContext (LP: #1879975)

  [ Sam Spilsbury ]
  * blur: Set precision level in fragment shader in GL_ES case.
  * Enable EGL_EXT_buffer_age on USE_GLES where it is advertised.
  * blur: Use GLFramebufferObject::rebind with the returned framebuffer.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Dec 2021 12:06:09 +0000

compiz (1:0.9.14.1+22.04.20211026-0ubuntu1) jammy; urgency=medium

  * Increase string buffer size to fix GCC format-truncation error.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 Oct 2021 15:43:43 +0000

compiz (1:0.9.14.1+21.10.20210501-0ubuntu1) impish; urgency=medium

  * Remove unused empty private structs.
  * Update FSF addresses. (LP: #1923481)
  * Build the compizconfig Python extension using distutils. Bump
    required CMake version to 3.17 to make this possible. (LP: #1926046)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 01 May 2021 17:29:43 +0000

compiz (1:0.9.14.1+20.10.20200813-0ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:31:18 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu3) hirsute; urgency=medium

  * Build-depend on python3-dev instead of python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Oct 2020 11:03:40 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 10:56:28 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu1) groovy; urgency=medium

  * Use unsigned long for getting/setting _NET_WM_USER_TIME property, to
    fix tests on s390x.
  * Add support for CMake Unity builds (aka Jumbo builds). (LP:
    #1882792)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 13 Aug 2020 06:58:29 +0000

compiz (1:0.9.14.1+20.10.20200526-0ubuntu5) groovy; urgency=medium

  * Revert last upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 15:51:18 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu4) groovy; urgency=medium

  * Disable tests on s390x, ungoing investigation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 18:05:08 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu3) groovy; urgency=medium

  * Initialize 3 arrays to zero to silence a new gcc-10 warning
  * Move window_type_frames to extern in the header file, fixing a build
    failure with gcc-10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 11:39:45 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu2) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:13:56 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu1) groovy; urgency=medium

  [ Daniel Kondor ]
  * Make annotate plugin D-Bus interface working, and clean up code.
    (LP: #1878545)
  * Use dbus_bool_t instead of bool.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 May 2020 16:38:36 +0000

compiz (1:0.9.14.1+20.10.20200514-0ubuntu1) groovy; urgency=medium

  * No-change rebuild against libmetacity3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 14 May 2020 09:04:56 +0000

compiz (1:0.9.14.1+20.10.20200427-0ubuntu1) groovy; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: remove HeaderStyleSet (LP: #1863561)
  * window-decorator: remove shade, stick and above buttons

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Apr 2020 10:22:52 +0000

compiz (1:0.9.14.1+20.04.20200211-0ubuntu1) focal; urgency=medium

  * No-change rebuild to pick up cmake 3.16 path.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Feb 2020 12:54:26 +0000

compiz (1:0.9.14.1+20.04.20200130-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GNOME_WM_STRUT_AREA.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 30 Jan 2020 12:06:21 +0000

compiz (1:0.9.14.1+20.04.20200129-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GTK_WORKAREAS_Dn.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2020 11:42:37 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:25:42 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * don't change pkg-config search path (LP: #1859778)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Jan 2020 18:25:29 +0000

compiz (1:0.9.14.1+20.04.20191127-0ubuntu1) focal; urgency=medium

  * Bump upstream version number to 0.9.14.1.
  * Import Spanish, German and Turkish translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 27 Nov 2019 13:24:31 +0000

compiz (1:0.9.14.0+20.04.20191118-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: fix crash with Cairo theme (LP: #1847129)
  * Remove MATE configuration.

  [ Dmitry Shachnev ]
  * Use GLib.markup_escape_text instead of cgi.escape which was removed
    in Python 3.8.
  * Fix build with latest googletest, by using static libraries shipped
    by distro.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 18 Nov 2019 07:01:26 +0000

compiz (1:0.9.14.0+19.10.20190918-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:38:37 +0000

compiz (1:0.9.14.0+19.10.20190918-0ubuntu1) eoan; urgency=medium

  * Fix build failure with GCC 9 because of format-truncation warning.
    (LP: #1843974)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 18 Sep 2019 13:05:28 +0000

compiz (1:0.9.14.0+19.04.20190223.1-0ubuntu1) disco; urgency=medium

  * Import the latest translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 23 Feb 2019 08:52:17 +0000

compiz (1:0.9.14.0+19.04.20190219-0ubuntu1) disco; urgency=medium

  * ccsm: Fix UnicodeDecodeError caused by non-ASCII plugin
    descriptions. (LP: #1816629)
  * ccsm: Fix TypeError when calling Gtk.Menu.popup() with invalid
    number of arguments.
  * ccsm: Fix display of Copyright sign.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 19 Feb 2019 17:08:43 +0000

compiz (1:0.9.14.0+19.04.20190217.1-0ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Code moved (again) to git as default vcs
  * debian/control:
    - Update Vcs-Git and Homepage tags
  * debian/gbp.conf:
    - Update branches and tags templates
  * debian/source/format:
    - Update version to 3.0 (native)

  [ Dmitry Shachnev ]
  * Bump upstream version number to 0.9.14.0.
  * Fix GCC -Wstringop-truncation error.
  * Fix window grabbing by title or ID, based on a patch by Alexei Sorokin.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 17 Feb 2019 19:14:22 +0000

compiz (1:0.9.13.1+19.04.20190208-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for loading configuration from multiple files.
  * Remove unity configuration, will be added back in unity.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 08 Feb 2019 11:47:39 +0000

compiz (1:0.9.13.1+19.04.20190207.2-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Remove no longer needed button-layout workaround.
  * Fix many PyGTKDeprecationWarning warnings.
  * Fix protobuf warning by explicitly specifying proto2 syntax.
  * Set Cython language_level directive.
  * compizconfig: remove unused MATE integration

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 07 Feb 2019 14:33:04 +0000

compiz (1:0.9.13.1+19.04.20190205.1-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Clean up CMake files, and bump required version to 3.10.
  * Fix fallout from deprecation fixes.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 05 Feb 2019 21:00:07 +0000

compiz (1:0.9.13.1+19.04.20190205-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Remove KDE support.
  * Fix GNOME building.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 05 Feb 2019 13:11:50 +0000

compiz (1:0.9.13.1+19.04.20190204.1-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix visual-bell-type GSettings values.
  * Fix some deprecation warnings.
  * Fix regression in CCSM from Python 3 port. (LP: #1814462)

  [ Khurshid Alam ]
  * Transition from gnome-settings-daemon-schemas to gnome-settings-
    daemon-common. (LP: #1811118)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 04 Feb 2019 21:17:20 +0000

compiz (1:0.9.13.1+19.04.20190103-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Port CCSM to Python 3. (LP: #1004592, #1310794)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 03 Jan 2019 18:56:40 +0000

compiz (1:0.9.13.1+18.10.20180930-0ubuntu2) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:02:37 -0500

compiz (1:0.9.13.1+18.10.20180930-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix missing icons in CCSM. (LP: #1794765)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 30 Sep 2018 16:55:04 +0000

compiz (1:0.9.13.1+18.10.20180905-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Run tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 05 Sep 2018 06:43:58 +0000

compiz (1:0.9.13.1+18.10.20180827-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * No-change rebuild against CMake 3.12

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Aug 2018 13:24:35 +0000

compiz (1:0.9.13.1+18.10.20180727-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Don't set CMP0000 policy to OLD.
  * Don't set CMP0003 policy.
  * Don't set CMP0005 policy to OLD.
  * Don't set CMP0011 policy to OLD.
  * Don't set CMP0022 policy to OLD.
  * Don't set CMP0002 policy to OLD.
  * Drop xig support. (LP: #1100128)
  * Remove useless warnings.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Jul 2018 08:19:53 +0000

compiz (1:0.9.13.1+18.10.20180723-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix build errors with GCC 8.1.
  * Make tests build again with Google Test 1.8.0 and GCC 8.1.
  * Build tests.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 23 Jul 2018 17:15:27 +0000

compiz (1:0.9.13.1+18.10.20180717-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * decor: don't use hard-coded path as default command.
  * ccsm: remove python 2.4 support.
  * ccsm: force icon size.
  * compizconfig: remove tabs.
  * ccsm: don't use star imports.
  * ccsm: fix few typos.
  * ccsm: add borders in few places.
  * ccsm: fix KeyError warnings.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 Jul 2018 11:20:11 +0000

compiz (1:0.9.13.1+18.10.20180716-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: port to PyGObject and GTK+ 3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 16 Jul 2018 11:21:08 +0000

compiz (1:0.9.13.1+18.10.20180711.1-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: fix two typos.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 11 Jul 2018 18:43:20 +0000

compiz (1:0.9.13.1+18.10.20180711-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: prepare for PyGObject

  [ Samuel Thibault ]
  * Do not enable "Target Focused Window on Specific Zoom" by default
    (LP: #1763692)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 11 Jul 2018 15:31:07 +0000

compiz (1:0.9.13.1+18.10.20180707-0ubuntu1) cosmic; urgency=medium

  [ Samuel Thibault ]
  * Update lintian override for compiz-core: bumped ABI.
  * rules: Include architecture.mk instead of defining DEB_* variables.
  * Add "Change" to "Zoom Speed" and "Zoom Timestep"
  * showmouse: enable by default Guides instead of Emitters (LP:
    #1763032)
  * Add missing plugin description files to potfiles (LP: #1722732)

  [ Cyril Brulebois ]
  * Fix missing attributions in debian/copyright (Closes: #848545):
     - List copyright holders for all po/* files.
     - List copyright holders for some cmake files.
     - List copyright holders for some gtk window decorator files.
     - List copyright holder for some animationplus files.
     - List copyright holders for borrowed files in libdecoration.
     - List copyright holders for all plugins.

  [ Andreas Beckmann ]
  * compiz-plugins-default: Fix upgrading from the squeeze packages by adding
    Breaks+Replaces: compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3).
    (Closes: #860780)

  [ Alberts Muktupāvels ]
  * ccsm: set all arguments for pack_start() and pack_end().
  * compizconfig-python: replace pyrex with cython.
  * libcompizconfig: improve error message when scandir fails.
  * Properly set COMPIZ_SYSCONFDIR.
  * compizconfig: remove "Loading icons..." debug message.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 07 Jul 2018 19:27:45 +0000

compiz (1:0.9.13.1+18.04.20180302-0ubuntu1) bionic; urgency=medium

  [ Alberts Muktupāvels ]
  * Make docks and splashscreens appear focused.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 02 Mar 2018 17:02:45 +0000

compiz (1:0.9.13.1+18.04.20180221.1-0ubuntu1) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Region: define static const functions returning infinite and empty
    regions (LP: #1749957, #1750619)

  [ Samuel Thibault ]
  * ezoom: Add option to choose between no smoothing and linear
    smoothing (LP: #1736446)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 21 Feb 2018 17:34:08 +0000

compiz (1:0.9.13.1+18.04.20171116-0ubuntu1) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * unity-lowgfx.ini: remove unsupported unity option

  [ Samuel Thibault ]
  * X11: keep the last MotionNotify when collapsing them (LP: #1728870)
  * compizconfig: load modules in alphabetical order instead of
    undefined order (LP: #1729045)

  [ ksamak ]
  * neg: added hook to react to change in ccsm, for autostart option

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 16 Nov 2017 03:25:54 +0000

compiz (1:0.9.13.1+17.10.20170901-0ubuntu1) artful; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Rebuild to generate cmake-3.9 files

  [ Martin Wimpress ]
  * Update the MATE profile defaults to include <Shift>Print keybinding,
    updated animation matches that include MATE applications and show
    thumbnails and icons in the application switcher.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 01 Sep 2017 09:53:37 +0000

compiz (1:0.9.13.1+17.10.20170720-0ubuntu1) artful; urgency=medium

  * debian: tune unity-lowgfx profile and add upgrades

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 20 Jul 2017 10:02:32 +0000

compiz (1:0.9.13.1+17.10.20170704-0ubuntu1) artful; urgency=medium

  [ Alberts Muktupāvels ]
  * Use AnyPropertyType when getting _MOTIF_WM_HINTS property. (LP:
    #1702297)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 04 Jul 2017 13:02:08 +0000

compiz (1:0.9.13.1+17.10.20170703-0ubuntu1) artful; urgency=medium

  * move: damage all the border area in outline mode and ignore
    transparent colors (LP: #1700859)
  * grid: ignore alpha in colors when not blending, and fix animations
    (LP: #1700859)
  * resize: add support for disabling transparency and avoid over-
    damaging in outline mode (LP: #1700859)
  * Screen: add averageColor to get the current desktop average color

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 03 Jul 2017 15:21:34 +0000

compiz (1:0.9.13.1+17.10.20170616-0ubuntu1) artful; urgency=medium

  [ Martin Wimpress ]
  * Mate: tune profile for faster switcher and Super+L support

  [ ksamak ]
  * showmouse: added autostart option

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 16 Jun 2017 15:17:48 +0000

compiz (1:0.9.13.1+17.10.20170515-0ubuntu1) artful; urgency=medium

  [ Martin Wimpress ]
  * mate: Avoid artefacts of Windows Thumbnail Previews (LP: #1606369)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 15 May 2017 05:51:32 +0000

compiz (1:0.9.13.1+17.10.20170427-0ubuntu1) artful; urgency=medium

  [ Alberts Muktupāvels ]
  * Ensure that surfaces used by metacity theme have device scale set to
    1 (LP: #1530277). (LP: #1530277)
  * gtk-window-decorator: require libmetacity 3.22.0 or newer.
  * Fix initial serverFrame position. (LP: #1390157, #1579421)
  * Fix move rectangle size.
  * gtk-window-decorator: scale window decorations on HiDPI (LP:
    #1530277)

  [ Colomban Wendling ]
  * Restore the ColorChooser plugin by porting it to new OpenGL plugin
    API.

  [ Marco Trevisan (Treviño) ]
  * debian/65compiz_profile-on-session: don't export
    COMPIZ_CONFIG_PROFILE in unity

  [ Martin Wimpress ]
  * Mate: don't use the workaround plugin (LP: #1611797)

  [ ksamak ]
  * obs: added default o/b/s spawn values for new windows
  * debian: added packaging for colorfilter plugin

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 27 Apr 2017 06:41:27 +0000

compiz (1:0.9.13.1+17.04.20170109-0ubuntu1) zesty; urgency=medium

  [ Eleni Maria Stea ]
  * Move: add options for showing only the window shape (filled or not)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Jan 2017 15:09:13 +0000

compiz (1:0.9.13.1+17.04.20161114.1-0ubuntu1) zesty; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release 0.9.13.1

  [ Alberts Muktupāvels ]
  * Fix build with -DUSE_METACITY=OFF.

  [ ksamak ]
  * Negative: add option to ensure windows are negative by default on
    startup

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 14 Nov 2016 18:20:26 +0000

compiz (1:0.9.13.0+17.04.20161107-0ubuntu1) zesty; urgency=medium

  [ Eleni Maria Stea ]
  * fixes compile errors caused by unused test functions

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 07 Nov 2016 17:03:48 +0000

compiz (1:0.9.13.0+17.04.20161104-0ubuntu1) zesty; urgency=medium

  * No-change rebuild against Metacity 3.22.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 04 Nov 2016 19:28:03 +0000

compiz (1:0.9.13.0+17.04.20161103-0ubuntu1) zesty; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: require libmetacity 3.20 or newer.
  * gtk-window-decorator: improve GTK+ theme support, full support will
    require Metacity 3.22.
  * gtk-window-decorator: use `resize` not `invisible` border
  * GWD: add support for metacity 3.22 (LP: #1629749)

  [ Eleni Maria Stea ]
  * Added option to disable blend in grid plugin

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 03 Nov 2016 18:31:18 +0000

compiz (1:0.9.13.0+17.04.20161026-0ubuntu1) zesty; urgency=medium

  * Rebuild against cmake 3.6

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Oct 2016 16:10:26 +0000

compiz (1:0.9.13.0+16.10.20160818.2-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * [expo] limit scroll to workarea. (LP: #913880)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 18 Aug 2016 18:53:33 +0000

compiz (1:0.9.13.0+16.10.20160801.3-0ubuntu3) yakkety; urgency=medium

  * Fix subtraction of unsigned ints in trailfocus plugin, to fix FTBFS.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 10 Aug 2016 20:51:32 +0300

compiz (1:0.9.13.0+16.10.20160801.3-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild against new libmetacity.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 10 Aug 2016 20:23:05 +0300

compiz (1:0.9.13.0+16.10.20160801.3-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * focusDefaultWindow: focus Most Recently Used (MRU) window and
    fallback to the top window in case MRU list is not available. (LP:
    #1073488, #1459671)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 01 Aug 2016 13:25:42 +0000

compiz (1:0.9.13.0+16.10.20160728-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Don't activate expo if not needed (1x1 setup) (LP: #1606254)
  * Don't crash if gsettings key is not found. Default value will be
    used. (LP: #1044662)

  [ BryanFRitt ]
  * Added in 100% to Grid's 'Cycle Through Multiple Sizes' and

  [ Marco Trevisan (Treviño) ]
  * Unity MigrationScript: sync gsettings on exit, and only use dconf on
    failure (LP: #1605011)
  * Animationsim: fix typo in default bool value

  [ Sam Spilsbury smspillaz@gmail.com ]
  * Re-add the animationsjc plugin
  * Add back simple-animations plugin
  * Re-add the animationsplus plugn

  [ ksamak ]
  * switcher: adds a size multiplier for A11Y purposes (sight impaired
    people)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 28 Jul 2016 16:57:46 +0000

compiz (1:0.9.13.0+16.10.20160726.4-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Don't activate expo if not needed (1x1 setup) (LP: #1606254)
  * Don't crash if gsettings key is not found. Default value will be
    used. (LP: #1044662)

  [ BryanFRitt ]
  * Added in 100% to Grid's 'Cycle Through Multiple Sizes' and

  [ Marco Trevisan (Treviño) ]
  * Unity MigrationScript: sync gsettings on exit, and only use dconf on
    failure (LP: #1605011)
  * Animationsim: fix typo in default bool value

  [ Sam Spilsbury smspillaz@gmail.com ]
  * Re-add the animationsjc plugin
  * Add back simple-animations plugin
  * Re-add the animationsplus plugn

  [ ksamak ]
  * switcher: adds a size multiplier for A11Y purposes (sight impaired
    people)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 28 Jul 2016 16:57:46 +0000

compiz (1:0.9.13.0+16.10.20160714.2-0ubuntu1) yakkety; urgency=medium

  [ Eleni Maria Stea ]
  * Added a new option in show desktop plugin that skips the fade
    animation: useful when performance is more important than eyecandy.

  [ Marco Trevisan (Treviño) ]
  * ccsGSettingsBackend: don't try to update setting if wrapper is not
    found (LP: #1599900)
  * migration scripts: remove unsupported plugins for all the unity
    profiles

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 14 Jul 2016 15:52:00 +0000

compiz (1:0.9.13.0+16.10.20160705-0ubuntu1) yakkety; urgency=medium

  [ Eleni Maria Stea ]
  * Added options for no animation in expo and scale plugins. They skip
    the intermediate fading steps that force several redraws.

  [ Marco Trevisan (Treviño) ]
  * Composite: use C++ goodness for managing damaging rectangles
  * debian: add unity-lowgfx profile to compizconfig (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 05 Jul 2016 01:12:10 +0000

compiz (1:0.9.13.0+16.10.20160628-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release 0.9.13.0

  [ Sam Spilsbury smspillaz@gmail.com ]
  * animationaddon: Port the animationaddon plugin to use modern GL API.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 28 Jun 2016 14:57:42 +0000

compiz (1:0.9.12.2+16.10.20160621-0ubuntu1) yakkety; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: add new metacity-theme-type setting in
    GWDSettings.
  * gtk-window-decorator: stop using meta_frame_type_from_string.
  * gtk-window-decorator: more code cleanup.
  * gtk-window-decorator: improve titlebar font handling.
  * gtk-window-decorator: use only one style window.
  * gtk-window-decorator: improve Metacity theme.
  * gtk-window-decorator: support Metacity 3.20.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 21 Jun 2016 13:11:16 +0000

compiz (1:0.9.12.2+16.10.20160606.2-0ubuntu1) yakkety; urgency=medium

  [ Eleni Maria Stea ]
  * removed a line that includes a missing header file and breaks the
    build

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 06 Jun 2016 14:28:30 +0000

compiz (1:0.9.12.2+16.10.20160602.3-0ubuntu1) yakkety; urgency=medium

  [ Graham Inggs ]
  * Move libjpeg8-dev to libjpeg-dev

  [ Gianfranco Costamagna ]
  * Move libpng12-dev to libpng-dev, to ease libpng12 removal.
  * Move libjpeg8-dev to libjpeg-dev and libpng12-dev to libpng-dev, to
    ease libpng12 removal

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: remove broken 2D decoration mode.
  * gtk-window-decorator: replace get_title_scale with
    update_titlebar_font_size.
  * gtk-window-decorator: improve GWDSettingsStorage

  [ Marco Trevisan (Treviño) ]
  * showmouse: add mouse vertical and horizontal guides (LP: #1541059)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 02 Jun 2016 01:30:40 +0000

compiz (1:0.9.12.2+16.10.20160526-0ubuntu1) yakkety; urgency=medium

  [ Alberts Muktupāvels ]
  * Simplify GWDSettingsStorage.
  * gtk-window-decorator: Stop using g_object_get with GWDSettings.
  * gtk-window-decorator: remove gwd-cairo-window-decoration-util.[c/h].
  * gtk-window-decorator: update Metacity theme loading.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 26 May 2016 13:33:29 +0000

compiz (1:0.9.12.2+16.10.20160525-0ubuntu1) yakkety; urgency=medium

  [ Alberts Muktupāvels ]
  * Add GWDTheme, GWDThemeCairo and GWDThemeMetacity.
  * GWDTheme: implement calc_decoration_size.
  * GWDTheme: implement draw_window_decoration.
  * GWDTheme: implement get_button_position.
  * GWDTheme: implement get_event_window_position.
  * GWDTheme: implement get_shadow.
  * GWDTheme: implement get_title_scale.
  * GWDTheme: implement update_border_extents.
  * Remove GWDSettingsInterface.
  * Remove GWDSettingsNotifiedInterface and GDWSettingsNotified.
  * gtk-window-decorator: remove global meta_button_layout and
    meta_button_layout_set variables.

  [ Alberts Muktupāvels, CI Train Bot ]
  * Remove GWDSettingsWritable.
  * gtk-window-decorator: don't use GWDSettings as global variable.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 25 May 2016 14:20:56 +0000

compiz (1:0.9.12.2+16.10.20160517-0ubuntu1) yakkety; urgency=medium

  [ Alberts Muktupāvels ]
  * CMake: Remove USE_GSETTINGS option.
  * Fix memory leaks in GWDSettingsStorage.
  * OpenGL: use the number of Opaque windows around to decide whether
    paint the bg or not (LP: #1574866)
  * Remove GWDSettingsStorageInterface.

  [ Andrea Azzarone ]
  * Add an option to notify that a key press is actually an "auto
    repeat" one. (LP: #1572241)

  [ Eleni Maria Stea ]
  * Expo, Scale: add support for bottom offsets (LP: #1573897, #1562346)

  [ Marco Trevisan (Treviño) ]
  * Scale: allow to iterate through windows using Tab key
  * Scale: use the selectedWindow as starting point when focusing a
    window (LP: #1575168)
  * Window: call stateChangeNotify when compiz state changed but before
    changing the WM state (LP: #1521302)

  [ Sam Spilsbury smspillaz@gmail.com ]
  * Blur: port the plugin to modern OpenGL

  [ handsome_feng ]
  * Add a YBottomOffset value when stretch maximized windows。 (LP:
    #1562348)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 17 May 2016 02:53:09 +0000

compiz (1:0.9.12.2+16.04.20160415-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:01:37 +0000

compiz (1:0.9.12.2+16.04.20160415-0ubuntu1) xenial; urgency=medium

  [ Martin Wimpress ]
  * mate.ini: Fixes flickery thumbnails

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 15 Apr 2016 05:30:50 +0000

compiz (1:0.9.12.2+16.04.20160331-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: fix typos in tests.

  [ Martin Wimpress ]
  * Fix compiz-mate Recommends: use ubuntu-mate-wallpapers-common.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 31 Mar 2016 22:55:09 +0000

compiz (1:0.9.12.2+16.04.20160318-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: Use the Marco gsettings in MATE session.
  * gtk-window-decorator: add support for dark theme variant.

  [ Martin Wimpress ]
  * MATE Compiz configuration is now consistent with composited Marco
    and Metacity.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 18 Mar 2016 10:08:19 +0000

compiz (1:0.9.12.2+16.04.20160311-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * Avoid GtkStyleContext warnings with GTK+ 3.20+.
  * Remove GWDSettingsXPropertyStorageInterface.
  * gtk-window-decorator: Remove unused setting from mutter.

  [ Martin Wimpress ]
  * mate.ini: Enable 'Keep Minimzed Windows' by default for the MATE
    profile (LP: #1067951)

  [ Sam Spilsbury smspillaz@gmail.com ]
  * Fix broken tests

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 11 Mar 2016 08:26:45 +0000

compiz (1:0.9.12.2+16.04.20160209-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * chrome and chromium windows are considered compiz windows in
    fullscreen to avoid tearing (Bug #1442728) (LP: #1442728)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 09 Feb 2016 01:16:01 +0000

compiz (1:0.9.12.2+16.04.20151211-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * FindXorgGTest: escape unscaped quotes on pkg-config variables (LP:
    #1521366)
  * Scale: use current monitor workarea to check whether the mouse is
    inside or not (LP: #1516599)
  * backends: drop gconf support

  [ Sebastien Bacher ]
  * Update the apport hook, get the gsettings config not the gconf one
    (LP: #1508974)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 11 Dec 2015 10:00:39 +0000

compiz (1:0.9.12.2+16.04.20151026-0ubuntu1) xenial; urgency=medium

  * Move: remember the type of movement and use the proper grabbing for
    it (LP: #1487637)
  * Resize: remember the type of movement and use the proper grabbing
    for it (LP: #1487637)
  * Screen: add cursorChangeNotify function and call it on
    XA_RESOURCE_MANAGER
  * Screen: add pushKeyboardGrab and pushPointerGrab methods to add
    different kinds of grabs
  * Screen: monitor root RESOURCE_MANAGER and update cursors when Size
    or Theme changes (LP: #1359211)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 26 Oct 2015 17:15:54 +0000

compiz (1:0.9.12.2+15.10.20151015-0ubuntu1) wily; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Syncing changelog with proposed

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 15 Oct 2015 16:13:32 +0000

compiz (1:0.9.12.2+15.10.20151002-0ubuntu1) wily; urgency=medium

  [ Eleni Maria Stea ]
  * Fixes the texture coordinates of the cube and deformed cube caps so
    that the top and bottom images appear centered. (LP: #1498504)

  [ Marco Trevisan (Treviño) ]
  * TestPrivateScreen: ignore unused init const. (LP: #1499108)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 02 Oct 2015 00:31:47 +0000

compiz (1:0.9.12.2+15.10.20150908-0ubuntu1) wily; urgency=medium

  [ Stephen M. Webb ]
  * new upstream version 0.9.12.2
  * debian/upstream: added signing key

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Build compiz using c++11.
  * Enable building compiz from sources using cmake3.

  [ Artur drozd ]
  * Allow to select background color for switcher and staticswitcher.
    (LP: #1329811)

  [ Eleni Maria Stea ]
  * decoration: fixed warning for parentheses order

  [ Tim Lunn ]
  * Remove unused code that causes a build-dep on gnome-control-center-
    dev (LP: #1481541) (LP: #1481541)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 08 Sep 2015 11:36:16 +0000

compiz (1:0.9.12.1+15.10.20150805-0ubuntu1) wily; urgency=medium

  [ Alberts Muktupāvels ]
  * Change icon size back to 48px in application switcher plugin. (LP:
    #1237057)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Dmitry Shachnev ]
  * Move window switcher plugins to compiz-plugins-default. (LP:
    #971051, #1465647)
  * debian/compiz-gnome.gsettings-override: Remove unityshell from
    active plugins, and add switcher. (LP: #1469086)

  [ Eleni Maria Stea ]
  * It fixes the 3d windows plugin. Problem: The 3d clipping is
    performed in viewing space (modelview transformation) and should be
    done inside the shader when we use shaders otherwise the viewing
    space pipeline operations will be ignored. Compiz used to perform
    the clipping inside the td plugin using pipeline functions, then it
    was loading a generic shader program (no clipping operations) to
    render the windows and then it rendered the 3d quads around the
    windows using the pipeline (so these were clipped correctly). (LP:
    #1395697)
  * Sometimes the MultipleCubes, Automatic or OneBigCube option might be
    set although we are not in multimonitor. Modified the 3d windows
    plugin to check the number of monitors as well.

  [ Marco Trevisan (Treviño) ]
  * Window: add clientFrame(), to get the client-side decoration extents
    (LP: #1422768, #1436553)
  * Window: compute the correct output using the absolute window
    position (LP: #1475721)

  [ Martin Wimpress ]
  * align MATE profile more closely with Marco

  [ Stephen M. Webb ]
  * Fix a FTBFS when -std=c++11 is used. (LP: #1477654)
  * Fixed the Compiz manpage and --help message to agree with the actual
    command-line options supported. (LP: #1475508)
  * force Compiz to build using C++-11 (required by build dependency
    libgtkmm-3.0-1). (LP: #1477978)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 05 Aug 2015 11:26:51 +0000

compiz (1:0.9.12.1+15.10.20150627.1-0ubuntu1) wily; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for metacity 3.16. (LP: #1463645)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Eleni Maria Stea ]
  * removed unnecessary glClear which causes bug #1462612 (LP: #1462612)

  [ Martin Wimpress ]
  * Tweak the shadows so subtle drop shadows appears on menus, just as
    they do in Macro.  Change from Shift Switcher to Static Switcher
    because Shift Switcher is causing Compiz to crash, particularly when
    switching while Steam is running.

  [ Stephen M. Webb ]
  * remove a bashism from the xsession set-profile script (LP: #1460324)

 -- CI Train Bot <ci-train-bot@canonical.com>  Sat, 27 Jun 2015 04:41:51 +0000

compiz (1:0.9.12.1+15.10.20150511-0ubuntu1) wily; urgency=medium

  [ Alberts Muktupāvels ]
  * Remove unused setting from gtk-window-decorator.
  * Stop using ccp_plugin.patch only in ubuntu, apply it to source and
    remove it from debian/patches.

  [ Martin Wimpress ]
  * Default MATE keybindings to be consistent with other MATE WMs.

  [ Stephen M. Webb ]
  * OpenGL plugin: refine GLTexture API to adhere to class invariants
    (LP: #1101594)
  * removed redundant 12.04 migration scripts (LP: #1400493, #1423566)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 11 May 2015 16:39:16 +0000

compiz (1:0.9.12.1+15.04.20150410.1-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Chris Townsend ]
  * Expo plugin: Make sure the Expo animation is completed before
    allowing clicks to be handled. (LP: #1026553)
  * Grid plugin: Float to int division truncating caused a 1 px gap on
    the right side of right semi-maximized window when the workspace has
    an odd width. Fix is to add 0.5 to the float division first to
    account for any truncation error. (LP: #1294864)

  [ Eleni Maria Stea ]
  * Change in GLVector implementation
  * Minor change: when the skydome was working (in the c version of
    compiz) it was rendered on top of the background so, there was no
    need to clear the screen before drawing (the skydome was rendered on
    top of the garbage from previous renderings, hiding it). In the c++
    plugin, the skydome is buggy and the background is visible (as well
    as some garbage from previous renderings). A temporary
    glClear(GL_COLOR_BUFFER_BIT) was added until we fix the skydome and
    the other cube bugs.
  * glDisableOutputClipping was not implemented in 3d.cpp => a parent
    class glDisableOutputClipping was called, causing 2d clipping
    artifacts (the 3d cube was clipped and you couldn't see the windows
    move)

  [ Marco Trevisan (Treviño) ]
  * OpenGL: don't hardcode X11 sync blacklisted models, but use settings
    instead (LP: #1441190)

  [ Stephen M. Webb ]
  * (Ubuntu packaging) migrate migration scripts to Python3. (LP:
    #1440548)
  * exclude Wine applications from window close animations (LP: #957879)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 21:55:34 +0000

compiz (1:0.9.12.1+15.04.20150330-0ubuntu1) vivid; urgency=medium

  [ Chris Townsend ]
  * Change default behavior of focus-follows-mouse where the desktop
    will get focus when the mouse is over it. Also add option to allow
    old behavior. (LP: #1427636)
  * Clear out the lastMask vars when using the mouse to resize. (LP:
    #1348254)

  [ Eleni Maria Stea ]
  * Minor optimisation fix: Replaced glLoadIdentity, glMultMatrixf with
    glLoadMatrixf to avoid the unnecessary matrix multiplication:
    identity * some projection matrix

  [ Kevin Lange ]
  * WinRules plugin: boost arbitrary window size limits to something
    more reasonable (LP: #1431923)

  [ Stephen M. Webb ]
  * animations plugin: fixed a potential null pointer dereference (LP:
    #1101573)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 30 Mar 2015 15:58:21 +0000

compiz (1:0.9.12.1+15.04.20150303-0ubuntu1) vivid; urgency=medium

  [ Andrea Azzarone ]
  * Do not cache textures in animation.cpp. (LP: #729979, #1072206)

  [ Martin Wimpress ]
  * tweak MATE profile INI

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 03 Mar 2015 18:31:02 +0000

compiz (1:0.9.12.1+15.04.20150227-0ubuntu1) vivid; urgency=medium

  [ Chris Townsend ]
  * Add a blacklist of Nvidia integrated GPU's affected by the Nvidia
    X11 Sync patch. (LP: #1424013)

  [ Martin Wimpress ]
  * Tweak 'recommends' runtime dependencies for compiz-gnome and compiz-
    mate.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 27 Feb 2015 15:37:04 +0000

compiz (1:0.9.12.1+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ Stephen M. Webb ]
  * Upstream 0.9.12.1 release.

  [ CI Train Bot ]
  * New rebuild forced.

  [ Martin Wimpress ]
  * add MATE integration

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 20:25:25 +0000

compiz (1:0.9.12.0+15.04.20150202-0ubuntu1) vivid; urgency=medium

  [ Brandon Schaefer ]
  * Add a '/' to the path of std::string(home) + '/' HOME_PLUGINDIR (LP:
    #1410436)

  [ Eleni Maria Stea ]
  * Fixes the bugs: #1413966 and #1199316. (LP: #1199316, #1413966)

  [ Charles Bos ]
  * libdecoration.pc: fix formatting

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Feb 2015 14:21:10 +0000

compiz (1:0.9.12.0+15.04.20141219-0ubuntu1) vivid; urgency=low

  [ Alberts Muktupāvels ]
  * Fix crash with titlebar-uses-system-font enabled. LP: #1404054 (LP:
    #1404054)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Dec 2014 15:22:37 +0000

compiz (1:0.9.12.0+15.04.20141210.2-0ubuntu1) vivid; urgency=medium

  [ James Jones ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Kyle Brenneman ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Viktor A. Danilov ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Chris Townsend ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Stephen M. Webb ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)
  * libdecoration/CMakeLists.txt: use correct variable for link
    directories (LP: #1392715)
  * Switcher Plugin: renamed a local variable so it does not hide a
    function parameter. (LP: #1101585)
  * added support for multi-arch installations (LP: #1395105, #959282)
  * libcompizconfig: reorder stat() and open() calls to eliminate a race
    condition (LP: #1101608)
  * dodge plugin: avoid potential null pointer dereferences (LP:
    #1101554)
  * PrivateScreen unit tests: added additional assertions to verify the
    tests are run in an expected state (LP: #1101413)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Brandon Schaefer ]
  * Rev 3891 change caused 2 known regressions. (Could be more).
    Reverting. (LP: #1398512, #1393020)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Dec 2014 19:52:06 +0000

compiz (1:0.9.12.0+15.04.20141120-0ubuntu3) vivid; urgency=medium

  * Drop gnome-python dependenices, as python-gconf was only used in 2012
    migrations and we are now post-LTS release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 06 Dec 2014 19:42:15 +0000

compiz (1:0.9.12.0+15.04.20141120-0ubuntu2) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 17:03:31 +0000

compiz (1:0.9.12.0+15.04.20141120-0ubuntu1) vivid; urgency=low

  [ Alberts Muktupāvels ]
  * Update gtk-window-decorator to support Metacity 3.14. (LP: #1394135)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Nov 2014 13:08:00 +0000

compiz (1:0.9.12.0+15.04.20141105-0ubuntu1) vivid; urgency=medium

  [ Stephen M. Webb ]
  * upstream release 0.9.12.0
  * debian/compiz-core.lintian-overrides: updated libcompiz-coreABI soname
  * debian/control: updated Standards-Version to 3.9.6 (no changes)
    - added Homepage field
    - added python dependency to compiz-gnome package for upgrade scripts
    - fixed capitalization of "Python" in descriptions
    - turned package short descriptions into sentence fragments
  * debian/copyright: fixed formatting, updated dates
  * debian/patches/99_valid_ccsm_desktop_file.patch: merged changes upstream
    compizconfig/ccsm/ccsm_desktop.in: to here
  * debian/rules: used recommended way of stripping LDFLAGS
  * debian/source/format: new file (forces v1 instead of assuming default)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 13:31:09 +0000

compiz (1:0.9.12+15.04.20141031-0ubuntu1) vivid; urgency=low

  [ Stephen M. Webb ]
  * filter debian/ from upstream dist tarball (LP: #1075995)
  * removed distro-patch for #873384 because it's now upstream (LP:
    #873384)
  * removed inappropriate executable permissions from some source and
    data files (LP: #1086165)
  * window_decorator: renamed a local to unhide a parameter (LP:
    #957600)
  * opengl plugin: free shaders and uniforms (LP: #1227449)
  * debian/compizconfig: renamed from debian/config to avoid debconf
    clashes (LP: #1156294)
  * animation plugin: initialize mPrevAnimSelectionRow (LP: #1101630)

  [ Klaus Knopper ]
  * Forces non-opaque pointer in the ezoom plugin. (LP: #1362005)

  [ Henry Hu ]
  * place plugin: correct min and default placement modes in
    configuration

  [ Matija Skala ]
  * remove 'extern "C"' hack (LP: #1286562)

  [ Dariusz Gadomski ]
  * CompScreen: Save focused window id before changing viewport.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Oct 2014 17:03:50 +0000

compiz (1:0.9.12+14.10.20140918-0ubuntu1) utopic; urgency=low

  [ Michael Thayer ]
  * Fix for LP #1353675: _NET_WM_FULLSCREEN_MONITORS not handled
    correctly. An (x, y, w, h) (LP: #1353675)

  [ Alberts Muktupāvels ]
  * Port gtk-window-decorator to GTK+ 3.
  * Re-enable metacity theme support (LP: #1356981)
  * Remove/replace deprecated functions. (LP: #1356981)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 11:01:08 +0000

compiz (1:0.9.12+14.10.20140812-0ubuntu1) utopic; urgency=medium

  [ Chris Townsend ]
  * Bump changelog version to match upstream. 

  [ Stephen M. Webb ]
  * po/POTFILES.in: remove gtk/window-decorator/gwd.schemas.in The gconf
    schema file has been removed from the sources, it also needs to be
    removed from translations.

  [ Alberts Muktupāvels ]
  * Remove gconf from gtk-window-decorator.
  * Calculate correct button position in cairo theme.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 14:21:25 +0000

compiz (1:0.9.11+14.10.20140707-0ubuntu1b1) utopic; urgency=medium

  * No-change rebuild against libmetacity-private1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Aug 2014 06:57:32 +0200

compiz (1:0.9.11+14.10.20140707-0ubuntu1) utopic; urgency=low

  [ Chris Townsend ]
  * Release version 0.9.11
  * Bump VERSION to 0.9.12
  * Add more button ungrab keymasks, so unfocused Gtk window scrolling
    will work when NumLock is off and CapsLock is on and any combination
    thereof. (LP: #1330198)
  * Remove the need to check the viewport we are painting the maximized
    window in while in Expo mode and only scale maximized windows that
    are not being dragged. Fixes a regression caused in r3868. (LP:
    #1333277)

  [ Alberts Muktupāvels ]
  * This is some preparation work to port gtk-window-decorator to gtk+-
    3.0. Changed gtk_object_destroy to gtk_widget_destory. Removed
    support for old metacity versions. Removed support for old wnck
    versions. .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Jul 2014 11:42:19 +0000

compiz (1:0.9.11+14.10.20140606-0ubuntu2) utopic; urgency=medium

  * Apply correct Breaks/Replaces to deal with file moves from compiz-core
    to compiz-plugins in the 1:0.9.11+14.10.20140606 upload (LP: #1327478)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 07 Jun 2014 21:30:55 -0600

compiz (1:0.9.11+14.10.20140606-0ubuntu1) utopic; urgency=low

  [ Chris Townsend ]
  * Only ungrab the Mod2Mask modifier on buttons 4-7 to allow scrolling
    in unfocused Gtk windows while still allowing keybinding modifiers
    to other scroll wheel actions. (LP: #1311788)
  * Fix issue where window decorations would be placed under the Panel
    when opening a new window from an already open window. This is due
    to the already open window being taller or just as tall without be
    maximized than the workspace. (LP: #1303462)
  * Only constrain the non-modifier scrolling to the vertical scrolling
    buttons - buttons 4 & 5. (LP: #1311303)
  * Fix issue where maximized windows would get moved to different
    workspaces when disconnecting/connecting an external monitor.
    Windows should stay in the same workspace they are in when the
    monitor event occurs. (LP: #1304531)
  * Fix issue where custom keyboard shortcuts would get reset to
    defaults when rebooting or restarting Compiz. (LP: #1063617)
  * Fixes issue in the Expo plugin where a gap is shown in the place
    where the Launcher and Panel should be when windows are maximized.
    This was originally removed in rev. 3481. (LP: #1087090)
  * Fix issue where horizontal and vertical keyboard resizing could not
    happen at the same time. (LP: #347390)

  [ Marco Trevisan (Treviño) ]
  * Scale: use XShape extension to exclude dnd input in the screen-parts
    outside workArea This will work property also in multi-monitor,
    without requiring multiple X windows for each output device. Also
    don't terminate the scale unless a drag-n-drop action is not really
    over. Add a spinner that shows up over a window, during the DnD
    timeout. Plus, make sure we terminate the scale without focusing the
    selected icon when cancelling it and some code cleanup (LP: #607796)
  * Event: set the screen grabbed also when we get a NotifyWhileGrabbed
    Focus{In,Out} event (LP: #1305586)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Jun 2014 09:43:06 +0000

compiz (1:0.9.11+14.04.20140423-0ubuntu1) trusty; urgency=low

  [ Ryan Tandy ]
  * Fix gnome-flashback session starting Unity plugins. Change the
    profile back after processing settings upgrades. When changing
    profile, discard existing GSettings wrappers pointing to the old
    profile. (LP: #1232299)

  [ Chris Townsend ]
  * Remove the Number of Desktops option in CCSM as this option confuses
    Compiz and is really no longer needed since the Horizontal/Vertical
    Virtual Desktop Size is what is used for determining the size. (LP:
    #1289820)
  * Due to some change in Gtk SpinButton, setting the initial value in
    Adjustment does not work for integers, so now just explicitly set
    the value after the SpinButton is created. (LP: #1294341)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Apr 2014 14:56:06 +0000

compiz (1:0.9.11+14.04.20140409-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Add support to build kde4-window-decorator for KDE 4.10 and older.
    (LP: #1288953)
  * (LP: #1027868)
  * Allow binding of other buttons greater than button 7 for windows
    other than the desktop. (LP: #1304877)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Apr 2014 22:14:18 +0000

compiz (1:0.9.11+14.04.20140408-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix issue where Grid animation can sometimes show a preview of a
    different window than the one being gridded. (LP: #1176898)
  * Fix recent regression where the desktop window would not get focus
    when clicking the desktop. (LP: #1303068)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Apr 2014 13:48:38 +0000

compiz (1:0.9.11+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix issue where Compiz passively grabs all mouse buttons which
    severely affects scrolling in Gtk apps. Now only unconditionally
    grab buttons 1-3 for all windows except the desktop window and only
    grab other buttons when there is a modifier attached to it. (LP:
    #1171342)
  * Only fade in and fade out a window when it's hidden if it's not in
    Show Desktop mode. This allows for a good fade out effect in Unity
    when exiting Spread while in Show Desktop mode. (LP: #1104236)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Apr 2014 21:41:53 +0000

compiz (1:0.9.11+14.04.20140328-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix issue where having a maximized window on a second monitor, then
    that monitor gets removed which moves the maximized window to the
    main monitor, then restoring the maximized window would place it on
    a different viewport. It should stay on the same viewport. (LP:
    #1171878)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Mar 2014 10:44:36 +0000

compiz (1:0.9.11+14.04.20140320.1-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Disable the gnomecompat plugin under Unity by default. (LP:
    #1284532)

  [ Chris Townsend ]
  * Fix issues where vertically maximizing windows by dragging the grab
    area using Normal mode would result in: Incorrect restored window
    size. Wrong window size when vertically maximized, especially when
    resizing from the bottom of the window. (LP: #1280377)
  * Fix missing msg_dict when trying to enable the Unity plugin in CCSM.
    (LP: #1292220)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 23:58:37 +0000

compiz (1:0.9.11+14.04.20140310-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * CompWindow: make sure we don't move a window outside its workarea
    when setting the extents (LP: #1204307)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Mar 2014 20:30:48 +0000

compiz (1:0.9.11+14.04.20140305-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Scale: don't try to re-focus an already focused window This might
    make moveInputFocusTo to get stuck on X calls (LP: #1019923)
  * debian/patches/ubuntu-config.patch: use Super+Shift+W for initiating
    scale for all workspaces

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 14:24:37 +0000

compiz (1:0.9.11+14.04.20140303-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Window: define proper cases when we need to resize a window when
    decorating/undecorating Yeah, again here... So, now when setting the
    window extents, we resize a window only in these cases: 1) We have a
    normal window that has never been decorated (lp:1282304) 2) We're
    (re)decorating a maximized or fullscreen window (lp:1282305) This
    seems to work well in all the cases I tested, with no regressions
    with nedit (that highlighted an issue with old code path) (LP:
    #1282304, #1282305)
  * Opengl, Texture: don't try to create a texture of invalid (empty or
    negative) size This seem to cause also a crash when using software
    rendering. (LP: #1055166)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Mar 2014 20:09:55 +0000

compiz (1:0.9.11+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Scale: add {x,y_offset} options so we can move the scale despite the
    workarea (LP: #1280616)
  * Scale: never draw a window that is not matched, reset the state of
    hovered and selected windows Also, increase the scale speed and
    distances, to match spread designs more.
  * UbuntuConfig: go back to use Normal Resize mode by default (LP:
    #1281370)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 12:59:56 +0000

compiz (1:0.9.11+14.04.20140217-0ubuntu1) trusty; urgency=low

  [ Robert Ancell ]
  * Depend on gnome-settings-daemon-schemas so can work with unity-
    settings-daemon (LP: #1277487)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Feb 2014 21:46:32 +0000

compiz (1:0.9.11+14.04.20140214-0ubuntu1) trusty; urgency=low

  [ Timo Jyrinki ]
  * Bump version to 0.9.11

  [ Marco Trevisan (Treviño) ]
  * debian/00_remove_decor_in_unity_session.py: add migration script
    to avoid to load the decor plugin on compiz startup when using unity.
  * debian/compiz-gnome.gconf-defaults: disable decor plugin on unity session

  [ Sebastien Bacher ]
  * debian/compiz-gnome.links: lists keybinding in unity-control-center
  * typo fix in the previous commit. (LP: #1271710)

  [ Iven Hsu ]
  * Opacify: Only dim the windows above the active window.(LP:
    #1189374). (LP: #1189374)
  * KWD: Fix compile errors with KDE 4.11. The KWin developers made
    kdecorationbridge.h private. See:
    http://lists.freedesktop.org/archives/compiz/2013-March/003479.html
    (LP: #1193792). (LP: #1193792)

  [ Nikolay Martynov ]
  * When static switcher is enabled and has an option to show
    application icon turned on the icons are expected to be ~1/3 of a
    thumbnail (48px). Instead they are displayed in 512px size and
    completely cover everything. This change addresses this issue. See
    LP #1173914. (LP: #1173914, #1186426)

  [ BryanFRitt ]
  * Fixed the non-working Annotate 'Clear' Button. Moved this option's
    CCSM position upwards to keep the button shortcuts together. (LP:
    #1202907). (LP: #1202907)

  [ CI bot ]
  * Flush trunk to Ubuntu

  [ William Hua ]
  * Replace <Primary> with <Control> in CCSM. Fixes
    https://bugs.launchpad.net/compiz/+bug/1069121. (LP: #1069121)
  * Tweak support of key bindings of the form
    '<Modifier>Modifier_KeySym'. We tweak a bit the behaviour of key
    bindings such as '<Control>Shift_L' and '<Alt>Alt_R'. 1. We ignore
    the order of key pressing and releasing, so tapping
    '<Shift>Control_L' is the same as '<Control>Shift_L'. 2. We properly
    handle the double modifiers case, for example '<Control>Control_R'.
    3. We also parse key bindings with '<Primary>' being equivalent to
    '<Control>'.
  * Fix GSettings tests with extra slash.
  * Add an interface for plugins to provide non-option key actions that
    can be triggered.

  [ Eleni Maria Stea ]
  * It fixes the bug #1245886. In DecorScreen::handleEvent compiz
    shouldn't try to handle any events if there's no active window yet.
    (LP: #1245886)
  * Compiz static analysis shows that some compiz classes have virtual
    methods but not virtual destructors. Added the virtual destructors
    to get rid of warnings and potential memory leaks.
  * fixed cmake syntax errors.
  * CMake considered compiz a C++ project and couldn't find some
    dependencies like pthreads. Defined compiz as a C, CXX project to
    fix the issue.

  [ Povilas Kanapickas ]
  * Opacify: Properly initialize window drawing for new windows in
    Opacify plugin. (LP: #787814, part 2). (LP: #787814)
  * Opacify: Fix damage generation in the Opacify plugin. When setting
    opacity to some value, non-opacified windows need to be damaged
    regardless of opacity, whereas opacified windows need to be damaged
    only if opacity changes. Remove uses of OPACIFY_WINDOW and
    OPACIFY_SCREEN. These macros cause significant loss of readability
    while providing no observable benefits.
  * OpenGL, fragment shader: Run the opacity filter after all other
    filters have been run. (LP: #1257223). (LP: #1257223)

  [ Daniel van Vugt ]
  * This branch is 0.9.11

  [ Hu Kang ]
  * Remove redundant src/logmessage/include/core/logmessage.h (LP:
    #1067246). (LP: #1067246)

  [ Brandon Schaefer ]
  * Unrevert 3728, fix failing tests. Change the behaviour of
    undecorating windows. Previously when a window was undecorated, we
    would shift it back to an appropriate position according to its
    gravity member. That behaviour was problematic because in the
    StaticGravity case the window has to just stay in the same place.
    But then if you had a window with StaticGravity which then did get a
    decoration and later removed it, it would be placed as though it was
    decorated and appear to be in the wrong place. The correct behaviour
    is to place all windows as though they have decorations, and then
    when decorations are removed, to move the window back to the corner
    as indicated in its gravity and then expand its size to cover the
    obscured regions no longer hidden because the decorations went away.
    (LP: #1165343).   1. Completely remove decorOffsetMove and other
    related code from      decor.cpp. Put the logic to handle the
    window->input () - window->border ()      placement offset inside of
    setWindowFrameExtents instead. Now the window      will always be
    offset from its original non-decorated position to the new
         decorated position, rather than having to guess between
    decoration sizes.   2. Make saveGeometry and restoreGeometry work
    relative to window->border ()      as opposed to including it in the
    saved geometry. It is possible that the      border size might
    change during maximization, as such, we don't want to      save the
    position with the border before maximizing. Instead save the
    position      as if it were never decorated so that when the window
    is restored it can be      restored to its original position and
    then adjusted for its new border size.   3. Fix a few typoes in the
    tests.   4. Moved some commonly used matchers into compiz::testing
      5. Make COMPIZ_PLUGIN_DIR accept multiple directories and look in
    each one      of them for the plugin   6. Set COMPIZ_PLUGIN_DIR
    appropriately for each plugin that we wish to load      on startup
    so that we load locally built plugins as opposed to installed
         ones.   7. Uncomment compiz_discover_tests for the acceptance
    tests. Now they are      run by default. (LP: #1195522). (LP:
    #1195522, #1165343)
  * If we receive a stateNotifyChange, we check if we are in a max
    state. If so, overwrite the xwc with either X | W, or Y | H
    depending on the semi max state with the orig position before we
    went into a semi max state. This way when we leave any sort of max
    state the orig position is restored. If the window is being grabbed
    we do not overwrite the position, which it gets its own value at
    that point (instead of the orig pos). (LP: #892012)

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-config.patch: remove grid custom keybindings
    for window management We handle these directly in unity
    (lp:~3v1n0/unity/super-arrows-shortcuts). (LP: #992697)
  * ActionMenu: weak ref the action menu on creation, and unref it on
    destroy Also, now the widget destruction automatically unset the
    menu. This makes the object to be correctly finalized (not only
    disposed) making sure the internal idle into WnckActionMenu gets
    stopped. (LP: #1191853)
  * debian/patches/ubuntu-config.patch: Don't use Ctrl+Alt+KP_0 for grid
    maximize Otherwise this clashes with default minimize key. (LP:
    #1236899)
  * Window: disable the size adjustments when decorating/undecorating
    windows. (LP: #1238111)
  * Window: resize a maximized window if the decorations changed, so
    that it will fill all the available space.
  * compiz-gnome: remove decor plugin from unity profile.

  [ Michail Bitzes ]
  * Plugin wizard ported to OpenGL|ES. Use GLVertexBuffer. Enable
    building for GLES. Enable architectures armel and armhf. (LP:
    #1196003). (LP: #1196003)
  * Wizard plugin: No more segfaults/crashes when changing options in
    CCSM. (LP: #1195996) Gradual fade out of particles when terminating.
    (LP: #1196010) Typo fixed in wizard.xml.in. optionNotify added for
    some options that were missing it. Code cleanup: Declare variables
    outside of loops. Functions moved from class WizardScreen to class
    ParticleSystem. (similar to firepaint/showmouse) We just enable
    GL_BLEND if it is disabled and we just disable GL_BLEND if it was
    disabled before. Many other style and indentation fixes. (LP:
    #1196010, #1195996)
  * Plugin showrepaint ported to OpenGL|ES. Use GLVertexBuffer. Enable
    building for GLES. Enable architectures armel and armhf. .

  [ Chris Townsend ]
  * Removed logic in the calculateWallOffset() function in the Expo
    plugin that only accounted for offsetting the expo animation on the
    left-most and top-most monitor. Also removed the
    TestNoOffsetIfOutputIsNotOrigin test since this test is now invalid.
    (LP: #1031710)
  * Ctrl-Alt-Del should open the gnome-system-monitor at the processes
    tab. This fix uses the commands plugin to override the default
    action. This includes: - Install the commands plugin by default. -
    Breaks/Replaces the compiz-plugins package for versions earlier than
    0.9.10. - Patch commands.xml and integrated.xml to map gnome-system-
    monitor to Ctrl-Alt-Del by default. - Start the command plugin upon
    Compiz starting. (LP: #890747)
  * Alt-Tabbing or Launcher selecting a window that is over 50% in a
    different viewport should not switch the viewport nor change the
    placement of the window. The fix is to add an option to turn this
    behavior on or off. By default, the option is on, but Ubuntu is
    patched to turn it off to fix this bug. (LP: #1092323)
  * Fix regression when selecting apps on a different viewport than the
    current one will no longer automatically switch the viewport. (LP:
    #1228352)
  * Fix issue where non-resizable windows and semi-maximized window
    would have an area near the top of the title bar that could not be
    grabbed. (LP: #1228507)
  * Remove seemingly useless code in the SnapWindow::resizeNotify()
    method where a snapped window that is being resized on the opposite
    side of the snap would cause orders of magnitude more calls to
    window->resize() and kill performance. (LP: #1019139)
  * Need to revert rev. 3798 because it has a bad side effect of
    "hanging" all of the windows when restarting Compiz and rendering
    the desktop unusable.
  * Bump ABI version due to some recent changes.
  * When saving window geometry when going into maximized/semi-
    maximized, also save for grabbed windows as well. This fixes a
    desktop hang condition. (LP: #1244754)
  * Second part of the fix to keep the workspace from automatically
    switching when more than half of the window is contained in another
    workspace. (LP: #1092323)
  * Add new Grid shortcuts for Ctrl-Super-Left/Right to left/right semi-
    maximize windows (removed from Unity). Patch Grid to use Ctrl-Super-
    Up to maximize a gridded window instead of using core. This helps in
    restoring a window back to it's original place before being gridded.
    Account for left and right borders when restoring a gridded window
    since the window would shrink and shift by this amount. (LP:
    #1251777)

  [ James Jones ]
  * OpenGL contexts are reference counted and only destroyed once they
    are no longer current to any thread. To ensure the context really is
    destroyed, lose current from it before destroying it. (LP: #1213809)

  [ Sami Jaktholm ]
  * Expo plugin: 1) Always fetch the dndButton action in dndFini. The
    action given to dndFini might be a key or edge binding action if
    expo was terminated during window DnD. We shouldn't set their state
    to CompAction::StateInitButton or the bindings break. 2) Pass NULL
    action to termExpo if invoked from handleEvent Previously we passed
    the action of expoKey to termExpo which in turn passed it to
    dndFini. DndFini changed the action state to
    CompAction::StateInitButton that broke the keybinding. Now that
    dndFini fetches the dndButton action itself, there's no need to
    fetch it in handleEvent too as dndFini is the only one using the
    action. (LP: #1131106)
  * Expo: Cast denominators of integer divisions to floats before
    performing a matrix translation to viewports with the results.
    Otherwise rounding errors in cases the results are not an integers
    cause the viewports to be painted offscreen. (LP: #438580)
  * Port dbus introspection to compiz 0.9. move xml creation to a
    separate class (IntrospectionResponse) for easier. memory management
    (allocate buffer and writer in ctor, free in dtor). move duplicated
    response sending code to a separate method that takes.
    IntrospectionResponse and sends the resulting xml. Refactor
    handle*IntrospectMessage to work with compiz 0.9 interfaces. This
    also fixes the broken list method which was a result of logic error.
    The code to invoke list handler was never reached. This fixes most
    of the issues noted in bug 749084. (LP: #749084)
  * Bias the current viewport in addWindowSizeChanges. If window is
    visible in the current viewport, use that viewport when calculating
    geometries in addWindowSizeChanges. Otherwise the current method is
    used. This way visible windows are maximized in the current
    viewport. However, offscreen windows won't jump back to the active
    viewport if window maximizes by itself or addWindowSizeChanges is
    called for some other reason. (LP: #776435)
  * Expo: Recompute glow quads if a desktop window is resized. (LP:
    #1090713). (LP: #1090713)
  * Decor: Use maximized border extents only if window is fully
    maximized. The decorator draws a normal border around semi-maximized
    windows. When maximized border extents were used for semi-maximized
    windows, compiz didn't reserve any space for the border in its
    geometry calculations. At least following problems are a result of
    this behavior: Semi-maximized windows have 1px borders drawn on
    adjacent workspaces. (LP: #986051). Grid placed window overlaps the
    adjacent viewport (LP: #898870). (LP: #986051, #898870)

  [ MC Return ]
  * Fade plugin, minor code cleanup: Declaration and assignment of local
    variables in one line. Merged if condition checks. Use pre- instead
    of postfix de- and increments. Removed redundant brackets. Added and
    removed newlines. Fixed indentation.
  * Opacify code cleanup: Declaration of local variables outside of
    loops. Calculate activeOpacity and targetOpacity just once, not for
    each window. Use prefix instead of postfix increments. Merged if
    condition checks. Declaration and assignment of local variables in
    one line. Added and removed newlines. Removed redundant brackets.
    Fixed indentation. Opacify, functionality fix: Improved the toggling
    logic by setting isToggle in the constructor according to the
    startup setting, then calling setFunctions (isToggle);,which then
    calls screen->handleEventSetEnabled (os, os->isToggle); to fix
    Opacify ignoring the "Toggle Opacify on by default" setting. (LP:
    #787814). (LP: #787814)
  * Widget, minor code cleanup: Declaration and assignment of local
    variables in one line. Merged if condition checks. Added and removed
    newlines. Added default case to switch (just a style issue). Removed
    redundant brackets. Fixed indentation.
  * window.cpp code cleanup: Declare variables outside of loops. Reduced
    the scope of variables. Do not assign values to variables if those
    values are not used. Always bail out of functions ASAP, do not
    calculate stuff you might not need. Use pre- instead of postfix de-
    and increments. Declaration and assignment of variables in one line.
    Merged if condition checks. Added and removed brackets. Added and
    removed newlines. Fixed indentation. Added TODOs (removal of magic
    numbers).
  * Fix for cube.cpp, regression r3720 - Inner sides of cube invisible
    now. Wrong variable type was accidentially used, cullInv is of type
    int, not bool. (LP: #1183852). (LP: #1184852, #1183852)
  * src/output*.cpp cleanup: Return ASAP, do not calculate stuff you do
    not need. Declaration and assignment of variables in one line.
    Declare local variables outside of loops. Use prefix instead of
    postfix increment. Added and removed newlines. Fixed indentation.
  * Expo, code cleanup: Declaration of local variables outside of loops.
    Use prefix instead of postfix increments. Declaration and assignment
    of local variables in one line, if possible. Reduced the scope of
    some variables. Removed redundant brackets. Used static_cast <>
    (type) instead of (type) cast. Added and removed newlines if
    appropriate. Fixed indentation. Added TODOs. Expo, speed
    improvements: Do not calculate screen->vpSize ().width () and
    screen->vpSize ().height () multiple times, instead save them in the
    unsigned ints vpCountHorz and vpCountVert and use those variables
    instead. Speed up the curve calculations by using additional
    variables to save results to not have to re-calculate those all the
    time. The new variables introduced are degToRad, screenWidth,
    screenWidthSquared, curveDistSquaredPlusQuarter,
    pOne2MinusCurveDist, v0Squared and v2Squared. Also introduced const
    float halfGapX = gapX / 2.0 and used this variable in the
    calculations of curveDistance and curveRadius. Simplified
    calculations of this type: (M_PI / 180.0f) * curveAngle / 2.0, which
    is equal to: (M_PI / 360.0f) * curveAngle Do not call
    optionGetGroundSize (); twice, instead save the value in the float
    groundSize and use that variable in the following calculations.
    Removed the creation of the redundant bool hide, which is just used
    once in an if-condition check. It does not help to have this bool.
    Try to avoid redundant GL_BLEND state changes, they are expensive -
    only enable GL_BLEND if it is disabled and just disable it, if it
    was disabled before, otherwise do nothing. Try to avoid redundant GL
    filter changes - just query the filter state if the mipmap option in
    CCSM is enabled. Also just set back the filter to the previous state
    if we actually changed it, otherwise do nothing. -5.5f * 2 = -11.0f.
    No need to calculate M_PI / 180.0f 720 times: Calculate this value
    once instead and save it in the const float mpi, use mpi in the
    following looped calculations. Use const int scw in the same loop
    instead of calling screen->width () 360 times. glow.cpp: Massively
    increased calculation speed of the glow texture: No need for any
    macros here -> removed them and replaced them with local variables.
    Precalculate values, store them in local variables and use those in
    the following calculations (new variables are the ints winRealX,
    winRealY, winRealWidth, winRealHeight, halfWinRealWidth,
    halfWinRealHeight, xPlusHalfWidth, yPlusHalfHeight, xPlusGlowOff,
    yPlusGlowOff, xMinusGlowOff, yMinusGlowOff and the float glowPart).
    Used w->geometry ().widthIncBorders () and w->geometry
    ().heightIncBorders () to determine winRealWidth and winRealHeight.
    Expo, fixes: Do not force "One wall per output" on the user, if his
    displays use different resolutions. "One big wall" makes a lot of
    sense for many multi-screen configs, where not all of the screens
    have exactly the same resolution, so if the user explicitely chooses
    this mode, Compiz should respect the user's choice. (LP: #1009592).
    (LP: #1009592)
  * Compiz, redundant and outdated files cleanup: Removed outdated NEWS
    files. Removed outdated AUTHORS and ChangeLog files. Removed
    plugins/freewins/COPYING - we do not need another copy of the GPL v2
    here. Removed another copy of the GPL v2 from plugins/workarounds.
    This will reduce package sizes, download time and bring some order
    to chaos.
  * Expo, .xml.in fixes: Better description of the plugin. Improved and
    fixed tooltips. Moved the "Curve Strength" option closer to
    "Deformation". Refreshed the quilt patch for Ubuntu: There is no
    need to set the default distance to 0.005 as this setting has no
    effect without deformation. Set default multi-screen mode to "One
    wall per output" for Ubuntu, because "One big wall" works now for
    all display configurations and could potentially change the
    appearance for Ubuntu users. (LP: #1074487). (LP: #1074487)
  * Added contribute directory. Added QtCreatorConfig.xml, a
    configuration file for Qt Creator, which adjusts Qt Creator's C++
    indentation style to be the same that is used in the Compiz project
    (X11, mixed spaces and tabs).
  * Mousepoll: Fixed mousepoll version mismatch. (COMPIZ_MOUSEPOLL_ABI
    was missing) (LP: #1195659). (LP: #1195659)
  * Expo: Simplified the GL filter handling.
  * Fixed broken text in all plugins (missing COMPIZ_TEXT_ABI). (LP:
    #1196493). (LP: #1196493)
  * CCSM: Fixed vertical alignment of the text on the stylized keys.
    (Shift, Super, Ctrl, Alt) (LP: #1196345). (LP: #1196345)
  * Thumbnail, cleanup: Merged if condition checks. Declaration of
    variables when they are needed (C++ style). Removed redundant
    brackets. Removed useless "/* Could someone please explain how this
    works */" comment. Removed extern const unsigned short
    TEXT_DISTANCE, because this variable does not exist anymore (value
    is configurable already). Changed if (something > 0.0) to if
    (something), 10 times. Changed pointedWin = 0; to pointedWin =
    NULL;. Used centerX () and centerY () abstractions from
    compiz::window::Geometry to determine the icon center coordinates.
    Added and removed newlines, if appropriate. Fixed indentation.
    Thumbnail, code speedup: Return ASAP, do not calculate stuff you
    might not need. No need for WIN_W (w) and WIN_H (w) macros, removed
    those and replaced them with the local variables int winWidth, int
    winHeight, int dockWidth and int dockHeight. No need for WIN_X (w)
    and WIN_Y (w) macros, replaced those with int dockX and int dockY.
    Introduced int tHeight = thumb.height;, int tWidth = thumb.width;,
    int halfTWidth = tWidth / 2; and int halfTHeight = tHeight / 2; and
    used those variables in the following calculations. Use
    igMidPoint[0] and igMidPoint[1] as arguments in the screen-
    >outputDeviceForPoint (arg1, arg2) function, instead of re-
    calculating the arguments again. Thumbnail, GL speedup: Introduced
    GLfloat wxPlusWidth = wx + width;, GLfloat wyPlusHeight = wy +
    height;, GLfloat wxPlusWPlusOff = wxPlusWidth + off;, GLfloat
    wyPlusHPlusOff = wyPlusHeight + off;, GLfloat wxMinusOff = wx - off;
    and GLfloat wyMinusOff = wy - off; and used those coordinates in the
    vertexData arrays. No need to re- calculate those values multiple
    times. Just query optionGetShowDelay () once and use int showDelay
    later. We just enable blending if it is currently disabled and
    disable blending only, if it was disabled before.
  * src/session.cpp cleanup: Declaration and assignment of local
    variables in one line. (this *should* fix bug #1101405) Use pre-
    instead of postfix increments. Added and removed newlines. Added
    missing break (just a style issue). Fixed indentation. (LP:
    #1101405). (LP: #1101405)
  * Firepaint, code cleanup: Declare variables outside of loops.
    Declaration and assignment of local variables in one line. Use pre-
    instead of postfix increment. Removed redundant newlines. Removed
    redundant casts. (from (float) optionGetFireColor) Removed redundant
    brackets. Added missing break (style issue only). Added comment and
    TODO. Fixed indentation. Firepaint, speedup: We just enable GL_BLEND
    if it is disabled and we just disable GL_BLEND if it was disabled
    before. Introduced the GLfloats xMinusW, xPlusW, yMinusH and yPlusH
    to store calculated coordinates instead of recalculating them
    multiple times. Introduced float fireLife = optionGetFireLife ();,
    float fireWidth = optionGetFireSize ();, float fireHeight =
    fireWidth * 1.5f; and bool mystFire = optionGetFireMystical (); and
    used those variables inside the loop. Firepaint, .xml.in cleanup:
    Firepaint now has 2 tabs, 'General' and 'Particle Settings'. The
    name of this plugin is Firepaint, <short> should not contain the
    description. Better description of the plugin. Uppercase option
    titles. Punctuation for tooltips. Improved tooltips. Firepaint,
    fixes: Initialize all class member variables in the ParticleSystem::
    ParticleSystem () ctor (LP: #1101512, LP: #1101580). (LP: #1101512,
    #1101580)
  * img* plugins code cleanup: Always bail out of function ASAP, do not
    calculate stuff you might not need. Declare variables outside of
    loops so they won't be re-declared in each loop. Use prefix instead
    of postfix increments. Declaration and assignment of variables in
    one line. Merged if condition checks. Added and removed brackets.
    Added and removed newlines, if appropriate. Minor code structure
    improvements, declare variables when you need them, not much
    earlier. Fixed indentation.
  * Text, speed improvements: Introduced const float halfPi = PI / 2.0f;
    and const float triHalfPi = halfPi * 3; and used those to draw the
    rounded background. Introduced GLfloat xPlusWidth = x + width; and
    GLfloat yMinusHeight = y - height; and used those coordinates for
    the vertexData array. Text, cleanup: Declaration of local variables
    outside of loops. Fixed indentation.
  * cube.cpp, code cleanup: #include "privates.h", not <privates.h>.
    Merged if condition checks. Declaration of variables, where you need
    them to improve the code structure and readability. Use C++ standard
    bool for topDir, bottomDir, allCaps and mCapsPainted[output] (bool
    true/false instead Bool TRUE/FALSE). Initialize all of the class
    member variables in the constructor. Replaced if (priv->mSky.size ()
    > 0) with if (!priv->mSky.empty ()). Removed redundant brackets.
    Fixed indentation. Added TODO. cube.cpp, code speedup: Do not call
    optionGetInactiveOpacity () twice, instead save the value as float
    inactiveOpacity and use this variable in the following calculation.
    Introduced the variables float halfHsize = hsize / 2.0; and float
    tsSize = 360.0f / size; and used those in following calculations to
    not have to recalculate those values multiple times. Do not
    calculate M_PI / sides and 2 * M_PI / sides multiple times in loops,
    instead save those values in the GLfloats mps and tmps and use those
    values inside the loops. Use GLdouble mDist2 = 0.5 / mDistance; in
    the GLdouble clipPlane* arrays, instead of recalculating this value
    multiple times. Use GLfloat oneMinusFStepX = 1.0f - fStepX; and
    GLfloat oneMinusFStepY = 1.0f - fStepY; instead of calculating those
    values multiple times. Use float outputWidth = outputPtr->width ();
    and float outputHeight = outputPtr->height (); instead of calling
    the functions multiple times. Introduced the GLfloat normInvert =
    0.5f * invert; and used this variable instead of recalculating this
    value multiple times. Introduced the GLfloats mSkyWidth and
    mSkyHeight and used those in the following loops instead of calling
    mSkySize.width () and mSkySize.height () multiple times. Try to
    avoid redundant GL_BLEND state changes, because OpenGL will blindly
    change the global state, no matter what it currently is set to and
    that state change is expensive. So we query and save the actual
    blending state in the variable GLboolean glBlendEnabled =
    glIsEnabled (GL_BLEND); and just enable it if it isn't already and
    just disable it, if it was disabled before. (LP: #1101422, LP:
    #1195977) cube.cpp, other fixes: Return false in function
    PrivateCubeScreen::updateGeometry (int, int) if sides should ever be
    0, which should never happen, but should make Coverity happy. (LP:
    #1101541) Initialize all class member variables in the
    PrivateCubeScreen:: PrivateCubeScreen (CompScreen *) constructor.
    (mTc, mNOutput, mOutput, mOutputMask, mCleared, mCapsPainted) (LP:
    #1101575). (LP: #1195977, #1101541, #1101422, #1101575)
  * plugins/ezoom/src/ezoom.cpp: Also initialize xtrans and ytrans in
    the ctors. Just just enable blending if it is disabled and just
    disable it if it was disabled before. Introduced the variables
    oWidth, oHeight, halfOWidth and halfOHeight to speed up following
    calculations. Return ASAP, do not calculate possibly redundant
    stuff. Declaration and assignment of local variables in one line.
    Improved readability. Added and removed newlines. Minor indentation
    fixes. plugins/ezoom/ezoom.xml.in: Removed redundant whitespaces
    from a tooltip. (LP: #1101572). (LP: #1101572)
  * gears.cpp, gears.h: Do not render the gears if we are viewing the
    cube from the inside - the gears are otherwise obstructing the
    users' view on his workspaces. Print a warning to the console once
    in this case. (LP: #1185819). (LP: #1185819)
  * Animation code cleanup: Return ASAP, do not calculate stuff you
    might not need. Declare CompWindow *w, AnimWindow *animWin,
    PrivateAnimWindow *aw and Animation *curAnim outside the for loop.
    grid.cpp: Declare float x, y, topiyFloat outside the for loop.
    options.cpp: Declare unsigned int nOptions outside the foreach loop.
    Use pre- instead of postfix de- and increments. Declaration and
    assignment of variables in one line. Merged if condition checks.
    Added and removed brackets. Added and removed newlines. Fixed
    indentation. Also initialize the non-static class members
    "mGridWidth" and "mGridHeight" in the GridAnim::GridAnim ctor. (LP:
    #1101618). (LP: #1101618)

  [ Andrea Azzarone ]
  * Satisfy matchers on getProperty as soon as they are set. The order
    of evaluation for matchers in Google Mock appears to be undefined -
    this means that we can't rely on the first argument being matched
    first and the second argument being matched afterwards. In turn,
    this means that any GValue may be passed to a GValueMatch which, by
    a design flaw, is unable to handle any values of a type it does not
    expect (at least not without an API change). It will silently pass
    the incorrect type to g_type_get_* which causes internal assertion
    failures. At the moment we're just interleaving the calls to
    getProperty and get_property - that way the expectations are
    satisfied and go away as soon as they're set. This in turn means
    that Google Mock only has to traverse one matcher rather than
    multiple matchers. (LP: #1187468). (LP: #1187468)
  * Extends invisible borders to the title bar too. (LP: #717444). (LP:
    #717444)
  * Disable grid/put_maximize_key on ubuntu.
  * Port to new gmock. Disable some faling tests because of weird leaks.
    (LP: #1185265)
  * Update window geo only on new decoration size only if mapped. (LP:
    #1198000). (LP: #1198000)
  * Disable show_desktop_key by default on ubuntu. Will provide the same
    option under the unityshell panel. (LP: #1204664)
  * Use Glib::RefPtr<Glib::Source> in glib_integration_test. After the
    fix of bug https://bugzilla.gnome.org/show_bug.cgi?id=561885
    Glib::Source::~Source is called when both Source::unreference() and
    SourceCallbackData::destroy_notify_callback() are called. (LP:
    #1214459)
  * Terminate scale on mouse click on an empty area. (LP: #1234624)

  [ Sam Spilsbury ]
  * Change the behaviour of undecorating windows. Previously when a
    window was undecorated, we would shift it back to an appropriate
    position according to its gravity member. That behaviour was
    problematic because in the StaticGravity case the window has to just
    stay in the same place. But then if you had a window with
    StaticGravity which then did get a decoration and later removed it,
    it would be placed as though it was decorated and appear to be in
    the wrong place. The correct behaviour is to place all windows as
    though they have decorations, and then when decorations are removed,
    to move the window back to the corner as indicated in its gravity
    and then expand its size to cover the obscured regions no longer
    hidden because the decorations went away. (LP: #1165343). (LP:
    #1165343)
  * Added some new hooks to PluginClassHandler to allow a VTable to
    specify if loaded. PluginClassHandler::get () was designed to simply
    instantiate an instance of that class for the core structure, but it
    did this without checking if the plugin was loaded. Added some new
    methods to PluginClassHandler exposed by LoadedPluginClassBridge and
    only accessible by those who implement PluginKey to specify globally
    whether or not a plugin is actually loaded, so that
    PluginClassHandler can return accordingly. Integration and unit
    tests added as appropriate (LP: #1169620) (LP: #1101026). (LP:
    #1101026, #1169620)
  * Satisfy matchers on getProperty as soon as they are set. The order
    of evaluation for matchers in Google Mock appears to be undefined -
    this means that we can't rely on the first argument being matched
    first and the second argument being matched afterwards. In turn,
    this means that any GValue may be passed to a GValueMatch which, by
    a design flaw, is unable to handle any values of a type it does not
    expect (at least not without an API change). It will silently pass
    the incorrect type to g_type_get_* which causes internal assertion
    failures. At the moment we're just interleaving the calls to
    getProperty and get_property - that way the expectations are
    satisfied and go away as soon as they're set. This in turn means
    that Google Mock only has to traverse one matcher rather than
    multiple matchers. (LP: #1187468). (LP: #1187468)
  * Revert revision 3278.
  * Immediately update the window matrices and regions if the number of
    textures changed. (LP: #1189369). (LP: #1189369)
  * Provide a basic decor plugin acceptance test suite. This change
    provides a simple acceptance test suite for the decor plugin. It
    creates a fake window decorator (cdt::FakeDecorator) and allows
    users to create fake decorations (eg cdt::FakePixmapDecoration)
    which can be serialized as decoration properties and set on windows
    under xorg-gtest. It also launches compiz with the opengl, composite
    and decor plugins loaded and runs some basic tests. Among them:
    BaseDecorAcceptance. Startup: Basic canary "can we start compiz with
    these plugins" test
    FakeDecoratorSessionOwnerNameSetOnSelectionOwner: Create a fake
    decorator, ensure that libdecoration sets our session name "fake" on
    the selection owner FakeDecoratorReceiveClientMessage: Create fake
    decorator, ensure that libdecoration posts a client message to the
    root window announcing that the new decorator exists.
    DecorationSupportsWindowType: Create a fake decorator, announce
    support for the WINDOW type decorations and ensure that the correct
    atom is set on the session owner window.
    DecorationSupportsPixmapType: Create a fake decorator, announce
    support for the PIXMAP type decorations and ensure that the correct
    atom is set on the session owner window.
    DecorFakeDecoratorAcceptance. WindowDefaultFallbackNoExtents: By
    default, newly created windows should recieve a fallback decoration
    but they should not have any frame extents.
    DecorWithPixmapDefaultsAcceptance. These tests create a default
    pixmap decoration to use in the hypothetical situation that the
    window decorator hasn't yet generated a decoration for this window.
    FallbackRecieveInputFrameNotify: Verify that we get a
    _COMPIZ_WINDOW_DECOR_INPUT_FRAME property set on the client when it
    is created and mapped (eg, an input frame window was annonuced to be
    created) FallbackHasInputFrameInParent: Verify that a second window
    exists in the frame window after this message was recieved.
    FallbackNormalWindowExtentOnDecoration: Verify that
    _NET_FRAME_EXTENTS is set to the default window extents for the
    default decoration when the window was mapped.
    FallbackNormalWindowInputOnFrame: Verify that the input window
    matches the extents set. PixmapDecoratedWindowAcceptance. These
    tests create a new window and an associated unique decoration for
    that window. MaximizeBorderExtentsOnMaximize: Maximize the window
    and ensure that the correct border extents are used.
    MaximizeBorderExtentsOnVertMaximize: Vertically maximize the window
    and ensure that the correct border extents are used.
    MaximizeBorderExtentsOnHorzMaximize: Horizontally maximize the
    window and ensure that the correct border extents are used.
    MaximizeFrameWindowSizeEqOutputSize: Maximie the window and ensure
    that the frame window exactly equals the output size.
    VertMaximizeFrameWindowSizeEqOutputYHeight: Maximize the window and
    ensure that the frame window's Y and Height values are consistent
    with the output size. HorzMaximizeFrameWindowSizeEqOutputXWidth:
    Ditto horizontal maximization.
    DISABLED_VertMaximizeFrameWindowSizeSameXWidth: Maximize the window
    vertically and ensure that the frame window's border-relative X
    position and width does not change. This test is disabled, as the
    behavior in compiz is currently broken, (but it means that we can
    fix it later and enable the test).
    DISABLED_HorzMaximizeFrameWindowSizeSameYHeight Maximize the window
    horizontally and ensure that the frame window's border-relative Y
    position and height does not change. This test is disabled, as the
    behavior in compiz is currently broken, (but it means that we can
    fix it later and enable the test). (LP: #1188900). (LP: #1188900)
  * Only mark for no further instantiations once we've finished
    destructing the plugin (LP: #1193596). (LP: #1193596)
  * Add more acceptance tests for the decor plugin.
    PixmapDecoratedWindowAcceptance. UndecoratedWindowExpandToOrigSize
    Test that upon undecoration, the window has exactly the same
    geometry as it did before decoration.
    DISABLED_UndecorateStaticGravityWindow Tests that for windows with a
    static gravity, the window has exactly the same geometry as it did
    before decoration. Disabled, as core is currently not moving the
    window with the static gravity back to where it started.
    AdjustmentExtents/PixmapDecorationAdjustment.
    AdjustRestoredWindowBorderMovesClient/P Test that changing the
    border extents causes the client window's absolute geometry to
    change. DISABLED_AdjustRestoredWindowBorderShrinkClient/P Tests that
    changing the border extents causes the client window's absolute
    geometry to shrink by the amount of border. Disabled, as the current
    behavior is to expand the frame window as opposed to shrinking the
    client (but this will be changed).
    DISABLED_ClientExpandsAsBorderShrinks/P Tests that as the border
    shrinks away, the client expands back to its original size.
    Disabled, as the current behavior is to expand the frame window as
    opposed to shrinking the client (but this will be changed).
    DISABLED_ClientExpandsAsBorderShrinksWhilstMaximized/P Tests that
    even if the client is maximized, if the restored border shrinks away
    it demaximizes back to the same position while also accounting for
    any change in the restored window border size. Disabled, as the
    current behavior is to expand the frame window as opposed to
    shrinking the client (but this will be changed).
    DISABLED_ClientExpandsAsBorderShrinksWhilstUndecorated/P Tests that
    even when the client is not permitted to be decorated because the
    decoration hint was removed, when it is redecorated it will be moved
    to the correct position taking into account any changes in its
    border size. Disabled, as the current behavior is to expand the
    frame window as opposed to shrinking the client (but this will be
    changed). DISABLED_AdjustRestoredWindowInputNoMoveClient/P Tests
    that adjusting the input extents (as independent from the border
    extents) of the client does not cause the client to move. Disabled,
    as this behavior appears to be broken in core. Move the
    "GetImmediateParent" function into the compiz::testing namespace so
    that it can be used by other tests. (LP: #1188900)
  * Unrevert 3728, fix failing tests. Change the behaviour of
    undecorating windows. Previously when a window was undecorated, we
    would shift it back to an appropriate position according to its
    gravity member. That behaviour was problematic because in the
    StaticGravity case the window has to just stay in the same place.
    But then if you had a window with StaticGravity which then did get a
    decoration and later removed it, it would be placed as though it was
    decorated and appear to be in the wrong place. The correct behaviour
    is to place all windows as though they have decorations, and then
    when decorations are removed, to move the window back to the corner
    as indicated in its gravity and then expand its size to cover the
    obscured regions no longer hidden because the decorations went away.
    (LP: #1165343).   1. Completely remove decorOffsetMove and other
    related code from      decor.cpp. Put the logic to handle the
    window->input () - window->border ()      placement offset inside of
    setWindowFrameExtents instead. Now the window      will always be
    offset from its original non-decorated position to the new
         decorated position, rather than having to guess between
    decoration sizes.   2. Make saveGeometry and restoreGeometry work
    relative to window->border ()      as opposed to including it in the
    saved geometry. It is possible that the      border size might
    change during maximization, as such, we don't want to      save the
    position with the border before maximizing. Instead save the
    position      as if it were never decorated so that when the window
    is restored it can be      restored to its original position and
    then adjusted for its new border size.   3. Fix a few typoes in the
    tests.   4. Moved some commonly used matchers into compiz::testing
      5. Make COMPIZ_PLUGIN_DIR accept multiple directories and look in
    each one      of them for the plugin   6. Set COMPIZ_PLUGIN_DIR
    appropriately for each plugin that we wish to load      on startup
    so that we load locally built plugins as opposed to installed
         ones.   7. Uncomment compiz_discover_tests for the acceptance
    tests. Now they are      run by default. (LP: #1195522). (LP:
    #1195522, #1165343)
  * Add a simple script for making releases.
  * Port to new gmock. Disable some faling tests because of weird leaks.
    (LP: #1185265)
  * Don't add the frame to the toplevel stack if it hasn't been created
    yet. In the event that a window is unreparented or destroyed, we
    usually need to add its frame window to the toplevel window stack
    until the time at which we recieve a DestroyNotify for it, as there
    may be incoming ConfigureNotify events puporting to stack other
    windows relative to that frame. However, this does not apply in the
    case where we have not yet received a CreateNotify for the frame
    window. In that case, it is not possible for any stacking requests
    to be made relative to this window, so it does not need to be added
    immediately. Instead, we can add it at the time that we recieve a
    CreateNotify for it as a regular override redirect window until the
    time that it is later destroyed. (LP: #1171314). (LP: #1171314)
  * Remove redundant src/logmessage/include/core/logmessage.h (LP:
    #1067246). (LP: #1067246)
  * Adjust acceptance tests for the fix to LP: #1198000 1. Always set
    frame extents before updating the frame 2. Added
    COMPIZ_NO_CONFIGURE_BUFFER_LOCKS so that we don't have to deal with
    the delayed configure requests logic in the tests where it does not
    help 3. Split restoredDecorationSize in to
    restoredDecorationBorderSize and restoredDecorationInputSize so that
    we can measure the size of the decoration both in terms of its
    visible and invisible border 4. Wait for the default decoration
    properly 5. Capture the initial geometry of the window with and
    without decorations when the window gets its first decoration. Use
    these values to calculate the size changes in the window from then
    on instead of its creation values 6. Just flag when the window was
    first decorated in setWindowFrameExtents rather than checking if it
    is mapped. We only want to not resize the window once. (LP:
    #1198000)
  * Release version 0.9.10.0
  * Bump VERSION to 0.9.10.2
  * Ensure that the frame region is always set as soon as the window is
    decorated. Further ensure that the window decoration isn't
    needlessly reset if the window already had one. Refactored XShape
    usage into a common function. Added tests to verify the behaviour of
    shape set on initially creating a decorated window and also upon
    changing the input frame window shape (LP: #1158267). (LP: #1158267)
  * Add support for the GLX_EXT_buffer_age extension on hardware that
    supports it, which should result in a nice speed-boost due to the
    fact that we no longer have to abuse fillrate by retaining old frame
    contents, and instead asking the driver how defined the current
    frame is. (LP: #1024304)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Feb 2014 22:54:33 +0000

compiz (1:0.9.10+13.10.20131011-0ubuntu4) trusty; urgency=medium

  * Typo fix in the previous commit

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 04 Feb 2014 16:44:29 +0000

compiz (1:0.9.10+13.10.20131011-0ubuntu3) trusty; urgency=medium

  * debian/compiz-gnome.links: lists keybinding in unity-control-center

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 Feb 2014 17:25:02 +0000

compiz (1:0.9.10+13.10.20131011-0ubuntu2) trusty; urgency=medium

  * No-change rebuild against new protobuf.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Jan 2014 11:13:31 +0000

compiz (1:0.9.10+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Chris Townsend ]
  * Remove seemingly useless code in the SnapWindow::resizeNotify()
    method where a snapped window that is being resized on the opposite
    side of the snap would cause orders of magnitude more calls to
    window->resize() and kill performance. (LP: #1019139)

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-config.patch: Don't use Ctrl+Alt+KP_0 for grid
    maximize Otherwise this clashes with default minimize key. (LP:
    #1236899)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3797

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 06:16:27 +0000

compiz (1:0.9.10+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Chris Townsend ]
  * Fix issue where non-resizable windows and semi-maximized window
    would have an area near the top of the title bar that could not be
    grabbed. (LP: #1228507)

  [ Marco Trevisan (Treviño) ]
  * ActionMenu: weak ref the action menu on creation, and unref it on
    destroy Also, now the widget destruction automatically unset the
    menu. This makes the object to be correctly finalized (not only
    disposed) making sure the internal idle into WnckActionMenu gets
    stopped. (LP: #1191853)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3794

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Oct 2013 05:23:02 +0000

compiz (1:0.9.10+13.10.20130927.1-0ubuntu1) saucy; urgency=low

  [ Chris Townsend ]
  * Fix regression when selecting apps on a different viewport than the
    current one will no longer automatically switch the viewport. (LP:
    #1228352)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3791

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 27 Sep 2013 11:10:15 +0000

compiz (1:0.9.10+13.10.20130920-0ubuntu1) saucy; urgency=low

  [ Chris Townsend ]
  * Work done by Sam Spilsbury: - Ensure that the frame region is always
    set as soon as the window is decorated. - Further ensure that the
    window decoration isn't needlessly reset if the window already had
    one. - Refactored XShape usage into a common function. - Added tests
    to verify the behaviour of shape set on initially creating a
    decorated window and also upon changing the input frame window
    shape. (LP: #1158267)
  * Alt-Tabbing or Launcher selecting a window that is over 50% in a
    different viewport should not switch the viewport nor change the
    placement of the window. The fix is to add an option to turn this
    behavior on or off. By default, the option is on, but Ubuntu is
    patched to turn it off to fix this bug. (LP: #1092323)

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-config.patch: remove grid custom keybindings
    for window management We handle these directly in unity. (LP:
    #992697)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3789

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 11:18:01 +0000

compiz (1:0.9.10+13.10.20130828.2-0ubuntu1) saucy; urgency=low

  [ Chris Townsend ]
  * Removed logic in the calculateWallOffset() function in the Expo
    plugin that only accounted for offsetting the expo animation on the
    left-most and top-most monitor. Also removed the
    TestNoOffsetIfOutputIsNotOrigin test since this test is now invalid.
    (LP: #1031710)
  * Ctrl-Alt-Del should open the gnome-system-monitor at the processes
    tab. This fix uses the commands plugin to override the default
    action. This includes: - Install the commands plugin by default. -
    Breaks/Replaces the compiz-plugins package for versions earlier than
    0.9.10. - Patch commands.xml and integrated.xml to map gnome-system-
    monitor to Ctrl-Alt-Del by default. - Start the command plugin upon
    Compiz starting. (LP: #890747)

  [ Łukasz 'sil2100' Zemczak ]
  * Fix the Replaces/Breaks version in the default plugin

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3785

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 28 Aug 2013 19:13:51 +0000

compiz (1:0.9.10+13.10.20130822-0ubuntu1) saucy; urgency=low

  [ Sam Spilsbury ]
  * Bump version to 0.9.10

  [ Łukasz 'sil2100' Zemczak ]
  * Remove debian/patches/unity_support_test.patch:
    - Running the support test from compiz has bad side effects, from now
      on we run it from Xsession.d
  * Automatic snapshot from revision 3644

  [ Iven Hsu ]
  * Opacify: Only dim the windows above the active window.(LP:
    #1189374). (LP: #1189374)
  * KWD: Fix compile errors with KDE 4.11. The KWin developers made
    kdecorationbridge.h private. See:
    http://lists.freedesktop.org/archives/compiz/2013-March/003479.html
    (LP: #1193792). (LP: #1193792)

  [ Nikolay Martynov ]
  * When static switcher is enabled and has an option to show
    application icon turned on the icons are expected to be ~1/3 of a
    thumbnail (48px). Instead they are displayed in 512px size and
    completely cover everything. This change addresses this issue. See
    LP #1173914. (LP: #1173914, #1186426)

  [ BryanFRitt ]
  * Fixed the non-working Annotate 'Clear' Button. Moved this option's
    CCSM position upwards to keep the button shortcuts together. (LP:
    #1202907). (LP: #1202907)

  [ Mehrdad Afshari ]
  * Added "move window to previous monitor" feature to compiz Put
    plugin. (LP: #1178581)

  [ Hu Kang ]
  * gtk-window-decorator: destroy action menu when any of the (close,
    min, max) buttons on the title bar is pressed. (LP: #1101648)
  * Remove redundant src/logmessage/include/core/logmessage.h (LP:
    #1067246). (LP: #1067246)

  [ Steve Langasek ]
  * Fix for bug #763148 (with added test cases): when the desktop is
    resized, windows should stay on their original workspace. (LP:
    #763148)

  [ Brandon Schaefer ]
  * Unrevert 3728, fix failing tests. Change the behaviour of
    undecorating windows. Previously when a window was undecorated, we
    would shift it back to an appropriate position according to its
    gravity member. That behaviour was problematic because in the
    StaticGravity case the window has to just stay in the same place.
    But then if you had a window with StaticGravity which then did get a
    decoration and later removed it, it would be placed as though it was
    decorated and appear to be in the wrong place. The correct behaviour
    is to place all windows as though they have decorations, and then
    when decorations are removed, to move the window back to the corner
    as indicated in its gravity and then expand its size to cover the
    obscured regions no longer hidden because the decorations went away.
    (LP: #1165343).   1. Completely remove decorOffsetMove and other
    related code from      decor.cpp. Put the logic to handle the
    window->input () - window->border ()      placement offset inside of
    setWindowFrameExtents instead. Now the window      will always be
    offset from its original non-decorated position to the new
         decorated position, rather than having to guess between
    decoration sizes.   2. Make saveGeometry and restoreGeometry work
    relative to window->border ()      as opposed to including it in the
    saved geometry. It is possible that the      border size might
    change during maximization, as such, we don't want to      save the
    position with the border before maximizing. Instead save the
    position      as if it were never decorated so that when the window
    is restored it can be      restored to its original position and
    then adjusted for its new border size.   3. Fix a few typoes in the
    tests.   4. Moved some commonly used matchers into compiz::testing
      5. Make COMPIZ_PLUGIN_DIR accept multiple directories and look in
    each one      of them for the plugin   6. Set COMPIZ_PLUGIN_DIR
    appropriately for each plugin that we wish to load      on startup
    so that we load locally built plugins as opposed to installed
         ones.   7. Uncomment compiz_discover_tests for the acceptance
    tests. Now they are      run by default. (LP: #1195522). (LP:
    #1195522, #1165343)
  * If we receive a stateNotifyChange, we check if we are in a max
    state. If so, overwrite the xwc with either X | W, or Y | H
    depending on the semi max state with the orig position before we
    went into a semi max state. This way when we leave any sort of max
    state the orig position is restored. If the window is being grabbed
    we do not overwrite the position, which it gets its own value at
    that point (instead of the orig pos). (LP: #892012)

  [ Marco Trevisan (Treviño) ]
  * OpenGL Screen: Ignore the MSAA configs during initialization This
    fixes a crash with new MESA drivers and high monitor resolutions
    caused by the fact that we're accidentally using some MSAA configs
    with some drivers in Mesa 9.0. Taking in account the values of
    GLX_SAMPLES and GLX_SAMPLE_BUFFERS fixes the issue. See mesa bug
    https://bugs.freedesktop.org/show_bug.cgi?id=61182. (LP: #1174495)
  * OpenGLES Screen: Ignore the MSAA configs during initialization.
  * GLScreen: break the iteration as soon as we've found a valid egl
    config.

  [ Michail Bitzes ]
  * Plugin wizard ported to OpenGL|ES. Use GLVertexBuffer. Enable
    building for GLES. Enable architectures armel and armhf. (LP:
    #1196003). (LP: #1196003)

  [ Chris Townsend ]
  * Fixed issue where minimizing an unredirect full screen window would
    repaint the full screen window after minimizing it even though it
    isn't really there. . (LP: #1053895)

  [ Sami Jaktholm ]
  * *Grid code: Prevent center and corner gridded windows from jumping
    viewports. (Thanks and credits for this go to Sami Jaktholm) Prevent
    top and bottom gridded windows from jumping viewports by making
    those semi-maximize horizontally. As those are actually semi-
    maximized horizontally, we will treat them as such and let core
    handle the restoring, just like we already do for vertically semi-
    maximized grid windows (left/right). Now "Strg+Super+Down" will
    restore top and bottom gridded windows correctly as well. Also
    multiple gridding to top, bottom, left or right will not overwrite
    the stored original size anymore. Restore windows also when
    workspace switcher (expo) is active. (Thanks and credits for this go
    to Sami Jaktholm) Allow cycling for all gridded windows if
    explicitly specified by the user in CCSM. Forbid cycling through
    different sizes for corner and center-gridded windows also per
    default, now fully fixing bug #878820 and following the design
    specification by Ayatana Design there, making behaviour consistent.
    Introduced 3 new bools: horzMaximizedGridPosition,
    vertMaximizedGridPosition, anyMaximizedGridPosition Used these bools
    inside the if condition checks. Simplified complicated if condition
    by removing redundant additional size check. Cleanup all around.
    *Grid xml: Added cycle_sizes bool option, which allows the user to
    choose the prefered behaviour (fixed versus flexible sizes on
    multiple presses on the same grid keyboard shortcut). Default of
    this option is off, cycling disabled as specified by design. Added
    punctuation where missing and removed it where usually is none.
    Fixed typos, improved description and titles. *Expo code: Tell grid
    when viewport change is in progress. (Thanks and credits for this go
    to Sami Jaktholm) (fixes: LP: #878820, LP: #879218, LP: #882754 and
    LP: #1082001, partially fixes: #1116538, #1164332). (LP: #882754,
    #878820, #1164332, #1082001, #879218, #1116538)
  * Grid: Check that composite and opengl ABIs are COMPIZ_COMPOSITE_ABI
    and COMPIZ_OPENGL_ABI instead of CORE_ABIVERSION. (LP: #1181461)
  * Fade: Fix a typo that causes fade to constantly damage windows with
    a modified saturation. (LP: #1159054)
  * Grid: Fix window misplacement if a window is restored but the size
    doesn't change. - Set isGridResized to false before configuring the
    window in GridScreen::restoreWindow. If the restored geometry is the
    same as current geometry, configureXWindow will trigger moveNotify
    instead of resizeNotify. As isGridResized is still true,
    GridWindow::moveNotify blocks the restoration movement and the
    pointer detaches from the decoration. - Don't use pointerBufs when
    calculating position of the restored window with snapback windows
    disabled. The window will be positioned a bit too high (or low) and
    the pointer detaches from decoration if the movement was actually
    tracked. This was a workaround for the first point and can be safely
    removed. (LP: #1115344)
  * Fix memory leaks in titleinfo plugin. (LP: #1101569, #1101454)
  * Expo plugin: 1) Always fetch the dndButton action in dndFini. The
    action given to dndFini might be a key or edge binding action if
    expo was terminated during window DnD. We shouldn't set their state
    to CompAction::StateInitButton or the bindings break. 2) Pass NULL
    action to termExpo if invoked from handleEvent Previously we passed
    the action of expoKey to termExpo which in turn passed it to
    dndFini. DndFini changed the action state to
    CompAction::StateInitButton that broke the keybinding. Now that
    dndFini fetches the dndButton action itself, there's no need to
    fetch it in handleEvent too as dndFini is the only one using the
    action. (LP: #1131106)
  * Expo: Cast denominators of integer divisions to floats before
    performing a matrix translation to viewports with the results.
    Otherwise rounding errors in cases the results are not an integers
    cause the viewports to be painted offscreen. (LP: #438580)
  * Port dbus introspection to compiz 0.9. - move xml creation to a
    separate class (IntrospectionResponse) for easier memory management
    (allocate buffer and writer in ctor, free in dtor). - move
    duplicated response sending code to a separate method that takes
    IntrospectionResponse and sends the resulting xml. - Refactor
    handle*IntrospectMessage to work with compiz 0.9 interfaces. This
    also fixes the broken list method which was a result of logic error.
    The code to invoke list handler was never reached. This fixes most
    of the issues noted in bug 749084. (LP: #749084)
  * Bias the current viewport in addWindowSizeChanges. If window is
    visible in the current viewport, use that viewport when calculating
    geometries in addWindowSizeChanges. Otherwise the current method is
    used. This way visible windows are maximized in the current
    viewport. However, offscreen windows won't jump back to the active
    viewport if window maximizes by itself or addWindowSizeChanges is
    called for some other reason. (LP: #776435)
  * Expo: Recompute glow quads if a desktop window is resized. (LP:
    #1090713). (LP: #1090713)
  * Decor: Use maximized border extents only if window is fully
    maximized. The decorator draws a normal border around semi-maximized
    windows. When maximized border extents were used for semi-maximized
    windows, compiz didn't reserve any space for the border in its
    geometry calculations. At least following problems are a result of
    this behavior: - Semi-maximized windows have 1px borders drawn on
    adjacent workspaces (LP: #986051). - Grid placed window overlaps the
    adjacent viewport (LP: #898870). (LP: #986051, #898870)

  [ gebner@2b7e.org ]
  * Adding a uniform to a GLVertexBuffer that uses AutoProgram causes
    compiz to segfault. Example: gWindow->addShaders("cms", "",
    fragment_shader); gWindow->vertexBuffer()->addUniform("cms_lut",
    unit); // segfault happens later in PrivateVertexBuffer::render The
    patch modifies PrivateVertexBuffer::render to set the uniform on the
    generated AutoProgram instead of the provided program, which in this
    case is NULL, causing a segfault. (LP: #1162598). (LP: #1162598)

  [ MC Return ]
  * Cube-addon (Cube Reflection and Deformation): If the user disables
    "Draw top face"/"Draw bottom face" we do not want to draw anything
    (LP: #1162484). The original, non-deformed caps will only work for
    the non-deformed cube, so we can just use the original function in
    that case. We need to clear the texture if no texture files are
    specified in "Image files", otherwise the old texture would still be
    drawn, even if all image files are removed (LP: #1162711). Now we
    will default back and use the cube cap colors and opacities defined
    in the "Desktop Cube" plugin (if "Draw top/bottom face" are enabled
    only, see above). This way the user can choose between (for
    top/bottom): 1. Do not draw a cube cap face at all ("Draw top/bottom
    face" option disabled) 2. Use color and opacity specified in
    "Desktop Cube" (empty images list) 3. Use a texture for the cap
    (image is in the list, which is default) Removed redundant mCurrent
    = mCurrent % mFiles.size (); calculation, this has already been
    done: cap->mCurrent = (cap->mCurrent + change + count) % count;
    count and change both need to be != 0 for mCurrent to change. Fixed
    indentation, removed redundant brackets and newlines, declaration
    and assignment of local variables in one line, if possible, minor
    cleanup. (LP: #1162484, LP: #1162711). (LP: #1162484, #1162711)
  * Stack (Window) Switcher (currently excluded from compilation): Fixed
    window title drawn although "Show Window Title" is disabled. (LP:
    #1070782). (LP: #1070782)
  * *Grid code: Prevent center and corner gridded windows from jumping
    viewports. (Thanks and credits for this go to Sami Jaktholm) Prevent
    top and bottom gridded windows from jumping viewports by making
    those semi-maximize horizontally. As those are actually semi-
    maximized horizontally, we will treat them as such and let core
    handle the restoring, just like we already do for vertically semi-
    maximized grid windows (left/right). Now "Strg+Super+Down" will
    restore top and bottom gridded windows correctly as well. Also
    multiple gridding to top, bottom, left or right will not overwrite
    the stored original size anymore. Restore windows also when
    workspace switcher (expo) is active. (Thanks and credits for this go
    to Sami Jaktholm) Allow cycling for all gridded windows if
    explicitly specified by the user in CCSM. Forbid cycling through
    different sizes for corner and center-gridded windows also per
    default, now fully fixing bug #878820 and following the design
    specification by Ayatana Design there, making behaviour consistent.
    Introduced 3 new bools: horzMaximizedGridPosition,
    vertMaximizedGridPosition, anyMaximizedGridPosition Used these bools
    inside the if condition checks. Simplified complicated if condition
    by removing redundant additional size check. Cleanup all around.
    *Grid xml: Added cycle_sizes bool option, which allows the user to
    choose the prefered behaviour (fixed versus flexible sizes on
    multiple presses on the same grid keyboard shortcut). Default of
    this option is off, cycling disabled as specified by design. Added
    punctuation where missing and removed it where usually is none.
    Fixed typos, improved description and titles. *Expo code: Tell grid
    when viewport change is in progress. (Thanks and credits for this go
    to Sami Jaktholm) (fixes: LP: #878820, LP: #879218, LP: #882754 and
    LP: #1082001, partially fixes: #1116538, #1164332). (LP: #882754,
    #878820, #1164332, #1082001, #879218, #1116538)
  * *Resizeinfo, xml changes: Added option for bold/normal font, default
    is still bold. Added option to change the font size (10-14), default
    is still 12 pixel. Enhanced and corrected a few tooltips.
    *Resizeinfo, code changes: Choose between PANGO_WEIGHT_BOLD and
    PANGO_WEIGHT_NORMAL. Use individual font size specified by the user
    in CCSM. Fixed computation of wrong damageRegion, it was
    additionally adding the window size, making it way too large.
    Removed useless declaration of int width and height. Declaration and
    assignment of local variables in one line, if possible. Minor
    indentation fixes. (LP: #1166195, LP: #1166196 and LP: #1166245).
    (LP: #1166195, #1166196, #1166245)
  * *Move xml: Implemented options to configure: "Snapoff Distance"
    "Snapback Semimaximized Windows" and "Snapback Distance" Improved a
    few tooltips. *Move code: Replaced SNAP_BACK and SNAP_OFF hardcoded
    constants and made those configurable. Implemented a strategy to
    snap off horizontally maximized windows by dragging them along the x
    axis. Implemented snapping back of horizontally maximized windows
    and fixed the snapping for vertically maximized windows (wrong
    cursor calculation). Fixed a few wrong calculations in the if
    condition checks responsible for snapping off and back. Merged if
    condition checks. Just compute various local variables if we do not
    return false. Removed redundant brackets, fixed indentation and
    improved readability. (LP: #1165198, LP: #1167933). (LP: #1167208,
    #1167933, #1165198)
  * Freewins xml: Fixed False->false and True->true typos. Credits and
    thanks for finding cause and fix go to raveit65 ! (LP: #1163606).
    (LP: #1163606)
  * Screenshot code cleanup: Used standard bool for mGrab. Merged a few
    if condition checks. Declaration and assignment of local variables
    in one line. Removed redundant brackets. Added and removed newlines
    to improve readability. Added a missing break (just a style issue).
    Fixed indentation. C++ style for comments.
  * *Move xml: Slightly improved long description of the move plugin.
    Implemented option to change the key move increment size. Removed
    <precision> settings as they just work for floats. *Move code:
    Removed hardcoded KEY_MOVE_INC variable. Introduced int
    moveIncrement to not have to execute optionGetKeyMoveInc () to get
    the value twice. (LP: #1167933, part 2). (LP: #1167933)
  * Shift Switcher code cleanup: Merged a few if-if condition checks.
    Declaration and assignment of local variables in one line. Removed
    redundant brackets. Added and removed newlines to improve
    readability. Fixed indentation.
  * Composite code cleanup: Merged a few if-if condition checks.
    Declaration and assignment of local variables in one line. Removed
    redundant brackets. Added and removed newlines to improve
    readability. Fixed indentation.
  * *Grid code: Simplified bool GridScreen::restoreWindow (...): If Grid
    has not touched the window we return false and let core do the dirty
    work. (Thanks go to Sam Spilsbury for suggesting this solution.)
    *Grid xml: Improved the CCSM Grid put_restore_key tooltip. (LP:
    #1116538). (LP: #1116538)
  * *Cube Gears: Added glDepthMask (GL_TRUE); and glDepthFunc (GL_LESS);
    to void GearsScreen::cubePaintInside (...) to fix the culling on
    multimonitor systems (green gear was always rendered in front). Also
    fixed indentation and removed some redundant newlines. (LP:
    #1168919). (LP: #1168919)
  * *Showmouse code cleanup: Assignment and declaration of local
    variables in one line. Removed redundant brackets. Fixed
    indentation. Removed and added newlines for better readability.
    *Showmouse code changes: Removed these redundant gl calls: glEnable
    (GL_TEXTURE_2D); glDisable (GL_TEXTURE_2D); (partially fixes LP:
    #1051290 and LP: #1051295). (LP: #1051290, #1051295)
  * *Workspacenames: New Feature: Implemented option to adjust vertical
    offset for top and bottom of screen workspacename placement. Set the
    default offset to 50 pixel. Cleanup: Added brackets to for loop. Use
    prefix increments. Indentation fixes. Added and removed newlines for
    better readability. Added comment. Removed TEXT_BORDER constant.
    Improved tooltips. (LP: #1172063). (LP: #1172063)
  * *Screenshot, xml: Better plugin summary. Added option to disable the
    drawing of the screenshot selection indicator. Added options to
    change color and opacity of the outline and the inside of the
    rectangle indicator, default colors have not been changed. Other
    minor improvements. *Screenshot, code: Introduced the new variable
    bool selectionSizeChanged, which is true if the size of the
    selection has changed. We just want to draw the screenshot selection
    box, if we are grabbed, the size has changed and the CCSM option to
    draw it is enabled. Do not render anything if indicator is disabled.
    Indicator colors are now configurable. Increased indicator box
    outline line width to 2.0. Only damage the full screen once, if the
    grab gets terminated, during grab just damage the region painted,
    which is the screenshot selection box (LP: #1172234). *SCreenshot,
    cleanup: Minor cleanup in the rendering code. Removed redundant
    #ifndef USE_GLES compiler option, GLES can cope with enabling and
    disabling GL_BLEND. Use prefix- instead of postfix increments.
    Declaration and assignment of local variables in one line. Reduced
    the scope of the variables x1, y1, x2 and y2. Replaced magic number
    65535.0f with const float MaxUShortFloat = std::numeric_limits
    <unsigned short>::max ();. Indentation fixes. C++ style for
    comments, added comments. (LP: #1169353, LP: #1172234). (LP:
    #1169353, #1172234)
  * Shift Switcher code cleanup: Use prefix instead of postfix increment
    and decrement. Declaration and assignment of local variables in one
    line. Merged if statements. Added brackets to for loops. Fixed
    indentation. Added and removed newlines for better readability.
    Added comment.
  * Cube Addon .xml cleanup: Better plugin description. Uppercase
    titles. Improved tooltips and names.
  * Animation code cleanup: Use prefix- instead of postfix- in- and
    decrements. Removed redundant brackets. Added and removed newlines
    where appropriate. Fixed indentation.
  * Grid, code cleanup: Merged if statements. Replaced magic number
    65535.0f with const float MaxUShortFloat = std::numeric_limits
    <unsigned short>::max ();. Use prefix- instead of postfix-increment.
    Removed redundant (float) casts. Removed redundant brackets. Added
    and removed newlines to improve readability. Minor indentation
    fixes.
  * Workspacenames .xml cleanup: Better description of the plugin's
    functionality. Improved tooltips.
  * Cube .xml cleanup: Better plugin description. Uppercase titles.
    Improved tooltips.
  * Shift Switcher .xml cleanup: Better description of the plugin's
    function. Fixed load before "bs" plugin typo -> it is the obs
    plugin. Created a "Switcher Mode" tab and moved Flip/Cover mode
    settings there. Created a subgroup for mouse-specific settings.
    Better tooltips with enhanced descriptions. Improved titles. Fixes
    all around (typos, etc.).
  * Refactor screenshot code to make it clearer and also to allow us to
    take screenshots in glPaintOutput as opposed to paint (). Taking
    screenshots in paint () was probably correct pre-GLES, but isn't
    really correct now - we want to be able to read off of the currently
    bound scratch framebuffer where we last painted the frame. Reading
    off the frontbuffer is an imprecise operation because the contents
    of both buffers are really undefined after a swap. In the case where
    we are not painting to a scratch framebuffer object, we'll just end
    up reading from the backbuffer anyways, which would be correct to do
    mid-frame. Also added the new static const GLenums
    DRAW_FRAMEBUFFER_BINDING and READ_FRAMEBUFFER_BINDING to opengl.h.
    (LP: #771875). (LP: #771875)
  * shift.h: Minor indentation fixes (mostly replaced tabs with spaces).
  * Show Desktop .xml cleanup: Improved plugin description. Renamed
    "Misc. Options" tab to "General" Improved tooltips.
  * Stack Window Switcher (stackswitch): Declaration and assignment of
    local variables in one line. Merged if condition checks. Use prefix
    de- and increments. Removed redundant brackets. Fixed indentation.
    Note: stackswitch is still excluded from compilation, because it has
    not been ported to the new GLES-compatible modern post-r3320 Compiz
    codebase yet, so this cannot really be tested at the moment (except
    in Compiz pre-r3320). Nevertheless this MP is needed to reduce the
    diff size for the GLES port of this plugin, which will follow soon.
  * Ring Switcher .xml cleanup: Better description of the "Ring
    Switcher". Uppercase for titles. More precise names for the tabs.
    Improved tooltip wording and descriptions. Changed the order of
    options in "General Options" tab: "Ring Windows" and "Overlay Icon"
    options are now on top. No settings have been changed.
  * *Shift Window Switcher, new features: Implemented new option to
    adjust the vertical offset of the text placement and fixed vertical
    placement calculation for top and bottom positions. The default
    offset is 50 pixels now. Removed hardcoded and redundant float
    border. Use 256x256 pixels resolution for icon textures, instead of
    96x96. Minor indentation fixes. (LP: #1173684). (LP: #1173684)
  * Opacity, Brightness and Saturation (obs) .xml cleanup: Better plugin
    description. Improved setting names and tooltips.
  * Opacity, Brightness and Saturation (obs) code cleanup: Replaced
    #define MODIFIER_COUNT 3 with const unsigned short MODIFIER_COUNT =
    3; (the variable MODIFIER_COUNT is needed in obs.h and obs.cpp). Use
    prefix instead of postfix increment. Merged if condition checks.
    Declaration and assignment of local variables in one line. Removed
    redundant brackets. Added and removed newlines if appropriate.
    Indentation fixes.
  * Improved and optimized ABI logic checks consistently for all
    plugins. (LP: #1178228). (LP: #1178228)
  * *Grid, code changes and fixes: Fixed segfault in Compiz when
    unchecking "Snap windows back to original size". This option now
    fully works and will snap back windows to current size, if they are
    dragged off via mouse. Fixed segfault in Compiz when unchecking
    "Snapoff Maximized/Semi-maximized Windows" - this option is now
    removed as this setting is configurable via "Move" plugin already.
    The snapoff threshold global setting is now configurable instead of
    hardcoded. Fixed broken cursor y-coordinate calculation. Fixed
    window placement cursor calculation for non-original-size-restored
    windows. Make sure grid-maximizing will never overwrite the windows'
    original size. Removed useless code until someone can convince me
    that we need it (LP: #1020857). This fixes the weird positioning
    (50, 50) when restoring mouse-grid-maximized windows via keyboard.
    Added missing ABI checks of OpenGL and Composite. *Grid, xml changes
    and fixes: Put Corners/Edges setting into own tab. New tab named
    "Resize Actions". Removed hardcoded SNAPOFF_THRESHOLD and made it
    configurable. Improved tooltips. Re-applied the quilt patch to the
    changed grid.xml.in. Changed the put_restore_key to
    "Ctrl+Super+Down" to fix restoring of grid-maximized windows for
    Ubuntu as well. (LP: #1172641) *Grid, minor code cleanup: Removed
    redundant (int) casts. Improved readability for the if condition
    checks. Added and removed newlines, if appropriate. Added comments.
    Indentation fixes. (LP: #745159, LP: #1020857, LP: #1172641). (LP:
    #1020857, #745159, #1172641)
  * Resize, minor code cleanup: Declaration and assignment of local
    variables in one line. Added and removed newlines, if appropriate.
    Removed redundant brackets. Indentation fixes.
  * Wobbly Windows, code cleanup: Declaration and assignment of local
    variables in one line. Merged if statements. Removed redundant
    brackets. Added missing break. Removed and added newlines for better
    readability. Fixed indentation.
  * Ring, Shift and Stack Window Switcher: Increased the non-power-of-2
    icon texture resolution from 96x96 to 512x512 pixels, in the case of
    the ring switcher from 64 to 512. Static Switcher: Replaced #define
    of MAX_ICON_SIZE with type-safe extern const unsigned short and set
    the icon resolution to 512 as well. Compiztoolbox: Increased the
    non-power-of-2 icon texture resolution const unsigned short
    ICON_SIZE from 48 to 512 and const unsigned int MAX_ICON_SIZE from
    256 to 512 as well. Changed the type of MAX_ICON_SIZE from const
    unsigned int to const unsigned short. Scale: Increased the non-
    power-of-2 icon texture resolution from 96x96 to 512x512 pixels. KDE
    Compatibility: Increased the icon texture resolution from 256x256 to
    512x512 pixels. (LP: #1173914). (LP: #1173914)
  * Removed redundant Expo configuration changes from ubuntu-
    config.patch: The reflection scale change, because reflection is
    disabled by default anyway. The inactive viewport saturation change
    from 100.0% to 40.0%, because this option does not work (and never
    did AFAICR), but if it finally gets fixed Expo's look would
    dramatically change. (LP: #1178965). (LP: #1178965)
  * Expo plugin: Fixed inactive viewports saturation setting being
    ignored. Let's "fade to grey"... :) (LP: #1179183). (LP: #1179183)
  * compizconfig/*, libdecoration/*: Use prefix instead of postfix de-
    and increments.
  * *Ring Switcher, new feature: Implemented "Vertical Offset" option
    with a default of 50 pixels. This allows the CCSM user to easily and
    exactly configure where the window title text should be displayed.
    Ring Switcher, cleanup: Simplified
    RingWindow::compareRingWindowDepth (...). Bail out of functions
    ASAP, do not initialize anything you do not need, if you exit
    anyway. Merged if condition checks. Declaration and assignment of
    local variables in one line. Removed redundant brackets. Added and
    removed newlines, if appropriate. Fixed indentation. (LP: #1173684).
    (LP: #1173684)
  * gtk/*, include/*, kde/*: Use prefix instead of postfix de- and
    increments.
  * Scale Addons code cleanup: Always bail out of functions ASAP, do not
    calculate unnecessary stuff before. Merged if-condition checks.
    Declaration and assignment of local variables in one line. Reduced
    the scope of some variables. Use pre- instead of postfix in- and
    decrements. Added and removed newlines where appropriate. Added
    brackets to foreach macro loops and removed them otherwise (if
    redundant). Fixed indentation. Note: This plugin has a huge chunk of
    code, which has been commented out. (apparantly/according to the
    comment, because it does not work) I was very cautious in
    refactoring this part of the code, as it currently is excluded from
    compilation and thus cannot be tested. TODO: Test, repair and
    integrate this code (or remove it if it is redundant). TODO: Fix
    half-broken "Exit Scale On Pull". TODO: Fix the scale-will-only-
    terminate-if-initiate_key-is-defined bug.
  * *EZoom (Enhanced Zoom Desktop) code cleanup: Optimized ABI check.
    Use prefix- instead of postfix-increment. Assignment and declaration
    of local variables in one line. Merged if statements. Removed
    redundant brackets. Fixed indentation. Added and removed newlines to
    improve readability. *EZoom (Enhanced Zoom Desktop) code changes:
    Replaced #define WIDTH (x2 - x1) with int width = x2 - x1; and
    #define HEIGHT (y2 - y1) with int height = y2 - y1; Replaced WIDTHOK
    and HEIGHTOK macros with local variables: WIDTHOK and HEIGHTOK just
    need to be calculated once and can then be used for all cases in
    void EZoomScreen::ensureVisibilityArea (...). static_cast <float>
    for int denominators in divisions. Removed these redundant gl calls:
    glEnable (GL_TEXTURE_2D); glDisable (GL_TEXTURE_2D); Zoom Box fixes:
    Enabled GL_BLEND for the zoom box to fix transparency issues. Made
    outline and fill color and transparency of the zoom box
    configurable. Outline width is 2.0 for the zoom box as well now.
    (same like for grid preview and screenshot selector outlines) Fixed
    zoom box damage handling. Minor restructuring in zoom box rendering
    code. Minor ezoom.xml.in cleanup and enhancements. Load after
    mousepoll. (fixes LP: #1171665, partially fixes LP: #1051290 and LP:
    #1051295). (LP: #1171665, #1051290, #1051295)
  * Wall: Fixed broken wall edge flipping functions: "Edge Flip Pointer"
    "Edge Flip Move" Removed void WallScreen::updateScreenEdgeRegions ()
    completely. This function not needed hereat all, no other plugin
    needs to re-define the screen edge regions by itself - just core
    should do that. The screen edge region updating also confused the
    edge flipping functionality. case ConfigureNotify: just breaks out
    now Added missing default: case and a break (just a style issue).
    Minor cleanup in bool WallScreen::initiateFlip (...). One
    declaration per line. Note: "Edge Flip DnD" still seems to be
    broken, but will be fixed in a follow-up proposal. (LP: #771448, LP:
    #858845). (LP: #771448, #858845)
  * Wallpaper .xml.in cleanup: Better plugin description. Improved
    option names. Better wording of tooltips. Removed redundant
    newlines. Wallpaper code cleanup: Use prefix instead of postfix
    increments. Declaration and assignment of variables in one line.
    Added some newlines to improve readability. Removed redundant
    brackets. Fixed indentation.
  * EZoom plugin, code improvements: Bail out of functions ASAP, do not
    calculate stuff you might not need. Replaced: if (zoom_level == 1.0f
    && zooms.at (out).newZoom == 1.0f) with: if (zoom_level == zooms.at
    (out).newZoom) because we always want to get out of here if the
    target level is the same as current zoom level, not only in the case
    both are 1.0f. EZoom plugin, code cleanup: Assignment and
    declaration of variables in one line, if possible. Added and removed
    some newlines. Merged if condition checks. Indentation fixes.
  * Mousepoll code cleanup: Removed the unused variables
    MP_OPTION_MOUSE_POLL_INTERVAL and MP_OPTION_NUM. Declaration and
    assignment of variables in one line. Added and removed newlines.
    Removed redundant brackets. Fixed indentation.
  * Annotate plugin, code cleanup: Use prefix instead of postfix
    increment. Declaration and assignment of local variables in one
    line. Removed redundant brackets. Added and removed newlines if
    appropriate. Fixed indentation. Annotate plugin, fixes: Use
    GL_LINE_LOOP to draw the rectangle outline as glRecti is not
    supported on GLES. Simplified the coordinate calculation as the
    offset is not really needed here.
  * Titleinfo, minor code cleanup: Declaration and assignment of local
    variables in one line. Removed redundant brackets. Added and removed
    newlines. Fixed indentation.
  * Text plugin code cleanup: Do not declare variables you do not need
    if you return anyway. Use prefix instead of postfix increments.
    Merged if condition checks. Declaration and assignment of variables
    in one line. Added and removed newlines. Removed redundant brackets.
    Fixed indentation.
  * ccp code cleanup: Declare variables if you need them, do not declare
    them if you return. Declare CCSSettingValue *val; outside the
    foreach loop. Use prefix instead of postfix increments. Merged if
    condition checks. Declaration and assignment of variables in one
    line. Removed redundant brackets. Added and removed newlines. Fixed
    indentation.
  * Commands, minor code cleanup: Declaration and assignment of
    variables in one line. Return ASAP. Added and removed newlines.
    Fixed indentation.
  * Cube code cleanup: Replaced 0xffff with GLfloat MaxUShortFloat =
    static_cast <GLfloat> (std::numeric_limits <unsigned short>::max
    ());. Use prefix instead of postfix de- and increments. Declaration
    and assignment of variables in one line. Declare variables shortly
    before you need them. Merged if condition checks. Added missing
    breaks (just a style issue). Added and removed brackets. Added and
    removed newlines. Fixed indentation.
  * action.cpp and actions.cpp code cleanup: Use pre- instead of postfix
    increment. Declaration and assignment of variables in one line.
    Merged if condition checks. Removed redundant brackets. Added and
    removed newlines. Fixed indentation.
  * Rotate Cube code cleanup: Simplified a few calculations of this
    type: (360.0 / (x * 2.0)) == 180 / x Declaration and assignment of
    variables in one line. Use pre- instead of postfix de- and
    increments. Merged if condition checks. Added and removed newlines
    and brackets. Fixed indentation. Added TODO comments.
  * Fade plugin, minor code cleanup: Declaration and assignment of local
    variables in one line. Merged if condition checks. Use pre- instead
    of postfix de- and increments. Removed redundant brackets. Added and
    removed newlines. Fixed indentation.
  * Opacify code cleanup: Declaration of local variables outside of
    loops. Calculate activeOpacity and targetOpacity just once, not for
    each window. Use prefix instead of postfix increments. Merged if
    condition checks. Declaration and assignment of local variables in
    one line. Added and removed newlines. Removed redundant brackets.
    Fixed indentation. Opacify, functionality fix: Improved the toggling
    logic by setting isToggle in the constructor according to the
    startup setting, then calling setFunctions (isToggle);,which then
    calls screen->handleEventSetEnabled (os, os->isToggle); to fix
    Opacify ignoring the "Toggle Opacify on by default" setting. (LP:
    #787814). (LP: #787814)
  * Widget, minor code cleanup: Declaration and assignment of local
    variables in one line. Merged if condition checks. Added and removed
    newlines. Added default case to switch (just a style issue). Removed
    redundant brackets. Fixed indentation.
  * window.cpp code cleanup: Declare variables outside of loops. Reduced
    the scope of variables. Do not assign values to variables if those
    values are not used. Always bail out of functions ASAP, do not
    calculate stuff you might not need. Use pre- instead of postfix de-
    and increments. Declaration and assignment of variables in one line.
    Merged if condition checks. Added and removed brackets. Added and
    removed newlines. Fixed indentation. Added TODOs (removal of magic
    numbers).
  * Fix for cube.cpp, regression r3720 - Inner sides of cube invisible
    now. Wrong variable type was accidentially used, cullInv is of type
    int, not bool. (LP: #1183852). (LP: #1184852, #1183852)
  * src/output*.cpp cleanup: Return ASAP, do not calculate stuff you do
    not need. Declaration and assignment of variables in one line.
    Declare local variables outside of loops. Use prefix instead of
    postfix increment. Added and removed newlines. Fixed indentation.
  * Expo, code cleanup: Declaration of local variables outside of loops.
    Use prefix instead of postfix increments. Declaration and assignment
    of local variables in one line, if possible. Reduced the scope of
    some variables. Removed redundant brackets. Used static_cast <>
    (type) instead of (type) cast. Added and removed newlines if
    appropriate. Fixed indentation. Added TODOs. Expo, speed
    improvements: Do not calculate screen->vpSize ().width () and
    screen->vpSize ().height () multiple times, instead save them in the
    unsigned ints vpCountHorz and vpCountVert and use those variables
    instead. Speed up the curve calculations by using additional
    variables to save results to not have to re-calculate those all the
    time. The new variables introduced are degToRad, screenWidth,
    screenWidthSquared, curveDistSquaredPlusQuarter,
    pOne2MinusCurveDist, v0Squared and v2Squared. Also introduced const
    float halfGapX = gapX / 2.0 and used this variable in the
    calculations of curveDistance and curveRadius. Simplified
    calculations of this type: (M_PI / 180.0f) * curveAngle / 2.0, which
    is equal to: (M_PI / 360.0f) * curveAngle Do not call
    optionGetGroundSize (); twice, instead save the value in the float
    groundSize and use that variable in the following calculations.
    Removed the creation of the redundant bool hide, which is just used
    once in an if-condition check. It does not help to have this bool.
    Try to avoid redundant GL_BLEND state changes, they are expensive -
    only enable GL_BLEND if it is disabled and just disable it, if it
    was disabled before, otherwise do nothing. Try to avoid redundant GL
    filter changes - just query the filter state if the mipmap option in
    CCSM is enabled. Also just set back the filter to the previous state
    if we actually changed it, otherwise do nothing. -5.5f * 2 = -11.0f.
    No need to calculate M_PI / 180.0f 720 times: Calculate this value
    once instead and save it in the const float mpi, use mpi in the
    following looped calculations. Use const int scw in the same loop
    instead of calling screen->width () 360 times. glow.cpp: Massively
    increased calculation speed of the glow texture: No need for any
    macros here -> removed them and replaced them with local variables.
    Precalculate values, store them in local variables and use those in
    the following calculations (new variables are the ints winRealX,
    winRealY, winRealWidth, winRealHeight, halfWinRealWidth,
    halfWinRealHeight, xPlusHalfWidth, yPlusHalfHeight, xPlusGlowOff,
    yPlusGlowOff, xMinusGlowOff, yMinusGlowOff and the float glowPart).
    Used w->geometry ().widthIncBorders () and w->geometry
    ().heightIncBorders () to determine winRealWidth and winRealHeight.
    Expo, fixes: Do not force "One wall per output" on the user, if his
    displays use different resolutions. "One big wall" makes a lot of
    sense for many multi-screen configs, where not all of the screens
    have exactly the same resolution, so if the user explicitely chooses
    this mode, Compiz should respect the user's choice. (LP: #1009592).
    (LP: #1009592)
  * Compiz, redundant and outdated files cleanup: Removed outdated NEWS
    files. Removed outdated AUTHORS and ChangeLog files. Removed
    plugins/freewins/COPYING - we do not need another copy of the GPL v2
    here. Removed another copy of the GPL v2 from plugins/workarounds.
    This will reduce package sizes, download time and bring some order
    to chaos.
  * Expo, .xml.in fixes: Better description of the plugin. Improved and
    fixed tooltips. Moved the "Curve Strength" option closer to
    "Deformation". Refreshed the quilt patch for Ubuntu: There is no
    need to set the default distance to 0.005 as this setting has no
    effect without deformation. Set default multi-screen mode to "One
    wall per output" for Ubuntu, because "One big wall" works now for
    all display configurations and could potentially change the
    appearance for Ubuntu users. (LP: #1074487). (LP: #1074487)
  * Added contribute directory. Added QtCreatorConfig.xml, a
    configuration file for Qt Creator, which adjusts Qt Creator's C++
    indentation style to be the same that is used in the Compiz project
    (X11, mixed spaces and tabs).
  * Mousepoll: Fixed mousepoll version mismatch. (COMPIZ_MOUSEPOLL_ABI
    was missing) (LP: #1195659). (LP: #1195659)
  * Expo: Simplified the GL filter handling.
  * Fixed broken text in all plugins (missing COMPIZ_TEXT_ABI). (LP:
    #1196493). (LP: #1196493)
  * CCSM: Fixed vertical alignment of the text on the stylized keys.
    (Shift, Super, Ctrl, Alt) (LP: #1196345). (LP: #1196345)
  * Thumbnail, cleanup: Merged if condition checks. Declaration of
    variables when they are needed (C++ style). Removed redundant
    brackets. Removed useless "/* Could someone please explain how this
    works */" comment. Removed extern const unsigned short
    TEXT_DISTANCE, because this variable does not exist anymore (value
    is configurable already). Changed if (something > 0.0) to if
    (something), 10 times. Changed pointedWin = 0; to pointedWin =
    NULL;. Used centerX () and centerY () abstractions from
    compiz::window::Geometry to determine the icon center coordinates.
    Added and removed newlines, if appropriate. Fixed indentation.
    Thumbnail, code speedup: Return ASAP, do not calculate stuff you
    might not need. No need for WIN_W (w) and WIN_H (w) macros, removed
    those and replaced them with the local variables int winWidth, int
    winHeight, int dockWidth and int dockHeight. No need for WIN_X (w)
    and WIN_Y (w) macros, replaced those with int dockX and int dockY.
    Introduced int tHeight = thumb.height;, int tWidth = thumb.width;,
    int halfTWidth = tWidth / 2; and int halfTHeight = tHeight / 2; and
    used those variables in the following calculations. Use
    igMidPoint[0] and igMidPoint[1] as arguments in the screen-
    >outputDeviceForPoint (arg1, arg2) function, instead of re-
    calculating the arguments again. Thumbnail, GL speedup: Introduced
    GLfloat wxPlusWidth = wx + width;, GLfloat wyPlusHeight = wy +
    height;, GLfloat wxPlusWPlusOff = wxPlusWidth + off;, GLfloat
    wyPlusHPlusOff = wyPlusHeight + off;, GLfloat wxMinusOff = wx - off;
    and GLfloat wyMinusOff = wy - off; and used those coordinates in the
    vertexData arrays. No need to re- calculate those values multiple
    times. Just query optionGetShowDelay () once and use int showDelay
    later. We just enable blending if it is currently disabled and
    disable blending only, if it was disabled before.
  * src/session.cpp cleanup: Declaration and assignment of local
    variables in one line. (this *should* fix bug #1101405) Use pre-
    instead of postfix increments. Added and removed newlines. Added
    missing break (just a style issue). Fixed indentation. (LP:
    #1101405). (LP: #1101405)
  * Firepaint, code cleanup: Declare variables outside of loops.
    Declaration and assignment of local variables in one line. Use pre-
    instead of postfix increment. Removed redundant newlines. Removed
    redundant casts. (from (float) optionGetFireColor) Removed redundant
    brackets. Added missing break (style issue only). Added comment and
    TODO. Fixed indentation. Firepaint, speedup: We just enable GL_BLEND
    if it is disabled and we just disable GL_BLEND if it was disabled
    before. Introduced the GLfloats xMinusW, xPlusW, yMinusH and yPlusH
    to store calculated coordinates instead of recalculating them
    multiple times. Introduced float fireLife = optionGetFireLife ();,
    float fireWidth = optionGetFireSize ();, float fireHeight =
    fireWidth * 1.5f; and bool mystFire = optionGetFireMystical (); and
    used those variables inside the loop. Firepaint, .xml.in cleanup:
    Firepaint now has 2 tabs, 'General' and 'Particle Settings'. The
    name of this plugin is Firepaint, <short> should not contain the
    description. Better description of the plugin. Uppercase option
    titles. Punctuation for tooltips. Improved tooltips. Firepaint,
    fixes: Initialize all class member variables in the ParticleSystem::
    ParticleSystem () ctor (LP: #1101512, LP: #1101580). (LP: #1101512,
    #1101580)
  * img* plugins code cleanup: Always bail out of function ASAP, do not
    calculate stuff you might not need. Declare variables outside of
    loops so they won't be re-declared in each loop. Use prefix instead
    of postfix increments. Declaration and assignment of variables in
    one line. Merged if condition checks. Added and removed brackets.
    Added and removed newlines, if appropriate. Minor code structure
    improvements, declare variables when you need them, not much
    earlier. Fixed indentation.
  * Text, speed improvements: Introduced const float halfPi = PI / 2.0f;
    and const float triHalfPi = halfPi * 3; and used those to draw the
    rounded background. Introduced GLfloat xPlusWidth = x + width; and
    GLfloat yMinusHeight = y - height; and used those coordinates for
    the vertexData array. Text, cleanup: Declaration of local variables
    outside of loops. Fixed indentation.
  * cube.cpp, code cleanup: #include "privates.h", not <privates.h>.
    Merged if condition checks. Declaration of variables, where you need
    them to improve the code structure and readability. Use C++ standard
    bool for topDir, bottomDir, allCaps and mCapsPainted[output] (bool
    true/false instead Bool TRUE/FALSE). Initialize all of the class
    member variables in the constructor. Replaced if (priv->mSky.size ()
    > 0) with if (!priv->mSky.empty ()). Removed redundant brackets.
    Fixed indentation. Added TODO. cube.cpp, code speedup: Do not call
    optionGetInactiveOpacity () twice, instead save the value as float
    inactiveOpacity and use this variable in the following calculation.
    Introduced the variables float halfHsize = hsize / 2.0; and float
    tsSize = 360.0f / size; and used those in following calculations to
    not have to recalculate those values multiple times. Do not
    calculate M_PI / sides and 2 * M_PI / sides multiple times in loops,
    instead save those values in the GLfloats mps and tmps and use those
    values inside the loops. Use GLdouble mDist2 = 0.5 / mDistance; in
    the GLdouble clipPlane* arrays, instead of recalculating this value
    multiple times. Use GLfloat oneMinusFStepX = 1.0f - fStepX; and
    GLfloat oneMinusFStepY = 1.0f - fStepY; instead of calculating those
    values multiple times. Use float outputWidth = outputPtr->width ();
    and float outputHeight = outputPtr->height (); instead of calling
    the functions multiple times. Introduced the GLfloat normInvert =
    0.5f * invert; and used this variable instead of recalculating this
    value multiple times. Introduced the GLfloats mSkyWidth and
    mSkyHeight and used those in the following loops instead of calling
    mSkySize.width () and mSkySize.height () multiple times. Try to
    avoid redundant GL_BLEND state changes, because OpenGL will blindly
    change the global state, no matter what it currently is set to and
    that state change is expensive. So we query and save the actual
    blending state in the variable GLboolean glBlendEnabled =
    glIsEnabled (GL_BLEND); and just enable it if it isn't already and
    just disable it, if it was disabled before. (LP: #1101422, LP:
    #1195977) cube.cpp, other fixes: Return false in function
    PrivateCubeScreen::updateGeometry (int, int) if sides should ever be
    0, which should never happen, but should make Coverity happy. (LP:
    #1101541) Initialize all class member variables in the
    PrivateCubeScreen:: PrivateCubeScreen (CompScreen *) constructor.
    (mTc, mNOutput, mOutput, mOutputMask, mCleared, mCapsPainted) (LP:
    #1101575). (LP: #1195977, #1101541, #1101422, #1101575)
  * plugins/ezoom/src/ezoom.cpp: Also initialize xtrans and ytrans in
    the ctors. Just just enable blending if it is disabled and just
    disable it if it was disabled before. Introduced the variables
    oWidth, oHeight, halfOWidth and halfOHeight to speed up following
    calculations. Return ASAP, do not calculate possibly redundant
    stuff. Declaration and assignment of local variables in one line.
    Improved readability. Added and removed newlines. Minor indentation
    fixes. plugins/ezoom/ezoom.xml.in: Removed redundant whitespaces
    from a tooltip. (LP: #1101572). (LP: #1101572)

  [ Hu Kang stevenhooke11@gmail.com ]
  * workarounds.cpp: Fix typo in call to XShapeSelectInput. (LP:
    #1167284). (LP: #1167284)
  * Use XIDefineCursor rather than XDefineCursor. compiz should show a
    busy cursor during the application startup stage. the corresponding
    code is in scr/screen.cpp:
    cps::StartupSequenceImpl::updateStateFeedback () the patch changes
    all XDefineCursor to XIDefineCursor (see XInput2 extension) (LP:
    #1179155). (LP: #1179155)

  [ Łukasz 'sil2100' Zemczak ]
  * Qt is stupid since it uses the stupid X11 protocol - let's not set
    all the attributes (especially override_redirect) every time, only
    in cases when it's actually needed (LP: #1141079). (LP: #1141079)

  [ Andrea Azzarone ]
  * Satisfy matchers on getProperty as soon as they are set. The order
    of evaluation for matchers in Google Mock appears to be undefined -
    this means that we can't rely on the first argument being matched
    first and the second argument being matched afterwards. In turn,
    this means that any GValue may be passed to a GValueMatch which, by
    a design flaw, is unable to handle any values of a type it does not
    expect (at least not without an API change). It will silently pass
    the incorrect type to g_type_get_* which causes internal assertion
    failures. At the moment we're just interleaving the calls to
    getProperty and get_property - that way the expectations are
    satisfied and go away as soon as they're set. This in turn means
    that Google Mock only has to traverse one matcher rather than
    multiple matchers. (LP: #1187468). (LP: #1187468)
  * Extends invisible borders to the title bar too. (LP: #717444). (LP:
    #717444)
  * Disable grid/put_maximize_key on ubuntu.
  * Port to new gmock. Disable some faling tests because of weird leaks.
    (LP: #1185265)
  * Update window geo only on new decoration size only if mapped. (LP:
    #1198000). (LP: #1198000)
  * Disable show_desktop_key by default on ubuntu. Will provide the same
    option under the unityshell panel. (LP: #1204664)
  * Use Glib::RefPtr<Glib::Source> in glib_integration_test and compiz
    core too. After the fix of bug
    https://bugzilla.gnome.org/show_bug.cgi?id=561885
    Glib::Source::~Source is called when both Source::unreference() and
    SourceCallbackData::destroy_notify_callback() are called. (LP:
    #1214459)

  [ Sam Spilsbury ]
  * Also take into account the gravity requirements when validating
    reposition requests. Get most of that code under test too. (LP:
    #1159324). (LP: #1159324)
  * Install compizconfig backends to the correct libdir (LP: #1163611).
    (LP: #1163611)
  * Don't timeout after 3000ms when asking compiz for a startup message.
    It can sometimes take longer in the valgrind case. Also timeouts are
    bad design for tests. (LP: #1169170). (LP: #1169170)
  * Check for USE_GCONF if USE_GSETTINGS is unavailable when
    instantiating different types of settings objects. (LP: #1169172).
    (LP: #1169172)
  * Link in CMAKE_THREAD_LIBS_INIT through GTEST_BOTH_LIBRARIES so it
    gets included in everything. Remove redundant links. Require
    FindThreads.cmake. (LP: #1171364). (LP: #1171364)
  * Explicitly check if the smart pointers are null rather than
    converting implicitly to bool as boost 1.53 now marks the bool
    operator as explicit (LP: #1172601). (LP: #1172601)
  * Rewrite screen size change tests. 1. Rename the overly-terse
    variables names to variables names that have some significance 2.
    Split the giant three-test structure into multiple tests each with
    only one assert 3. Remove a lot of redundant calculation 4. Remove
    magic numbers peppered throughout the code. Use constants and
    express asserts as relationships between those constants. 5.
    Refactor some of the more common test-advancement code (such as
    changing the screen size) into the test fixture as common methods.
    (LP: #1167983). (LP: #1167983)
  * Refactor screenshot code to make it clearer and also to allow us to
    take screenshots in glPaintOutput as opposed to paint (). Taking
    screenshots in paint () was probably correct pre-GLES, but isn't
    really correct now - we want to be able to read off of the currently
    bound scratch framebuffer where we last painted the frame. Reading
    off the frontbuffer is an imprecise operation because the contents
    of both buffers are really undefined after a swap. In the case where
    we are not painting to a scratch framebuffer object, we'll just end
    up reading from the backbuffer anyways, which would be correct to do
    mid-frame. Also added the new static const GLenums
    DRAW_FRAMEBUFFER_BINDING and READ_FRAMEBUFFER_BINDING to opengl.h.
    (LP: #771875). (LP: #771875)
  * Set libcompizconfig_libdir before the modules get a chance to see
    it. (LP: #1173799). (LP: #1173799)
  * Try to launch tests on another server if there's tests running in
    parallel. Provide our own compiz_xorg_gtest_main and subclass
    xorg::testing::Environment to try and launch tests on another
    display if there's tests running on one already. This isn't by any
    means perfect - there are still race conditions surrounding
    XOpenDisplay and parallel test runs but it makes a more smaller time
    gap for conditions such as:  1. Client has a server grab on the
    display we're checking     and won't let go.  2. Two servers get
    launched on one port and one set of tests     interfere with the
    other. It also means that we're now unable to configure the display
    port, log file and config file on the command line. But we weren't
    using that anyways. Finally, the logs now point to
    /tmp/Compiz.Xorg.GTest.displaynum.log (LP: #1178514). (LP: #1178514)
  * Fix some files not installing: 1. gsettings schemas never get added
    to the install_manifest list because we use install (CODE) so we
    need to add a custom uninstall target for those, and also need to
    recompile on uninstall too 2. Run the gtk-update-icon-cache stage
    during install for ccsm and also add icon-theme.cache to the
    uninstall target (LP: #1168475). (LP: #1168475)
  * Wall: Fixed broken wall edge flipping functions: "Edge Flip Pointer"
    "Edge Flip Move" Removed void WallScreen::updateScreenEdgeRegions ()
    completely. This function not needed hereat all, no other plugin
    needs to re-define the screen edge regions by itself - just core
    should do that. The screen edge region updating also confused the
    edge flipping functionality. case ConfigureNotify: just breaks out
    now Added missing default: case and a break (just a style issue).
    Minor cleanup in bool WallScreen::initiateFlip (...). One
    declaration per line. Note: "Edge Flip DnD" still seems to be
    broken, but will be fixed in a follow-up proposal. (LP: #771448, LP:
    #858845). (LP: #771448, #858845)
  * Add a small compiz_autopilot_acceptance_tests binary based on gtest.
    This will find autopilot and run a predefined list of tests, wrapped
    up in the familiar google test format. The predefined list is
    basically a bunch of tests which effectively interact with the
    window manager. (LP: #1170013). (LP: #1170013)
  * Change the behaviour of undecorating windows. Previously when a
    window was undecorated, we would shift it back to an appropriate
    position according to its gravity member. That behaviour was
    problematic because in the StaticGravity case the window has to just
    stay in the same place. But then if you had a window with
    StaticGravity which then did get a decoration and later removed it,
    it would be placed as though it was decorated and appear to be in
    the wrong place. The correct behaviour is to place all windows as
    though they have decorations, and then when decorations are removed,
    to move the window back to the corner as indicated in its gravity
    and then expand its size to cover the obscured regions no longer
    hidden because the decorations went away. (LP: #1165343). (LP:
    #1165343)
  * Added some new hooks to PluginClassHandler to allow a VTable to
    specify if loaded. PluginClassHandler::get () was designed to simply
    instantiate an instance of that class for the core structure, but it
    did this without checking if the plugin was loaded. Added some new
    methods to PluginClassHandler exposed by LoadedPluginClassBridge and
    only accessible by those who implement PluginKey to specify globally
    whether or not a plugin is actually loaded, so that
    PluginClassHandler can return accordingly. Integration and unit
    tests added as appropriate (LP: #1169620) (LP: #1101026). (LP:
    #1101026, #1169620)
  * Satisfy matchers on getProperty as soon as they are set. The order
    of evaluation for matchers in Google Mock appears to be undefined -
    this means that we can't rely on the first argument being matched
    first and the second argument being matched afterwards. In turn,
    this means that any GValue may be passed to a GValueMatch which, by
    a design flaw, is unable to handle any values of a type it does not
    expect (at least not without an API change). It will silently pass
    the incorrect type to g_type_get_* which causes internal assertion
    failures. At the moment we're just interleaving the calls to
    getProperty and get_property - that way the expectations are
    satisfied and go away as soon as they're set. This in turn means
    that Google Mock only has to traverse one matcher rather than
    multiple matchers. (LP: #1187468). (LP: #1187468)
  * Revert revision 3278.
  * Immediately update the window matrices and regions if the number of
    textures changed. (LP: #1189369). (LP: #1189369)
  * Provide a basic decor plugin acceptance test suite. This change
    provides a simple acceptance test suite for the decor plugin. It
    creates a fake window decorator (cdt::FakeDecorator) and allows
    users to create fake decorations (eg cdt::FakePixmapDecoration)
    which can be serialized as decoration properties and set on windows
    under xorg-gtest. It also launches compiz with the opengl, composite
    and decor plugins loaded and runs some basic tests. Among them:
    BaseDecorAcceptance. Startup: Basic canary "can we start compiz with
    these plugins" test
    FakeDecoratorSessionOwnerNameSetOnSelectionOwner: Create a fake
    decorator, ensure that libdecoration sets our session name "fake" on
    the selection owner FakeDecoratorReceiveClientMessage: Create fake
    decorator, ensure that libdecoration posts a client message to the
    root window announcing that the new decorator exists.
    DecorationSupportsWindowType: Create a fake decorator, announce
    support for the WINDOW type decorations and ensure that the correct
    atom is set on the session owner window.
    DecorationSupportsPixmapType: Create a fake decorator, announce
    support for the PIXMAP type decorations and ensure that the correct
    atom is set on the session owner window.
    DecorFakeDecoratorAcceptance. WindowDefaultFallbackNoExtents: By
    default, newly created windows should recieve a fallback decoration
    but they should not have any frame extents.
    DecorWithPixmapDefaultsAcceptance. These tests create a default
    pixmap decoration to use in the hypothetical situation that the
    window decorator hasn't yet generated a decoration for this window.
    FallbackRecieveInputFrameNotify: Verify that we get a
    _COMPIZ_WINDOW_DECOR_INPUT_FRAME property set on the client when it
    is created and mapped (eg, an input frame window was annonuced to be
    created) FallbackHasInputFrameInParent: Verify that a second window
    exists in the frame window after this message was recieved.
    FallbackNormalWindowExtentOnDecoration: Verify that
    _NET_FRAME_EXTENTS is set to the default window extents for the
    default decoration when the window was mapped.
    FallbackNormalWindowInputOnFrame: Verify that the input window
    matches the extents set. PixmapDecoratedWindowAcceptance. These
    tests create a new window and an associated unique decoration for
    that window. MaximizeBorderExtentsOnMaximize: Maximize the window
    and ensure that the correct border extents are used.
    MaximizeBorderExtentsOnVertMaximize: Vertically maximize the window
    and ensure that the correct border extents are used.
    MaximizeBorderExtentsOnHorzMaximize: Horizontally maximize the
    window and ensure that the correct border extents are used.
    MaximizeFrameWindowSizeEqOutputSize: Maximie the window and ensure
    that the frame window exactly equals the output size.
    VertMaximizeFrameWindowSizeEqOutputYHeight: Maximize the window and
    ensure that the frame window's Y and Height values are consistent
    with the output size. HorzMaximizeFrameWindowSizeEqOutputXWidth:
    Ditto horizontal maximization.
    DISABLED_VertMaximizeFrameWindowSizeSameXWidth: Maximize the window
    vertically and ensure that the frame window's border-relative X
    position and width does not change. This test is disabled, as the
    behavior in compiz is currently broken, (but it means that we can
    fix it later and enable the test).
    DISABLED_HorzMaximizeFrameWindowSizeSameYHeight Maximize the window
    horizontally and ensure that the frame window's border-relative Y
    position and height does not change. This test is disabled, as the
    behavior in compiz is currently broken, (but it means that we can
    fix it later and enable the test). (LP: #1188900). (LP: #1188900)
  * Only mark for no further instantiations once we've finished
    destructing the plugin (LP: #1193596). (LP: #1193596)
  * Add more acceptance tests for the decor plugin.
    PixmapDecoratedWindowAcceptance. UndecoratedWindowExpandToOrigSize
    Test that upon undecoration, the window has exactly the same
    geometry as it did before decoration.
    DISABLED_UndecorateStaticGravityWindow Tests that for windows with a
    static gravity, the window has exactly the same geometry as it did
    before decoration. Disabled, as core is currently not moving the
    window with the static gravity back to where it started.
    AdjustmentExtents/PixmapDecorationAdjustment.
    AdjustRestoredWindowBorderMovesClient/P Test that changing the
    border extents causes the client window's absolute geometry to
    change. DISABLED_AdjustRestoredWindowBorderShrinkClient/P Tests that
    changing the border extents causes the client window's absolute
    geometry to shrink by the amount of border. Disabled, as the current
    behavior is to expand the frame window as opposed to shrinking the
    client (but this will be changed).
    DISABLED_ClientExpandsAsBorderShrinks/P Tests that as the border
    shrinks away, the client expands back to its original size.
    Disabled, as the current behavior is to expand the frame window as
    opposed to shrinking the client (but this will be changed).
    DISABLED_ClientExpandsAsBorderShrinksWhilstMaximized/P Tests that
    even if the client is maximized, if the restored border shrinks away
    it demaximizes back to the same position while also accounting for
    any change in the restored window border size. Disabled, as the
    current behavior is to expand the frame window as opposed to
    shrinking the client (but this will be changed).
    DISABLED_ClientExpandsAsBorderShrinksWhilstUndecorated/P Tests that
    even when the client is not permitted to be decorated because the
    decoration hint was removed, when it is redecorated it will be moved
    to the correct position taking into account any changes in its
    border size. Disabled, as the current behavior is to expand the
    frame window as opposed to shrinking the client (but this will be
    changed). DISABLED_AdjustRestoredWindowInputNoMoveClient/P Tests
    that adjusting the input extents (as independent from the border
    extents) of the client does not cause the client to move. Disabled,
    as this behavior appears to be broken in core. Move the
    "GetImmediateParent" function into the compiz::testing namespace so
    that it can be used by other tests. (LP: #1188900)
  * Unrevert 3728, fix failing tests. Change the behaviour of
    undecorating windows. Previously when a window was undecorated, we
    would shift it back to an appropriate position according to its
    gravity member. That behaviour was problematic because in the
    StaticGravity case the window has to just stay in the same place.
    But then if you had a window with StaticGravity which then did get a
    decoration and later removed it, it would be placed as though it was
    decorated and appear to be in the wrong place. The correct behaviour
    is to place all windows as though they have decorations, and then
    when decorations are removed, to move the window back to the corner
    as indicated in its gravity and then expand its size to cover the
    obscured regions no longer hidden because the decorations went away.
    (LP: #1165343).   1. Completely remove decorOffsetMove and other
    related code from      decor.cpp. Put the logic to handle the
    window->input () - window->border ()      placement offset inside of
    setWindowFrameExtents instead. Now the window      will always be
    offset from its original non-decorated position to the new
         decorated position, rather than having to guess between
    decoration sizes.   2. Make saveGeometry and restoreGeometry work
    relative to window->border ()      as opposed to including it in the
    saved geometry. It is possible that the      border size might
    change during maximization, as such, we don't want to      save the
    position with the border before maximizing. Instead save the
    position      as if it were never decorated so that when the window
    is restored it can be      restored to its original position and
    then adjusted for its new border size.   3. Fix a few typoes in the
    tests.   4. Moved some commonly used matchers into compiz::testing
      5. Make COMPIZ_PLUGIN_DIR accept multiple directories and look in
    each one      of them for the plugin   6. Set COMPIZ_PLUGIN_DIR
    appropriately for each plugin that we wish to load      on startup
    so that we load locally built plugins as opposed to installed
         ones.   7. Uncomment compiz_discover_tests for the acceptance
    tests. Now they are      run by default. (LP: #1195522). (LP:
    #1195522, #1165343)
  * Add a simple script for making releases.
  * Port to new gmock. Disable some faling tests because of weird leaks.
    (LP: #1185265)
  * Don't add the frame to the toplevel stack if it hasn't been created
    yet. In the event that a window is unreparented or destroyed, we
    usually need to add its frame window to the toplevel window stack
    until the time at which we recieve a DestroyNotify for it, as there
    may be incoming ConfigureNotify events puporting to stack other
    windows relative to that frame. However, this does not apply in the
    case where we have not yet received a CreateNotify for the frame
    window. In that case, it is not possible for any stacking requests
    to be made relative to this window, so it does not need to be added
    immediately. Instead, we can add it at the time that we recieve a
    CreateNotify for it as a regular override redirect window until the
    time that it is later destroyed. (LP: #1171314). (LP: #1171314)
  * Remove redundant src/logmessage/include/core/logmessage.h (LP:
    #1067246). (LP: #1067246)
  * Adjust acceptance tests for the fix to LP: #1198000 1. Always set
    frame extents before updating the frame 2. Added
    COMPIZ_NO_CONFIGURE_BUFFER_LOCKS so that we don't have to deal with
    the delayed configure requests logic in the tests where it does not
    help 3. Split restoredDecorationSize in to
    restoredDecorationBorderSize and restoredDecorationInputSize so that
    we can measure the size of the decoration both in terms of its
    visible and invisible border 4. Wait for the default decoration
    properly 5. Capture the initial geometry of the window with and
    without decorations when the window gets its first decoration. Use
    these values to calculate the size changes in the window from then
    on instead of its creation values 6. Just flag when the window was
    first decorated in setWindowFrameExtents rather than checking if it
    is mapped. We only want to not resize the window once. (LP:
    #1198000)
  * Release version 0.9.10.0
  * Bump VERSION to 0.9.10.2

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3781

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 06:58:07 +0000
compiz (1:0.9.9~daily13.04.18.1~13.04-0ubuntu4) saucy; urgency=low

  * Remove debian/patches/unity_support_test.patch
    - Running the support test from compiz has bad side effects, so we no
      longer require this patch (also LP: #1066764)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 12 Aug 2013 13:11:18 +0200

compiz (1:0.9.9~daily13.04.18.1~13.04-0ubuntu3) saucy; urgency=low

  * No change rebuild to drop the buggy libhybris depends 

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Aug 2013 10:50:09 +0200

compiz (1:0.9.9~daily13.04.18.1~13.04-0ubuntu2) saucy; urgency=low

  * Fixing FTBFS in saucy:
    - Cherry pick boost1.53 fixes from upstream branch.
    - Do not enable -Wno-unused-private-field.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 20:56:50 +0100

compiz (1:0.9.9~daily13.04.18.1~13.04-0ubuntu1) raring; urgency=low

  [ Ken VanDine ]
  * Revert 3636 from lp:compiz/0.9.9 to fix Qt apps getting window decorations
    placed behind the panel.  (LP: #1165343) 
    - This reintroduces bug 1159324, Guake window appears placed by offset 
      non-existent decoration
  * [regression-r3635] Guake window appears placed by offset non-
    existent decoration (LP: #1159324)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3650

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Apr 2013 05:46:57 +0000

compiz (1:0.9.9~daily13.04.15-0ubuntu1) raring; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * [regression-r3606] Compiz broken with QT menus/floating controls in
    13.04 (LP: #1141079)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3648

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Apr 2013 04:17:27 +0000

compiz (1:0.9.9~daily13.04.10-0ubuntu1) raring; urgency=low

  [ Steve Langasek ]
  * Adding/Removing an external monitor causes open windows to move to
    another workspace (LP: #763148)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3646

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Apr 2013 04:03:14 +0000

compiz (1:0.9.9~daily13.04.05-0ubuntu1) raring; urgency=low

  [ Daniel van Vugt ]
  [Daniel van Vugt]
  * Merge lp:compiz/raring back in to lp:compiz/0.9.9 so we can maintain
    raring from lp:compiz/0.9.9. The last common revision was 3629, so...
  * Automatic snapshot from revision 3629

  [ MC Return <mc.return@gmx.net>, Sam Spilsbury <smspillaz@gmail.com>, Sam Spilsbury ]
  * Workspacenames plugin: Damage handling is broken and the plugin
    damages the full screen instead of just the painted part of it (LP:
    #1162246)
  * [regression-r3320] Workspacenames Plug-in: Flickering background on
    appearance, fade-out seems smooth (LP: #1075578)

  [ Brandon Schaefer ]
  * [regression] Shortcut overlay does not hide when modifier key is
    pressed (LP: #1075207)
  * Unity blocks other programs from binding globally to Super+* (* =
    any key) (LP: #950160)

  [ Sam Spilsbury <Sam@ACER-SUSE.SUSE>, Sam <Sam@XPS-SUSE.XPS>, Sam Spillaz <smspillaz@gmail.com>, Sam Spilsbury <smspillaz@gmail.com>, Sam Spilsbury <sam.spilsbury@canonical.com>, MC Return <mc.return@gmx.net>, Sam Spilsbury <Sam@XPS-SUSE.site>, users <warlock@banana.(none)>, Scott Moreau <oreaus@gmail.com>, Danny Baumann <dannybaumann@web.de>, warlock <warlock.cc@gmail.com>, Sam Spilsbury <smspillaz@XPS-U.(none)>, warlock <warlock@opencompositing.org>, Roland Bär ]
  * [needs-packaging] Wishlist: Missing plug-In: Freewins (Freely
    Transformable Windows) (LP: #1012194)

  [ MC Return <mc.return@gmx.net>, Sam Spilsbury <sam.spilsbury@canonical.com>, Sam Spilsbury ]
  * Showdesktop plugin: Wishlist/Feature-Request: Implement "Random"
    movement direction option (LP: #1161343)

  [ MC Return ]
  * Wall plugin: Redundant if (screen->otherGrabExist ("wall", 0)) check
    in WallScreen::initiateFlip (LP: #1160878)
  * CompWindow::syncPosition () function is empty and calls to it
    redundant (LP: #1160624)
  * Showdesktop plugin: Wishlist/Feature-Request: Implement "Random"
    movement direction option (LP: #1161343)
  * Multimonitor: Grid plugin: Wrong calculation of top left mouse-grid-
    resize corner coordinates (LP: #1139835)

  [ Sam Spilsbury ]
  * After Upgrade to Boost 1.53 Build Fails (LP: #1131864)
  * Showdesktop plugin: Wishlist/Feature-Request: Implement "Random"
    movement direction option (LP: #1161343)
  * [regression] Unmaximized windows can't be closed, minimized, moved
    (LP: #1158161)
  * Latest compiz update breaks Java Swing decorations (LP: #1138517)
  * [regression-r3635] Guake window appears placed by offset non-
    existent decoration (LP: #1159324)
  * [regression-r3623] Wallpaper bleeds through on top right when a
    window is opened maximized (LP: #1140505)
  * xiphos crashed with SIGSEGV in sword::VerseKey::copyFrom() (LP:
    #1159234)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3644

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Apr 2013 04:03:10 +0000

compiz (1:0.9.9~daily13.03.29-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * [regression-r3635] Guake window appears placed by offset non-
    existent decoration (LP: #1159324)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3641

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Mar 2013 07:23:54 +0000

compiz (1:0.9.9~daily13.03.25-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * [regression] Unmaximized windows can't be closed, minimized, moved
    (LP: #1158161)

  [ MC Return ]
  * Multimonitor: Grid plugin: Wrong calculation of top left mouse-grid-
    resize corner coordinates (LP: #1139835)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3639

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Mar 2013 04:02:57 +0000

compiz (1:0.9.9~daily13.03.20-0ubuntu1) raring; urgency=low

  [ Sam Spilsbury ]
  * Latest compiz update breaks Java Swing decorations (LP: #1138517)
  * [regression-r3623] Wallpaper bleeds through on top right when a
    window is opened maximized (LP: #1140505)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3636

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 20 Mar 2013 04:02:51 +0000

compiz (1:0.9.9~daily13.03.08-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * [regression] Shortcut overlay does not hide when modifier key is
    pressed (LP: #1075207)
  * Unity blocks other programs from binding globally to Super+* (* =
    any key) (LP: #950160)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3633

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 08 Mar 2013 10:34:21 +0000

compiz (1:0.9.9~daily13.03.06-0ubuntu1) raring; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Latest compiz update breaks Java Swing decorations (LP: #1138517)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3631

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 06 Mar 2013 13:26:19 +0000

compiz (1:0.9.9~daily13.03.01-0ubuntu1) raring; urgency=low

  [ MC Return ]
  * Multiple minor code and style issues (LP: #1134251)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3629

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 01 Mar 2013 04:02:19 +0000

compiz (1:0.9.9~daily13.02.28-0ubuntu1) raring; urgency=low

  [ Sam Spilsbury ]
  * [nvidia] Moving windows freezes and stutters on nvidia (especially
    if some other window is redrawing). (LP: #1027211)

  [ Brandon Schaefer ]
  * [Regression] Lowering window by middle click doesn't switch focus to
    raised window (LP: #1034616)

  [ Sam Spilsbury ]
  * compiz crashed with SIGSEGV in DecorWindow::moveNotify()
    [decor.cpp:2791] (LP: #1056409)
  * [regression] r3523: Restored windows' contents are offset from (not
    aligned with) their frames (LP: #1089279)
  * Creating windows above just-destroyed windows causes newly created
    windows to receive invalid stack positions (LP: #1088399)

  [ Paul Donohue ]
  * Dim Inactive plugin disabled by default although stated  as enabled
    (LP: #808909)

  [ MC Return ]
  * Dim Inactive plugin disabled by default although stated  as enabled
    (LP: #808909)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3627

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 28 Feb 2013 04:02:37 +0000

compiz (1:0.9.9~daily13.02.26-0ubuntu1) raring; urgency=low

  [ Sam Spilsbury ]
  * debian/ccp_plugin.patch:
    - Added new option --no-auto-load-ccp to prevent the ccp
      plugin from autoloading. Useful for tests where having
      this behaviour just causes problems from unwanted side-effects
    - Also adjust test framework to pass the new option
    - Fix typo
  * debian/rules:
    - We already auto-load the ccp plugin, no need to add it to the
      default plugins.
  * debian/control:
    - Add xorg-gtest, xserver-xorg-dev, libxi-dev as build-deps
  * debian/ubuntu_config.patch:
    - Adjust EWMH test for new value

  [ Sam Spilsbury <sam.spilsbury@canonical.com>, Brandon Schaefer ]
  * [2013/02/20] compiz/unity don't run, just loading cpp (LP: #1130679)

  [ Sam Spilsbury ]
  * Unity: wrong window dimensions / location in Java applications (LP:
    #1110138)
  * Add copytex to default/unity profiles (LP: #1130160)
  * Closing windows sometimes shows black areas using Nvidia 313.x
    drivers (LP: #1119608)
  * [2013/02/20] compiz/unity don't run, just loading cpp (LP: #1130679)
  * Run xorg-gtest tests in CI (LP: #1120009)

  [ MC Return ]
  * CCSM: No icons and text in main screen, submenus of the plugins work
    normally (LP: #1130941)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3621

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 26 Feb 2013 04:02:36 +0000

compiz (1:0.9.9~daily13.02.19-0ubuntu1) raring; urgency=low

  [ Sam Spilsbury ]
  * debian/patches/100_workaround_virtualbox_hang.patch
    - VirtualBox uses a shared-memory texture_from_pixmap_implementation
    which is not compatible with our server grab usage, so force
    a different bind method when running with virtualbox and binding
    an externally managed texture

  [ Brandon Schaefer ]
  * Unity rendered behind windows (LP: #906231)

  [ MC Return ]
  * unmaximize_window_key instead of unmaximize_or_minimize_window_key
    exposed in g-c-c (LP: #1115128)

  [ Sam Spilsbury ]
  * [needs-packaging] Please upload: esvn merged (LP: #112433)
  * [nvidia] Windows appear blank white (LP: #729979)
  * Threads not found on CI (LP: #1124133)
  * Unity rendered behind windows (LP: #906231)
  * Compiz hangs in glXBindTexImageEXT in VirtualBox (LP: #1127866)
  * 1:0.9.8+bzr3319-0ubuntu1 regression: keeps setting gsettings keys to
    wrong values (LP: #1063617)
  * Creating windows above just-destroyed windows causes newly created
    windows to receive invalid stack positions (LP: #1088399)

  [ Marco Trevisan (Treviño) ]
  * Calling setOptionForPlugin does not work for core options (LP:
    #1122228)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3611

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 19 Feb 2013 08:46:08 +0000

compiz (1:0.9.9~daily13.02.08-0ubuntu1) raring; urgency=low

  [ MC Return ]
  * thumbnail.xml.in needs some love (LP: #1113459)
  * Thumbnail plugin: Window title text is rendered into transparency
    and glow/background are too large (LP: #1099100)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3601

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 08 Feb 2013 04:01:47 +0000

compiz (1:0.9.9~daily13.02.07-0ubuntu1) raring; urgency=low

  [ MC Return ]
  * [regression][GLES] gears plugin does not build any more (LP:
    #1020822)
  * Cube Gears plugin: Cylinders inside the gears are not rendered
    correctly (LP: #1117311)
  * compiz-profile-active-Default.convert and compiz-profile-active-
    Default.convert are referring to refres_rate and detect_refres_rate
    (LP: #1115243)
  * cppcheck static code analysis reveals some true positives (LP:
    #1114525)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3599

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 07 Feb 2013 06:19:48 +0000

compiz (1:0.9.9~daily13.02.04-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Spread - Window glow is incorrectly painted in the screen when
    switching spreaded application (LP: #1109805)

  [ MC Return ]
  * Coverity MISSING_BREAK - CID 12463 (LP: #1101561)
  * Thumbnail plugin: Window title text is rendered into transparency
    and glow/background are too large (LP: #1099100)
  * Showmouse plugin code: Needs cleanup (LP: #1105969)
  * Coverity SECURE_CODING - CID 10019 (LP: #957582)
  * Coverity SECURE_CODING - CID 12511 (LP: #1101605)
  * Coverity SECURE_CODING - CID 12512 (LP: #1101571)
  * Keyboard shortcut overlay says Ctrl+Super+Down "minimises" the
    current window, but it doesn't (LP: #966099)
  * Coverity SECURE_CODING - CID 10020 (LP: #957587)
  * Coverity SECURE_CODING - CID 12529 (LP: #1101641)
  * Coverity MISSING_BREAK - CID 12464 (LP: #1101549)
  * Coverity SECURE_CODING - CID 12519 (LP: #1101565)
  * Coverity SECURE_CODING - CID 12516 (LP: #1101499)
  * [GLES] Showmouse plugin needs port to OpenGL|ES (LP: #1106270)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3594

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 04 Feb 2013 04:01:58 +0000

compiz (1:0.9.9~daily13.01.25-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * Really take default patched hsize and vsize and don't override them
    to fix (LP: #868423)

  [ sampo555 ]
  * [regression] Window resize granularity is lost when restored after
    using Grid (LP: #925867)
  * Window management - Restoring a grid-placed window by dragging the
    title bar downwards does not restore the original window width (LP:
    #878516)

  [ Daniel van Vugt ]
  * Several memory leaks in
    google::protobuf::DescriptorPool::InternalAddGeneratedFile() from
    google::protobuf::protobuf_AddDesc_*() (LP: #1102829)
  * Several leaks in g_settings_new() [g_object_new()] from
    ccsGSettingsNewNoPath() [ccs_gsettings_interface_wrapper.c:184] (LP:
    #1097649)
  * Several memory leaks in g_signal_new() ... from
    ccsGSettingsWrapperNewForSchema()
    [ccs_gsettings_interface_wrapper.c:184] from initBackend()
    [gsettings.c:468] (LP: #1102822)

  [ Sam Spilsbury ]
  * Several memory leaks in strdup() from
    ccsGSettingsIntegratedSettingReadValue() from
    ccsGNOMEIntegrationBackendReadISAndSetSettingForType() from
    ccsGNOMEIntegrationBackendReadOptionIntoSetting() (LP: #1100564)

  [ MC Return ]
  * Coverity MISSING_BREAK - CID 12468 (LP: #1101430)
  * Coverity MISSING_BREAK - CID 12466 (LP: #1101558)
  * Coverity MISSING_BREAK - CID 12467 (LP: #1101465)
  * Showmouse plugin: Possible values of the particle life setting can
    destroy the plugin's functionality (LP: #1098877)
  * Coverity MISSING_BREAK - CID 12465 (LP: #1101557)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3582

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 25 Jan 2013 04:03:43 +0000

compiz (1:0.9.9~daily13.01.21-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * Window Management - Implement maximize and semi-maximise transitions
    (LP: #689792)

  [ Sam Spilsbury ]
  * Several memory leaks in ccsIntegratedSettingListAppend() from
    ccsIntegratedSettingsStorageDefaultFindMatchingSettingsByPredicate()
    from
    ccsIntegratedSettingsStorageDefaultFindMatchingSettingsByPluginAndSe
    ttingName() (LP: #1100539)
  * Several leaks in g_settings_new() [g_object_new()] from
    ccsGSettingsNewNoPath() [ccs_gsettings_interface_wrapper.c:184] (LP:
    #1097649)
  * Compiz reports incorrect _NET_DESKTOP_GEOMETRY until first viewport
    switch (LP: #1096455)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3569

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 21 Jan 2013 04:01:41 +0000

compiz (1:0.9.9~daily13.01.17-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * Launcher - Workspace switcher should not be in the Launcher by
    default (LP: #868423)

  [ MC Return ]
  * Workspacenames plugin: Requires text plugin to work (LP: #1100172)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3564

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 17 Jan 2013 07:03:41 +0000

compiz (1:0.9.9~daily13.01.14-0ubuntu1) raring; urgency=low

  [ sampo555 ]
  * compiz crashed with SIGSEGV in DodgeAnim::applyDodgeTransform() (LP:
    #1048840)
  * compiz crashing if window un-/minimize animation is "Random" (LP:
    #1098185)

  [ Daniel van Vugt ]
  * Several leaks in new GLProgram from compileProgram() from
    GLScreen::getProgram() from GLWindowAutoProgram::getProgram() (LP:
    #1097644)

  [ Sam Spilsbury ]
  * Several leaks in ccsIntegratedSettingListAppend() ... from
    ccsGNOMEIntegrationBackendGetIntegratedSetting() from readSetting
    (gsettings.c:375) (LP: #1097661)

  [ MC Return ]
  * Thumbnail Window Previews: Flickering of background/glow and window
    title text (LP: #1098758)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3561

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 14 Jan 2013 04:03:09 +0000

compiz (1:0.9.9~daily13.01.11-0ubuntu1) raring; urgency=low

  [ Jussi Pakkanen ]
  * Build warning "multiple rules generate gtk/gnome/compiz.desktop.
    build will not be correct; continuing anyway" (LP: #1086789)
  * Build uses pyrexc without checking that it exists (LP: #1086704)

  [ Iven Hsu ]
  * KWD: Appmenu always pops up at top-left corner of the screen (LP:
    #1089863)

  [ Matija Skala ]
  * findcompiz_install doesn't work (LP: #1051595)

  [ Michail Bitzes ]
  * [regression-r3320] firepaint doesn't paint any fire any more (LP:
    #1048505)

  [ Timo Jyrinki ]
  * Default blacklist string shouldn't contain double escape (LP:
    #1091103)

  [ Scott Moreau <oreaus@gmail.com>, MC Return <mc.return@gmx.net>, Sam Spilsbury ]
  * [needs-packaging] Wishlist: Missing plug-In: Wizard (LP: #1012330)

  [ Brandon Schaefer ]
  * Window management - When a monitor is disconnected, the windows do
    not move to the remaining monitor and the Launcher pips do not
    update (LP: #1002246)

  [ MC Return ]
  * [regression] thumbnail plugin does not build any more (LP: #1020825)
  * [regression-r3320][GLES]: showmouse plugin does not work anymore at
    all (LP: #1048267)

  [ Robert M <osfan6313@gmail.com>, Sam Spilsbury ]
  * CCSM segfaults if no settings found (LP: #1092651)

  [ Daniel van Vugt ]
  * [regression] Window resize granularity is lost when restored after
    using Grid (LP: #925867)
  * compiz_test_resize_logic: Multiple errors: Conditional jump or move
    depends on uninitialised value(s) (LP: #1097179)
  * Add support for blacklisting some drivers from using unredirected
    fullscreen windows (LP: #1089246)
  * [regression] compiz spends 31% of its CPU time in regexec() (LP:
    #1095001)
  * GLShaderCache::priv [PrivateShaderCache] is leaked (LP: #1097664)
  * [regression] r3523: Restored windows' contents are offset from (not
    aligned with) their frames (LP: #1089279)
  * On ARM lp:compiz defaults to GL instead of GLES and FTBFS unless you
    -DBUILD_GLES=ON (LP: #1088414)
  * [regression][GLES] wallpaper plugin does not build any more (LP:
    #1020830)
  * [regression-r3320] firepaint doesn't paint any fire any more (LP:
    #1048505)
  * findcompiz_install doesn't work (LP: #1051595)
  * [Regression] Minimizing a window creates an input-insensitive area
    if you have unityshell loaded (LP: #1089811)
  * [clang] lp:compiz r3523 FTBFS: unused function
    'ListValueToSettingValueList' [-Werror,-Wunused-function]  (LP:
    #1089250)
  * compiz fails to configure on arm with -DCOMPIZ_BUILD_TESTING=ON
    [package 'gl' not found] (LP: #1088419)
  * PrivateGLScreen::projection is leaked (LP: #1097657)
  * [clang] Multiple segfaults in test: SetSemantics (LP: #1089251)
  * Plugin names are not sorted (they're shown in directory order) when
    cmake is run (LP: #1096780)
  * Windows don't respond to input (mouse clicks) if XShape is disabled
    or unavailable (LP: #1087193)
  * cmake suggests (kind of) expo is disabled but it still builds
    correctly. (LP: #1083027)
  * EGL/GLES compiz builds do a eglWaitGL (synchronous wait) on every
    frame, likely to slow things down (LP: #1086779)
  * Incorrect detection of shader support on fglrx (LP: #1026920)
  * 1:0.9.8+bzr3319-0ubuntu1 regression: keeps setting gsettings keys to
    wrong values (LP: #1063617)
  * resize leaks memory in multiple locations calling
    resize::CompScreenImpl::findWindow() -> operator new() (LP:
    #1097126)

  [ Andrea Azzarone ]
  * Modal dialogs don't appear on the same workspace/monitor as their
    parent window (LP: #754508)
  * Multimonitor: New windows open on the wrong monitor, Place Plugin
    settings silently ignored (LP: #874146)

  [ Sam Spilsbury ]
  * [regression][GLES] cubeaddon plugin does not build any more (LP:
    #1020823)
  * [regression-r3320] Animations and modules/plugins missing in Ubuntu
    12.10 and 13.04 (LP: #1069112)
  * [nvidia] Moving or resizing windows freezes and stutters on nvidia
    (especially if some other window is redrawing). (LP: #1027211)
  * Clicking on semi-maximized windows in a different workspace fails to
    switch to the correct workspace (LP: #1037164)
  * CCSM segfaults if no settings found (LP: #1092651)
  * Building compiz with clang++ on raring fails to build libgtest (LP:
    #1095906)
  * Using grid-resize prevents windows from maximizing correctly (LP:
    #1093757)
  * 1:0.9.8+bzr3319-0ubuntu1 regression: keeps setting gsettings keys to
    wrong values (LP: #1063617)
  * ccp can fail to compile, as CompizPlugin is not included (LP:
    #1090845)
  * opengl plugin FTBFS with clang (LP: #1095915)

  [ Łukasz 'sil2100' Zemczak ]
  * FTBFS after python2.7 upgrade - missing pyconfig.h (LP: #1088996)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3554

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 11 Jan 2013 04:03:03 +0000

compiz (1:0.9.9~daily12.12.05-0ubuntu2) raring; urgency=low

  * Backport a tentative fix from rev 3387 for LP: #1060327

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Dec 2012 09:28:46 +0100

compiz (1:0.9.9~daily12.12.05-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * debian/control:
    - Update Vcs-Bzr
  * debian/patches/100_expo_layout.patch:
    - Fix to apply
  * Automatic snapshot from revision 3451 (bootstrap)
    - Fix crash from writing to static memory (LP: #1065814)
    - Fix maximized windows changing workspaces (LP: #1071791)
    - Respect Zoom Factor setting (LP: #1066187)
    - Respect Show Window Title setting (LP: #1009999)
    - Restore text background transparency (LP: #1042132)
    - Restore screenshot selection rectangle transparency (LP: #1047788)
    - Restore top and bottom cube transparency (LP: #1048272)
    - Fix scaleaddon window highlighting being solid (LP #1068503)
    - Make resize hint overlay disappear when changing edges (LP: #839602)
    - Preserve grid IDs during drag (LP: #1067812, LP: #1048855)
    - Save current display before doing snap preview (LP: #1068173)
    - Ignore inactive keybindings (LP: #1053280)
    - Handle <primary> in keyboard shortcuts (LP: #936840)
    - Make sure showdesktop plugin is loaded after unityshell (LP: #1067534)
    - Fix grid build failure (LP: #1067577)
    - Fix Jenkins test failures (LP: #1058577)
    - Don't allow duplicate static symbols when linking (LP: #1067964)
    - Make external templates C++0x compatible (LP: #1067598)
    - Make sure to initialize class members (LP: #1033877)
    - Don't duplicate templates in plugins (LP: #1066793, LP: #1066803,
      LP: #1066804, LP: #1066805, LP: #1066799, LP: #1066796,
      LP: #1066795, LP: #1066798, LP: #1067218, LP: #1067219)
    - Don't needlessly set gsettings keys (LP: #1064791)
    - Remove unused code (LP: #1037142, LP: #1067234)
    - Fix syntax highlighting for trunk xml files (LP: #1066823)
    - Fix documentation for building with python2 (LP: #1070211)

  [ Stephen M. Webb ]
  * Windows open below panel and launcher, grid does not work at all,
    window animations missing, and general plugin chaos if built on
    raring (cmake >= 2.8.10) (LP: #1085581)

  [ Iven Hsu ]
  * KDE Appmenu doesn't work with compiz decorators (LP: #1082265)
  * compiz 0.9.8.6 fails to build from source in KDE4-window-decorator
    with latest KDE 4.10 beta (LP: #1082152)
  * kde4-window-decorator crashes when starting up with oxygen theme
    (LP: #1050776)

  [ sampo555 ]
  * Grid: Window management - resize preview does not show when moving a
    window from the semi-maximised state to the maximised state in a
    single action (LP: #1071689)

  [ Timo Jyrinki ]
  * HTML5 video in Firefox continues to tear (LP: #1086337)

  [ MC Return ]
  * Workspacenames Plug-in: Wishlist: Default Appearance values not
    ideal (LP: #1075600)
  * Resizeinfo Plug-in: No possibility to change the color and
    transparency of the rounded background outline (LP: #1070297)
  * Resizeinfo Plug-in: Gradient color 2 and 3 settings are ignored and
    no background gradient is rendered (LP: #1070233)
  * Expo animations "Fade + Zoom" & "Vortex" result in a black screen
    (LP: #875311)
  * Workspacenames Plug-in: Wishlist: No default values for
    workspacenames, should be changed (LP: #1075584)

  [ Daniel d'Andrada ]
  * unity build fails if compiz is installed outside /usr (LP: #1084162)

  [ Daniel van Vugt ]
  * [regression] Window decorations ignore brightness/opacity changes in
    expo (LP: #1081425)
  * Unredirected fullscreen windows freeze and stay on top when wall
    sliding (Ctrl+Alt+Left/Right) (LP: #1084401)
  * Test failures:
    ExpoAnimationOffsetTest/ExpoWallOffsetTestAnimations.TestAnimationVa
    lues/21 (from ExpoAnimationOffsetTest_ExpoWallOffsetTestAnimations)
    (LP: #1071238)
  * Window management - Cursor position changes relative to window while
    dragging windows (LP: #201681)
  * Multi-monitor - Maximized windows cast shadows on adjacent monitors
    and workspaces (LP: #928807)
  * "Unredirect Fullscreen Windows" can cause significant tearing on
    fullscreen windows (especially playing video) (LP: #1051802)
  * 100_expo_layout.patch does not apply totally cleanly (LP: #1076876)
  * Tests 1-4 fail with SEGFAULT: CompizConfigPython.test_*
    (SEGFAULT)... (LP: #1080555)
  * Unredirect fullscreen windows should be the default for optimal
    performance (LP: #1063690)
  * lp:compiz r3447 FTBFS: compizconfig_test_ccs_object.cpp:123:9:
    error:        expression result unused [-Werror,-Wunused-value]
    GET_INTERFACE (Dummy2Interface, to);  (LP: #1075048)
  * [regression][GLES] obs opacity no longer applies to all window
    decorations (LP: #1028809)

  [ Andrea Azzarone ]
  * New windows are moved to front but don't take focus (LP: #781931)

  [ Sam Spilsbury ]
  * CompizConfigPython tests not using ini backend (LP: #1080989)
  * CMake Warning in src/tests/CMakeLists.txt:16 This command specifies
    the relative path (LP: #1082633)
  * CCSObjectDeathTest.GetInterface fails (LP: #1085687)
  * make test fails in CompizConfigPython.test_* (OTHER_FAULT)  (LP:
    #1070817)
  * It is possible to write to a plugin in compizconfig that has no
    associated gsettings schema (LP: #1078330)
  * CompizConfigPython tests not using ini backend (LP: #1077787)
  * When building with xorg-gtest, cmake fails to find xorg-gtest
    sources (LP: #1084096)
  * GLib warning - source still attached to context, but ref_count == 0
    on shutdown (LP: #1085590)
  * Can not find target to add properties to:
    compizconfig_gnome_gsettings_integrated_setting (LP: #1070411)
  * Fix LP: #1084796

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3502

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 05 Dec 2012 09:27:30 +0000

compiz (1:0.9.8.4+bzr3412-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    - Avoid duplicate template instantiations of PluginClassHandler<>, at 
      least for those plugins that get re-used by others. (LP: #1065815)
    - Don't try to dereference NULL, which is returned by 
      ccsGConfIntegratedSettingReadValue when it gets unexpected data 
      from gconf. (LP: #1056615)
    - Stop the resize border (Rectangle resize mode) from flickering 
      slightly. (LP: #1068518)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 09 Nov 2012 09:52:15 +0200

compiz (1:0.9.8.4+bzr3407-0ubuntu1) quantal-proposed; urgency=low

  * New upstream snapshot.
    - Cherry-picked fixes in Ubuntu merged to development branch
    - Fix leakage of destroyed_pixmaps_table, containing pointers to freed 
      decor_t's which could result in a freed GHashTable being passed into 
      g_hash_table_remove and causing a crash. (LP: #1060171)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Oct 2012 13:36:25 +0300

compiz (1:0.9.8.4-0ubuntu3) quantal-proposed; urgency=low

  * debian/config, debian/compiz-gnome.migrations,
    debian/00_remove_unityshell_in_gnome_session.py:
    - add the default gnome_session profile to use gsettings as the migrated
      user are on this profile (LP: #1036752). The existing migration scripts
      will upgrade the user config.
    - For new users and users already on quantal before this fix, remove the
      local config file created if you logged in the classic session hiding the
      system one. Also, as the global default is including the unity* plugins,
      remove them from the list of plugins the first time you log in.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 17 Oct 2012 12:19:08 +0200

compiz (1:0.9.8.4-0ubuntu2) quantal; urgency=low

  * debian/patches/unity_support_test.patch:
    - force llvmpipe in the unity profile if we are in the grey zone, meaning:
      the card and drivers have opengl support, however, it doesn't met unity
      requirements (opengl < 1.4, no vertex shaders support…). Thanks duflu
      (LP: #1039155)
      Note that we already discourage them to upgrade from precise to quantal
      with a warning before the upgrade, however let's get a slow ui rather
      than none on the iso as well.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Oct 2012 15:26:52 +0200

compiz (1:0.9.8.4-0ubuntu1) quantal-proposed; urgency=low

  * debian/control:
    - Add dependency on gnome-settings-daemon for compiz-gnome, since some
      tests need the g-s-d gsetting schemas
  * New upstream release.
    - FTBFS with -DCOMPIZ_BUILD_TESTING=OFF if libgtest-dev is not installed 
      (LP: #1057421)
    - [performance] glXSwapIntervalEXT called every frame, which is very slow 
      on Nvidia. (LP: #1051286)
    - opacify plugin: opacity isn't reset after switching window (LP: #1050757)
    - cmake fails on python 2.6 as sys.version_info does not contain 
      major_version or minor_version (LP: #1048964)
    - scale mode is not visible if a fullscreen window is unredirected 
      (LP: #1047168)
    - Unredirected fullscreen windows flicker briefly when another window 
      (like a menu) opens above them (LP: #1046664)
    - Week33 - Grid highlight window appears while switching between workspaces
      (LP: #1037142)
    - gtk-window-decorator leaks large numbers of pixmaps and pixmap memory 
      (LP: #1057263)
    - [fglrx] compiz crashed with SIGSEGV in glXDestroyContext() 
      [/usr/lib/fglrx/libGL.so.1] from GLScreen::~GLScreen() (LP: #1054724)
    - Maximized window gets unredirected when it's not fullscreen 
      (LP: #1053902)
    - Double shortcuts conflict with gnome-control-center ones (LP: #1050796)
    - gtk-window-decorator leaking window handles. Window operations become 
      sluggish after a few days of usage (LP: #1050610)
    - [valgrind] Up to 520,000 bytes lost when running 
      CCSGSettingsBackendConceptTest (LP: #1049169)
    - 1:0.9.8+bzr3319-0ubuntu1 regression: keeps setting gsettings keys to 
      wrong values (LP: #1042041)
    - Compiz r3275 breaks VirtualBox Guest Additions: black screen or just 
      wallpaper (LP: #1030891)
    - Incorrect (low/stuttering) refresh rate with NVIDIA driver (LP: #92599)
    - ARM build broken with 'swapInterval' is not a member of 'GL' 
      (LP: #1056645)
    - compiz.fix_927168 broke ARM building (LP: #1052838)
    - compiz crashed with SIGSEGV in __strcasestr_ia32() from 
      ccsStringToModifiers(binding=NULL) (LP: #1041535)
  * Cherry-picked from upstream:
    - ABI bump due to an ABI change in the composite plugin
    - Removed schema keys still used in keybindings and automated tests 
      (LP: #1057955)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 27 Sep 2012 15:43:59 +0200

compiz (1:0.9.8.2+bzr3377-0ubuntu1) quantal-proposed; urgency=low

  [ Sam Spilsbury ]
  * debian/python-compizconfig.install
    - Install compizconfig-python.pc
  * debian/patches/100_expo_layout.patch
    - re-add the expo layout that used to be in precise (LP: #1047067)
    - add some testcases

  [ Timo Jyrinki ]
  * New upstream snapshot.
    - Fix multiple window placement bugs (LP: #974242) (LP: #976032)
    - Don't waste CPU looping through and looking at all the windows if you're
      rendering an output that has no damage on it. (LP: #1014986)
    - Updated convert files to fix some typos in the key names. (LP: #1041631)
    - Fix crash when imgsvg is loaded, due to missing symbol
      (decor_apply_gravity from libdecoration). (LP: #956986)
    - Treat unresolved symbols at link time as an error, rather than letting
      them through and cause strange crashes later. (LP: #1043143)
    - Refactors a little bit of the upgrade code and gets it under test to
      prepare to fix (LP: #1042537)
    - Updated AUTHORS from the full bzr log, and re-sort the list.
      (LP: #1042095)
    - Fixes FTBFS for kde4-window-decorator (LP: #1041310)
    - Fix obvious omissions from the introduction of unminimize_*,
      which were causing the unminimize animation settings to be ignored
      (LP: #1040455)
    - resize plugin: don't crash if resize wasn't initiated externally
      (LP: #1045191)
    - Clean up capitalization (LP: #1045652)
    - Avoid division by zero, if plugins try to deform a window down to size
      zero. (LP: #1045235)
    - Make "Unredirect Fullscreen Windows" more reliable. This fixes the
      problem with unredirection failing to engage at all (LP: #1041066) when
      gtk-window-decorator creates offscreen windows that are stacked on top.
      This also fixes the problem with unredirect hiding all windows,
      because it thinks the desktop window should be stacked on top
      (LP: #980663).
    - Ensure unredirected windows don't stay unredirected if they're no longer
      on top. (LP: #1041047)
    - Fix launching terminal functionality and make show-hud default key 
      visible. Update the defaults to org.compiz.integrated to reflect the
      actual gnome values pre-gnome-3. (LP: #1040081) (LP: #1046199) 
      (LP: #1046190)
    - Fix show-hud, bump COMPIZ_GNOME_INTEGRATED_SETTINGS_LIST_SIZE.
      (LP: #1046212)
    - Fixed: Windows with an alpha-channel, like gnome-terminal, were not
      being considered as possibly covering fullscreen windows. But they most
      certainly can. This ensures such RGBA windows are visible if they're 
      stacked above a fullscreen window. (LP: #1046661)
    - Remove ListToStringList (LP: #1046184)
    - Fix typo causing CMake Error (LP: #1045665)
    - Transitions gtk-window-decorator over to use GSettings. Add a testing 
      framework for the options code. (LP: #1042323)
    - Also need kdeworkspace since kdecorationbridge.h is there
      (LP: #1046770)
    - Implements some cleanup that was suggested on the merge for the original
      port to gsettings. Other issues fixed as well. (LP: #1042323)
    - Fix the case where a new gsettings schema got added for building but
      it wasn't recompiled locally (LP: #1046701)
    - Scale: select the window under the pointer, when the scale animation 
      is over. (LP: #1045127)
    - Fixes the some "Use of uninitialised value" warnings reported by
      valgrind (LP: #1004336))
    - Check if org.gnome.mutter is available before using it (LP: #1048551)
    - We don't need to map our style windows, prevent them from cluttering 
      up the paint queue (LP: #1042552)
    - Migrate profile independent keys separately from the profile 
      dependent keys (LP: #1046190)
    - Don't ever enter the subdir of a plugin that is disabled. (LP: #1049100)
    - Workaround SubBuffer performance regression (LP: #1037411)
    - Changed the default placement of the benchmark window from 0,0 to
      100,50. (LP: #1039406)
    - Ensure window decorations always get rendered after the window, not
      before. This is how it was in compiz 0.9.7, and is required in order 
      to resolve unity panel shadow (LP: #1050704)
    - Fix CMakeLists.txt to bring an xslt file back to compiz-dev
    - Avoid a NULL dereference and give a useful error message instead
      (LP: #944653)
    - Fix (LP: #1050752)
    - Check that pixmaps which aren't managed by us actually exist before
      binding. (LP: #927168)
    - Fix flickering and performance problems with using Unredirect Fullscreen 
      Windows with multiple monitors. (LP: #1050749) (LP: #1051885)
  * debian/compiz-dev.install
    - Remove compizconfig-python.pc, now in python-compizconfig.install
  * Drop dependency on libgconf2-dev, add gconf2 dependency to the 
    transitional package for migrations
  * Add -DUSE_GCONF=OFF to debian/rules
  * debian/libdecoration0.symbols
    - Add decor_shadow_options_cmp
  * Cherry-pick fixes from trunk:
    - Fix FTBFS with BUILD_GLES
  * Restore 'Glide 2' unminimize animation via override

  [ Didier Roche ]
  * debian/libdecoration0.symbols:
    - update the symbols file
  * add and cherry-pick missing ABI breakage bump

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Sep 2012 17:39:05 +0200

compiz (1:0.9.8.0-0ubuntu1) quantal-proposed; urgency=low

  * debian/control, debian/rules: 
    - enable gles on armel and armhf
    - use dh-translations rather than custom code

  [ Sam Spilsbury ]
  * Enable OpenGL ES building 
    - Refresh debian/patches/workaround_broken_drivers.patch
    - Remove non-ported plugins from compiz-plugins
    - Add FindOpenGLES2.cmake to compiz-dev

  [ Timo Jyrinki ]
  * New upstream release.
    - Code to make compiz work on GLES. This includes several changes 
      to the compiz API. (LP: #201342) (LP: #901097) (LP: #1004251)
      (LP: #1037710)
    - Draft first 0.9.8.0 NEWS and bump VERSION
  * debian/patches/compiz-package-gles2.patch:
    - Remove, obsoleted by the upstream GLES work 
  * Disable plugins that don't work on pure GLES on armhf/armel:
    - bench, firepaint, mblur, showmouse, splash, showrepaint, td, widget

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Aug 2012 22:59:50 +0200

compiz (1:0.9.8+bzr3319-0ubuntu3) quantal; urgency=low

  * debian/control.in:
    - Recommends python-gconf for the migration script (lp: #1041498)
  * postinst/convert-files/compiz-profile-active-Default.convert, 
    postinst/convert-files/compiz-profile-Default.convert:
    - updated to fix some key names typos in the list (lp: #1041631)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Aug 2012 19:50:29 +0200

compiz (1:0.9.8+bzr3319-0ubuntu2) quantal-proposed; urgency=low

  * No change rebuild against the latest metacity

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 24 Aug 2012 16:36:28 +1200

compiz (1:0.9.8+bzr3319-0ubuntu1) quantal-proposed; urgency=low

  [ Didier Roche ]
  * debian/patches/ubuntu-config.patch:
    - refresh with latest trunk
  * debian/*docs:
    - remove the TODO copy now removed upstream
  * debian/compiz-plugins.install:
    - install stackswitch, trip plugins
  * debian/rules, debian/control:
    - remove the compiz gnome-control-center key sedding through metacity.
      Compiz now directly ships them.
    - we do not need metacity-common anymore as a build-dep then
  * debian/compiz-gnome.migrations, debian/control:
    - build-dep on dh-migrations and ship gconf -> gsettings migration file

  [ Matthieu Baerts (matttbe) ]
  * Update apport hook for python3 ; thanks to Edward Donovan (LP: #1013171)

  [ Timo Jyrinki ]
  * New upstream snapshot.
    - Fix Compiz crash in movementWindowOnScreen (LP: #1015151)
    - Start window decorator when decor plugin starts (LP: #1014461)
    - Fixed: Crash in compiz::wall::movementWindowOnScreen (LP: #1015151)
    - Don't waste memory leaving /bin/sh running (LP: #1015422)
    - Add reliable detection of the compiz bin directory (LP: #1015898)
    - Check if the window would actually paint before painting the shadow, 
      since it is possible that another plugin could be inhibiting paint of 
      the dock   window. (LP: #1012956)
    - Don't insert the window into the server list above the window it was
      created above. (LP: #1008020) (LP: #886605)
    - makes compiz enhanced zoom and show mouse plugins considerably
      smoother to use (LP: #930783)
    - Don't set decoration contexts on undecorated windows, since that 
      might be read later and code will assume the window is decorated when 
      it isn't. (LP: #1015593)
    - Fix potentially unterminated string leading to an uninitialized memory
      read (LP: #1018302)
    - Lift the 31/32 character restriction on key names that was causing so 
      many warnings. It's now 1024 characters according to glib. (LP: #1018730)
    - Don't print the result of BUILD_DEB. It prevents ccsm et al from 
      installing. (LP: #1018916)
    - Use the XDamage extension more efficiently (the way it was designed to be
      used). This dramatically reduces CPU usage, reduces wakeups, and 
      increases frame rates. It also solves at least one observed performance 
      bug (LP: #1007299) and probably several more.
    - Do the initial work to get libcompizconfig under test. (LP: #990690)
    - Add support for initiating window picker in other than nomal mode. For 
      now added only the additional 'All windows' picker (LP: #933776) 
      (LP: #955035)
    - Fixes (LP: #1018602) : An invalid read when using g_variant_iter_loop.
    - Don't allow unbinds of textures kept around for animations in any case, 
      not just resizing. (LP: #1016366)
    - Wait for the server to finish processing requests before doing a bind
      (LP: #1016367)
    - Using the next/previous bindings the wall plugin didn't calculate 
      correctly the next workspace when it reaches the begin or the end of a 
      row of workspaces, so it didn't jump to the next line. (LP: #904205).
    - Added the plug-in "Stack Window Switcher" converted from git to bzr 
      (including full history) to Compiz. (LP: #1012205)
    - Added the unsupported, but fully working plug-in "workspacenames"
    - Added the plug-in "Trip" (LP: #1012213)
    - Add extra checks to avoid passing an invalid xid to XGetWindowProperty 
      which would result in fatal error: BadWindow (invalid Window parameter).
      (LP: #1019337)
    - Fix crash LP: #1019337 properly this time.
    - Added .convert files (for gsettings-data-convert) and a migration python
      script (best for usage with session-migrations) for migrating some compiz
      settings from gconf to gsettings
    - Fix CMake error when USER environment variable is not set (LP: #1023772)
    - Avoid severe artifacts and flickering when using LLVMpipe (LP: #1021104)
    - Fix build failure due to invalid sed expression (LP: #1023738)
    - Generate the CTestFile.cmake using cmake itself (LP: #1024214)
    - Avoid random build failures "_intltool_update-NOTFOUND: not found"
      by verifying intltool-update exists. If not, then fail cmake more 
      cleanly with a nice error message telling the user how to install 
      it. (LP: #1023742)
    - Fixed CompTimerTestCallback.TimerOrder failure on slow 
      systems (like valgrind) (LP: #1021139)
    - Fix incorrect shell expansion, leading to invalid "sed" syntax 
      (LP: #1029383)
    - Install the cmake helper macros and check for them in 
      COMPIZ_CMAKE_MODULE_PATH (LP: #1024179)
    - Fixed: schemas were getting installed to ${DESTDIR} twice
    - Reduced combined filesizes of Compiz' .png resources from 2.2MB to 
      1.5MB by re compression of those with Trimage Image Compressor.
    - Added test module for the migration script created by Francis Ginther
    - Adds a COVERAGE argument to compiz_discover_tests
    - Fixed various problems described in bug 1030473, optimizing 
      performance and style (LP: #1030473)
    - Fixed commands addon desription typo (LP: #1033085)
    - Reduced the scope of the variable 'icccm_version', removed a break 
      that can never be executed, added the variables 'frameType', 
      'frameState' and 'frameActions' to decor_quads_to_property in the 
      #else branch in KWD::Switcher::updateWindowProperties () as well and 
      simplified calc_button_size (decor_t *d) in cairo.c.. (LP: #1030473)
    - Always call terminate callbacks for key bindings. ATM we call just the 
      first callback. (LP: #960652)
    - Make valgrind shut up about some known "leaks" in python and glib.
      Fix some leaks in the tests in the process.
    - Implemented single click exit from expo screen. (LP: #1033531)
    - Restore the fix for avoiding re-entering the glib event loop and 
      crashing. (LP: #1036490)
    - Including rsvg-cairo.h is now deprecated. (LP: #1039482)
    - Add keybinding integration for gnome-control-center
    - Separate the configuration for the minimize and unminimize animations.
      (LP: #1036739)
    - Ignore mouse press and release if it does not happen inside of the expo
      screen. (LP: #1036542). 
    - Additional keys from metacity to convert to GSettings
    - Maximize vertically if pointer reaches top or bottom edges.
    - Explicitly depend on resize-options. (LP: #1039834)
    - Add some docstring warnings about using those classes directly.
    - Fix some memory management issues on the mock objects, namely:
      Make destructor functions virtual where appropriate, so that we can add 
      them to lists polymorphically. Support polymorphic ccs*Unref function.
      Also make some other necessary changes to libcompizconfig.
    - Detect if rsvg 2.36.2 is installed (LP: #1039843)
    - GSettings integration backend, created a testsuite for it. Refactors a 
      bunch of the backend code, adds appropriate testsuites and refactors 
      the integration code to make it more flexible. (LP: #1035261)
  * Update compiz-core.lintian-overrides
  * Enable GSettings backend and install the schema files
  * Switch the default profile to use gsettings 
  * Add dependency on gsettings-desktop-schemas(-dev)
  * Add compiz-gnome.gsettings-override
  * Update gsettings-override to new paths org.compiz.*
  * Add support for disabling gconf schemas installation
    - However, not enabled because of gtk-window-decorator for now
  * Add libcompizconfig_gsettings_backend.so
  * Workaround to install xml files

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control, debian/rules:
    - add dependency and use dh-migrations
  * debian/compiz-gnome.migrations:
    - use a migrations file for installing the script for migrating gconf
      configuration to gsettings
  * debian/patches/ubuntu-config.patch:
    - changed keybinding for initiate window picker, according to the design
      specification

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 23 Aug 2012 09:56:05 +0300

compiz (1:0.9.8+bzr3249-0ubuntu4) quantal; urgency=low

  * Restore the maintainer script, the profile part is needed

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 15 Aug 2012 17:46:48 +0200

compiz (1:0.9.8+bzr3249-0ubuntu3) quantal; urgency=low

  * Remove unity-2d 2nd fallback mechanism for autologin as unity-2d
    is now deprecated: (part one of LP: #1035261)
    - debian/65compiz_profile-on-session,
      debian/compiz-gnome.install:
      remove conffile and don't install it
    - debian/compiz-gnome.maintscript:
      remove it on upgrade

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 15 Aug 2012 14:58:39 +0200

compiz (1:0.9.8+bzr3249-0ubuntu2) quantal; urgency=low

  * debian/control:
    - take latest libjpeg8 instead of 62
    - fix a missing Replaces: on libcompizconfig0 (LP: #1019270)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 29 Jun 2012 18:10:50 +0200

compiz (1:0.9.8+bzr3249-0ubuntu1) quantal-proposed; urgency=low

  * New upstream snapshot.
    - Fall back to a refresh rate that is more likely to look correct; 60Hz.
      (LP: #1009338)
    - Benchmark plugin should consume its key binding, and not pass the key to
      the underlying window. (LP: #1009320)
    - Avoid needless STL operations leading to expensive heap operations.
      (LP: #1006335)
    - Fix a typo that was causing (LP: #1002606)
      (widthIncBorders/heightIncBorders)
    - Check if the window is decorated before trying to change its event window
      states (which won't exist if not decorated) (LP: #1007754)
    - Use the XDamage extension more efficiently (the way it was designed to be
      used). This dramatically reduces CPU usage, reduces wakeups, and
      increases frame rates. It also solves at least one observed performance
      bug (LP: #1007299) and probably several more.
    - Avoid constructing and destructing lots of strings on every single event,
      which was wasting lots of CPU (LP: #1005569)
    - md LINGUAS doesn't exist, it's mnk (Mandinka in ISO 639-3)
    - Move grid plugin to google test and don't depend on the plugin for the
      test (LP: #1005009)
    - Don't read plugin.Initialized and test the value. (LP: #1004848)
    - libcompizconfig's install () commands were still using the old includedir
      and libdir variables rather than their libcompizconfig_* variants.
      (LP: #1005176)
    - Execute the cmake files separately to ensure that DESTDIR is respected.
      (LP: #1005177)
    - Don't set_target_properties on a target that might not exist
      (LP: #1005008)
    - Don't allow windows which we weren't even tracking as decoratable to
      become decorated if they try and change their hints. (LP: #963794)
    - Change the mouse pointer while dragging windows in expo. Just like the
      ubuntu branches do. (LP: #987647)
    - Fix uninitialized memory use (LP: #1004338)
    - Fix uninitialized variable (LP: #1004335)
    - Delay unbinding of pixmaps until then next rebind (LP: #729979)
      (LP: #1002602)
    - Don't drop plugins from the list to try and load before you've even tried
      to load them. Doing so makes missing plugins silently ignored instead of
      an error message (LP: #1002715). It also means valid plugins in more
      unusual, but real locations in LD_LIBRARY_PATH will never get loaded
      (LP: #1002721).
    - If running test cases under a real X server, we don't care if Xvfb is
      missing (LP: #994841)
    - Don't assume pkg_check_modules always sets _PREFIX (LP: #993608)
    - Don't clear selections in ~PrivateScreen because it causes a race between
      the existing and the new compiz instances, breaking --replace and
      non-replace behaviour. (LP: #988684) (LP: #989545)
    - Always paint with infiniteRegion as the clip region if the window is
      transformed and always use the supplied region if painting with offset or
      on transformed screen. (LP: #987639)
    - Add synchronization primitives to the decoration protocol so that there
      isn't a race where we bind a texture that's being freed. (LP: #454218) 
      (LP: #929989)
    - fix a crash in the first attempt at this (LP: #996901)
    - Reintroduce the fix for LP: #994841 which was accidentally reverted by
      revision 3133. (LP: #999019)
  * Cherry-pick some post-snapshot crasher fix:
    - rev for Crash in compiz::wall::movementWindowOnScreen (rev 3255)
      (LP: #1015151)
    - Don't set decoration contexts on undecorated windows, since that might be
      read later and code will assume the window is decorated when it isn't.
      (LP: #1015593). rev 3261
  * debian/control:
    - clean build-deps, removing some suggests and rewritting some descriptions
      to fit the reality
    - change Vcs-Bzr to canonical branch
  * add libcompizconfig package:
    - debian/control:
      - add some build-deps
      - add the new packages
    - debian/libcompizconfig0.install, debian/libcompizconfig0-dev.install:
      - added the install files,
      - removed some unused profiles
    - add debian/config for default profile (wasn't shipped anymore upstream)
  * merge compiz-plugins-main, compiz-plugins-main-default,
    compiz-plugins-main-dev and compiz-plugins-extra to this package
    both .install and .install.armhf, .install.armel):
    - compiz-plugins-main-default plugins are now in compiz-plugins-default
    - compiz-plugins-main plugins are now in compiz-plugins
    - compiz-plugins-extra plugins are now in compiz-plugins-extra
    - compiz-plugins-main-dev and some part of compiz-plugins-extra content
      is now in compiz-dev
    - the gconf configuration part is now in compiz-gnome (won't appear if the
      .so file isn't installed in ccsm)
    - debian/control:
      * add the necessary build-dep
      * add the needed replaces
      * add transitional compiz-plugins-main-default, compiz-plugins-main,
        compiz-plugins-main-dev and compiz-plugins-extra packages
  * add python-compizconfig to the package:
    - debian/control:
      add the necessary build-dep, remove cython as in universe and adapt
      upstream code to only use pyrexc
    - debian/rules:
      build with dh_python2
    - add debian/python-compizconfig.install
  * add compizconfig-settings-manager to the package:
    - debian/control:
      * drop some deps
      * add a recommends on -default instead of compiz-plugins
    - add debian/compizconfig-settings-manager.install
  * Remove compiz-kde:
    - not anymore supported upstream
    - remove the build-deps as well
    - remove some reference to -kde in description and depends
    - remove the install file
  * compiz-core:
    - remove and don't install debian/compiz-decorator wrapper anymore
    - same with debian/compiz-decorator.1
    - run gtk-window-decorator in debian/patches/ubuntu-config.patch by default
    - put some dev files in compiz-dev now
  * removing compizconfig-backend-gconf, making this package (as well as the
    new gsettings backend) part of compiz-gnome:
    - added to the .install files
    - added the C/R/P to compiz-gnome
    - added the transitional package
  * debian/patches/ccp_plugin.patch:
    - adapted to new upstream code and style
  * Misc:
    - remove a lot of compiz-fusion and compiz-wrapper references (deprecated,
      upgrade path not supported anymore) in debian/control
    - remove a lot of breaks: replaces: pre-12.04
    - update debian/libdecorator0.symbols
    - set python-compizconfig section to python
    - set some lintian non applicable warnings in *.lintian-overrides
    - merging every patches for every independent sources in this source
    - add debian ccsm manpage (debian/compizconfig-settings-manager.manpages,
      debian/patches/ccsm.1)
    - enable building compiz in parallel
    - switch to dh9
    - build on unversionned boost -dev
    - shipped new workspacename plugin
    - adding some replaces for locale installation support as well
  * debian/patches/99_valid_ccsm_desktop_file.patch:
    - create a valid ccsm desktop file
  * debian/copyright, debian/watch:
    - redone, as new packaging, new source content, new host (launchpad)
  * debian/patches/ubuntu-config.patch:
    - don't expose on edge
  * debian/source/format:
    - remove v3 (quilt) format: it doesn't work well with merge-upstream
      workflow
  * Note that right now, armhf/armel are building with opengl as opengles is
    not yet backed into upstream and opengles drivers are broken in quantal
    kernel

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Jun 2012 12:25:07 +0100

compiz (1:0.9.7.8-0ubuntu3) quantal; urgency=low

  * drop -Werror temporary on armel/hf builds until the GLES patch does 
    not produce warnings anymore which cause compiz to FTBFS

 --  Oliver Grawert <ogra@ubuntu.com>  Mon, 04 Jun 2012 17:38:35 +0200

compiz (1:0.9.7.8-0ubuntu2) quantal; urgency=low

  * debian/control:
    - rebuild with new boost

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 31 May 2012 09:41:01 +0200

compiz (1:0.9.7.8-0ubuntu1) precise-proposed; urgency=low

  [ Didier Roche ]
  * New upstream bug fix release:
    - [fglrx] Title bar does not update on non-maximized windows (LP: #770283)
    - Some apps (like Remmina) can't full-screen under Compiz (or Unity)
      (LP: #946388)
    - Compiz-core fails to compile with gcc-4.7 - 'cc1plus: all warnings
      being treated as errors' (LP: #972519)
    - Menu shadow clipping flickers while switching menubar items/indicators
      (LP: #978900)
    - Compiz should not move windows to workspace 0,0 when restarted
      (LP: #980026)
    - regression / unable to interact with window-titlebar (window decoration)
      after minimizing/unminimizing gnome-terminal (LP: #981703)
  * debian/patches/workaround_770283.patch,
    debian/patches/fix_976467.patch:
    - removed, upstreamed

  [ Oliver Grawert ]
  * update the GLES2 patch for the new upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 26 Apr 2012 09:19:51 +0200

compiz (1:0.9.7.6-0ubuntu2) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/workaround_770283.patch:
    - Workaround a problem with fglrx not refreshing window decoration textures
      on pixmap modification (LP: #770283)

  [ Oliver Grawert ]
  * update GLES patch for new quilt patch, fix issue with GLES patch that
    forcefully unapplied other quilt patches and resulted in
    gtk-window-decorator to not be started.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 20 Apr 2012 18:25:13 +0200

compiz (1:0.9.7.6-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * New upstream release:
    - Memory leak in dlloaderListPlugins (LP: #968985)
    - priv->invisible is not updated when the window is mapped (LP: #969102)
    - window management, multi-monitor - In multi-monitor environment, windows
      should spread on the monitor in which they reside (LP: #919139)
    - Drop-down menus look disembodied from their titles (LP: #659816)
    - Improve performace of the shadow clipping code (LP: #931883)
    - DecorWindow::computeShadowRegion called way too much (LP: #969101)
    - white box randomly shows up at top left corner blocking application
      from using stuff under it (LP: #940603)
  * Rebuild against latest metacity to get the HUD key configuration
    exposed in unity 3D as well (LP: #969256)
  * debian/patches/ubuntu-config.patch:
    - set multioutput_mode to all outputs (windows to be scaled on each the
      monitor they are on only) (LP: #919139)
  * debian/patches/fix_976467.patch:
    - Fix shadows being clipped incorrectly (LP: #976467)

  [ Oliver Grawert ]
  * update the GLES2 patch for the new upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 11 Apr 2012 18:35:39 +0200

compiz (1:0.9.7.4-0ubuntu3) precise; urgency=low

  * fix typo in copying of the cmake files, so FindOpenGLES2.cmake ends up in
    the right place for other packages (i.e. compiz-plugins-main on GLES2
    capable arches)
  * make copying the GLES2 cmake file architecture specifc instead of ignoring
    if it is not found on arches that do not have it.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 06 Apr 2012 13:55:13 +0200

compiz (1:0.9.7.4-0ubuntu2) precise; urgency=low

  * enable Linaros compiz-package-gles2.patch for armhf(/el) builds, thanks
    to Alexandros Frantzis <alexandros.frantzis@linaro.org> for creating it.
  * enable quilt in debian/rules
  * apply patches based on debian architecture via series.<arch> file
    (stolen from eglibc)
  * add build deps to libgl1-mesa-dev and libgl-dev for armhf builds
  * add armel/armhf specific .install files since only a subset of modules can
    be built yet.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 05 Apr 2012 19:09:27 +0200

compiz (1:0.9.7.4-0ubuntu1) precise; urgency=low

  * New upstream release
    - compiz crashed with SIGSEGV in CompositeScreen::compositingActive()
    - Window management - Closing one window sends others to the
      background (LP: #888704)
    - [regression] Invisible resize border is now only 1px wide (LP: #953839)
    - Coverity REVERSE_INULL - CID 10888 (LP: #957572)
    - Unity dash opens and immediately closes if you tap Super+A
      quickly (LP: #960831)
    - Unity 5.8: Flickering and corruption on Unity UI elements (LP: #963093)
    - Unity 5.8: Can't login to Unity since upgrade to 5.8 (LP: #963465)
    - [regression] Unity 5.8+Compiz 0.9.7.2: Pressing Super+Tab or
      Super+W works, but unity does not respond to when Super is
      released. (LP: #963470)
    - Unity 5.8: Login to blank screen (all black or just wallpaper)
      (LP: #963633)
    - Tests do not build when libgtest-dev is installed but libgtest
      isn't (LP: #964248)
    - Note that this fix is REMOVED for stability reasons:
       Unity/compiz intercepts Super and Alt keypresses from grabbed
       windows like VMs. (806255)
  * debian/patches/ubuntu-config.patch:
    - tweak slightly the shadow border for both active/inactive windows.
    - change the shortcuts as per design request: (LP: #969235)
      Ctrl + Super + D Minimises all windows
      Ctrl + Super + Cursor up Maximises the current window
      Ctrl + Super + Cursor down Restores or minimises current window
  * debian/rules, debian/compiz-gnome.gconf-defaults:
    - move the default for the unity-less default profile from DEFAULT_PLUGINS
      list as it seems compiz tries to load that list, then ccp, then the
      profile list.
    - put the active_plugins list back to the Default profile in gconf then.
  * debian/control:
    - set Standards-Version to latest
  * remove debian/patches/always_replace.patch,
    debian/patches/exit_1_if_composite_cant_init.patch,
    debian/patches/reset_active_plugin_list.patch,
    debian/reset-compiz-gconf, debian/compiz-gnome.install:
    - the 3 bad hacks are now not necessary anymore (LP: #963264)
  * remove as now in upstream tarball:
    - debian/patches/fix_953839.patch
    - debian/patches/revert_lim.patch
    - debian/patches/fix_953089_2.patch
    - debian/patches/fix_960831.patch

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Apr 2012 15:43:16 +0200

compiz (1:0.9.7.2-0ubuntu4) precise; urgency=low

  * No-change upload to the release pocket instead of to -proposed, so we can
    get the package built on all archs immediately instead of it blocking on
    gtk+3.0's build on armel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Mar 2012 14:57:30 -0700

compiz (1:0.9.7.2-0ubuntu3) precise-proposed; urgency=low

  * debian/reset-compiz-gconf:
    - Fix crash in a new session

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Mar 2012 20:35:33 +0200

compiz (1:0.9.7.2-0ubuntu2) precise-proposed; urgency=low

  * debian/patches/reset_active_plugin_list.patch:
    temporary wrapper from resetting the plugin list to the default.
    Uncorrect and unknown plugin makes various side effects, like removing
    plugins, creating hanging at startup and also creating on screen
    corruption. (LP: #963633)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Mar 2012 18:41:09 +0200

compiz (1:0.9.7.2-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream snapshot:
    - Fix global menu not being ergonomical on large screens (LP: #682788)
    - Fix Alt+Right arrow key (LP: #943612)
    - Fix key bindings for actions while doing tap detection (LP: #944631)
    - Window movement is erratic and buggy, backport (LP: #923683)
    - CompScreenImpl::addAction(CompAction*): Assertion `priv->initialized'
      failed (LP: #946118)
    - gtk-window-decorator crash with SIGSEGV in max_window_name_width()
      (LP: #937815)
    - Finish the implementation of the locally integrated menubars
      (LP: #931245)
    - Unity/compiz intercepts keystrokes from grabbed windows (LP: #806255)
    - Pressing alt doesn't show the menu title bar in top panel (LP: #943194)
    - Fix Alt stealing focus from widgets (LP: #943851)
    - Fix Alt + drag (LP: #945373)
    - lp:compiz-core fails parallel builds (make -jN) (LP: #938417)
    - Changing the HUD shortcut disables all Alt-based combinations. And
      changing the Dash shortcut disables all Super-based shortcuts
      (LP: #945816)
    - Fix key bindings (such as Super) not working on empty workspace or on 
      slow/loaded systems (LP: #953089)
    - compiz crashed with signal 5 in Glib::exception_handlers_invoke()
      (LP: #808007)
    - Fix segfault caused by r3043 (LP: #958540)
  * Removed cherry-picked patches:
    - debian/patches/fix_806255.patch
    - debian/patches/fix_923683.patch
    - debian/patches/fix_943194.patch
    - debian/patches/fix_944631.patch
    - debian/patches/fix_alt_pressing.patch
    - debian/patches/additional_alt_tapping_fix.patch

  [ Didier Roche ]
  * pick upstream fix, debian/patches/fix_953839.patch:
    [regression] Invisible resize border is now only 1px wide (LP: #953839)
  * debian/patches/revert_lim.patch:
    - revert the integrated menu patch. It won't be released in precise and
      triggers a regression (in bug #962085)
  * debian/patches/fix_953089_2.patch:
    - second trial to fix remaining corner cases
  * debian/patches/exit_1_if_composite_cant_init.patch:
    - try to workaround a crasher which seems to happen when the composite
      plugin failed to initialize. Hopefully exiting 1 will make gnome-session
      respawning compiz and then the init will work. (LP: #833729)
  * debian/patches/always_replace.patch:
    - right now, always replace the current WM as it seems that some people
      got another compositor running at the start of the session. This will
      hopefully workaround the issue that some people experience.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Mar 2012 09:13:51 +0100

compiz (1:0.9.7.0+bzr3035-0ubuntu1) precise; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream snapshot:
    - Fix gtk-window-decorator crash upon demaximizing a window (LP: #930071)
    - Fix core keybindings (LP: #930412)
    - Fixes compiz crash with SIGSEGV on shutdown (LP: #931283)
    - Plugins can't tell the difference between a key-tap and modifier
      key-release (LP: #925293)
    - compiz-core r3001 (and 3002) ftbfs (LP: #933226)
    - Semi-maximized windows have no shadow or frame (LP: #924736)
    - Untranslated strings in gtk-window-decorator (LP: #780505)
    - Initialize the _NET_WM_STATE_FOCUSED (LP: #932087)
    - [regression] Customized shortcuts don't work (LP: #931927)
    - Window stacking problem (LP: #936675)
    - Quickly demaximized windows can receive maximized window decorations if 
      they were initially maximized (LP: #936778)
    - Maximized windows do not get shadows at all (LP: #936774)
    - [regression] Launcher, top panel and keyboard un-responsive after using 
      any Super-x shortcut (LP: #934058)
    - No draggable border if mutter isn't installed (LP: #936781)
    - Fix compiz crash with SIGSEGV in XDefineCursor() (LP: #936487)
    - Fixes memory leak at DecorWindow::updateSwitcher() (LP: #940115)
    - Unresolved symbols in plugins cause compiz to exit (LP: #938478)
    - Fix compiz spending about 51% of its CPU time in CompRegion 
      construction/destruction (LP: #940139)
    - Fix Conditional jump or move depends on uninitialised value(s) in 
      decor_match_pixmap (LP: #940066)
    - Fix 'show desktop' behaviour (LP: #871801)
    - Tweak algorithm used to cast shadows on maximized windows (LP: #936784)
    - "Svg" and "Png" should be "SVG and "PNG" (LP: #942890)
    - Fix invalid memory usage after free() in DecorWindow (LP: #943116)
    - Fix alt + F10 (LP: #943223)
  * Removed cherry-picked patches
  * debian/patches/fix_944631.patch:
    - Always replay the keyboard if something was grabbed and didn't trigger 
      an action and don't trigger actions which aren't added accidentally 
      (LP: #943612) (LP: #944631)
  * debian/patches/fix_923683.patch:
    - Backports a patch which prevents the shift race condition

  [ Didier Roche ]
  * debian/patches/fix_alt_pressing.patch:
    - Patch from ddv to fix all the regressions with the alt key fix and other
      (LP: #943851, #945373)
    - Fix Quicklist are not showing if right-clicking a launcher icon in Expo
      mode if triggered by Super + S (LP: #944979)
  * debian/patches/fix_806255.patch:
    - Unity/compiz intercepts keystrokes from grabbed windows (LP: #806255)
  * debian/patches/fix_943194.patch:
    - second part for the alt key fix (LP: #943194)
  * debian/patches/additional_alt_tapping_fix.patch:
    - again another alt tapping related fix for some regressions from the
      previous branch. Taken from "tapping-panacea" upstream branch.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 10:22:10 +0100

compiz (1:0.9.7.0~bzr3025-0ubuntu1~ppa1) precise; urgency=low

  * New upstream snapshot:
    - Fix gtk-window-decorator crash upon demaximizing a window (LP: #930071)
    - Fix core keybindings (LP: #930412)
    - Fixes compiz crash with SIGSEGV on shutdown (LP: #931283)
    - Plugins can't tell the difference between a key-tap and modifier
      key-release (LP: #925293)
    - compiz-core r3001 (and 3002) ftbfs (LP: #933226)
    - Semi-maximized windows have no shadow or frame (LP: #924736)
    - Untranslated strings in gtk-window-decorator (LP: #780505)
    - Initialize the _NET_WM_STATE_FOCUSED (LP: #932087)
    - [regression] Customized shortcuts don't work (LP: #931927)
    - Window stacking problem (LP: #936675)
    - Quickly demaximized windows can receive maximized window decorations if 
      they were initially maximized (LP: #936778)
    - Maximized windows do not get shadows at all (LP: #936774)
    - [regression] Launcher, top panel and keyboard un-responsive after using 
      any Super-x shortcut (LP: #934058)
    - No draggable border if mutter isn't installed (LP: #936781)
    - Fix compiz crash with SIGSEGV in XDefineCursor() (LP: #936487)
    - Fixes memory leak at DecorWindow::updateSwitcher() (LP: #940115)
    - Unresolved symbols in plugins cause compiz to exit (LP: #938478)
    - Fix compiz spending about 51% of its CPU time in CompRegion 
      construction/destruction (LP: #940139)
    - Fix Conditional jump or move depends on uninitialised value(s) in 
      decor_match_pixmap (LP: #940066)
    - Fix 'show desktop' behaviour (LP: #871801)
  * Removed cherry-picked patches:
    - debian/patches/fix_871801.patch
    - debian/patches/fix_924736.patch
    - debian/patches/fix_925293.patch
    - debian/patches/fix_930412.patch
    - debian/patches/fix_931283.patch
    - debian/patches/fix_931473.patch
    - debian/patches/fix_931927.patch
    - debian/patches/fix_931958.patch
    - debian/patches/fix_932087.patch
    - debian/patches/fix_933226.patch
    - debian/patches/fix_gtk_w_d_crash.patch

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 27 Feb 2012 14:53:05 +0100

compiz (1:0.9.7.0~bzr2995-0ubuntu5) precise; urgency=low

  * Change some keybindings as per design (LP: #878820, #891757, #751050)
    debian/patches/ubuntu-config.patch:
    - Show desktop is now Super + d
    - Super + Up maximize the window
    - Super + Down restore the window
    - Super + W initiate scale for all windows on current ws
    - Control + Alt + NumPad 5 is used to switch/restore maximize state
    - Control + Alt + NumPad 0 is used to minimize current window
    - Ensure we don't have any conficting keys anymore (LP: #922354)
  * 01_ctrl_alt_*tea*.patch:
    - Merged into ubuntu-config.patch, no reason to keep it separated
  * debian/compiz-gnome.gconf-defaults, debian/rules, debian/unity.ini:
    - Set the new plugin order with the incoming unity change as the default

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 22 Feb 2012 13:44:25 +0100

compiz (1:0.9.7.0~bzr2995-0ubuntu4) precise; urgency=low

  * debian/patches/fix_925293.patch:
    - rollback that patch as well, not ready for wide consumption
      (triggered side effects)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Feb 2012 10:00:16 +0100

compiz (1:0.9.7.0~bzr2995-0ubuntu3) precise; urgency=low

  * debian/patches/series:
    - rollbacking fix_931473.patch which was supposed to fix
      "Rendering menus leaves transparent areas". Apparently, the fix does
      the opposite effect on most configurations. Reverted it put it back in
      the previous state and the ghost menus are way less common.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Feb 2012 20:47:35 +0100

compiz (1:0.9.7.0~bzr2995-0ubuntu2) precise; urgency=low

  * debian/compiz-kde.install, debian/control, debian/rules:
    - disable right now kde build for compiz-kde package. It's using
      deprecated kde libraries and fails to build on armel. It's
      probably as well not needed anymore as most of kde users are using
      kwin which is better integrated to kde than compiz. There is not
      anymore upstream compiz maintenance on this plugin as well.
      (LP: #931500)
  * debian/patches/fix_931958.patch:
    impossible to click on keyring dialog since the upgrade. Doesn't really
    fix 931958 as per say, but another issue impacting seahorse.
  * debian/patches/fix_871801.patch:
    window management, alt-tab - After using 'show desktop' to minimise
    all windows, opening any new window also incorrectly restores all
    the minimised windows (LP: #871801)
  * debian/patches/fix_925293.patch:
    Add support for key "tap" detection (LP: #925293)
  * debian/patches/fix_933226.patch:
    Fix FTBFS in previous commit (LP: #933226)
  * debian/patches/fix_932087.patch:
    Initialize the _NET_WM_STATE_FOCUSED (LP: #932087)
  * debian/patches/fix_931473.patch:
    - Menus don't fully appear (LP: #931473)
    - Rendering menus leaves transparent areas (LP: #932813)
  * debian/patches/fix_931927.patch:
    - Customized shortcuts don't work in compiz 1:0.9.7.0~bzr2995-0ubuntu1
      (LP: #931927). Breaks API/ABI.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Feb 2012 15:11:51 +0100

compiz (1:0.9.7.0~bzr2995-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * New upstream snapshot:
    - Fix slow/stuttering display with fglrx (LP: #763005)
    - Don't dynamically link to compiz_core
    - Fix build failures with glib 2.30 (oneiric) (LP: #921406)
    - Fix uninitialized variable warnings in valgrind (LP: #921451)
    - Fixes up a bunch of boost::variant edge cases
    - Fixes a race condition where the xig restart test would fail spuriously
    - Incorrect (low/stuttering) refresh rate with NVIDIA driver (LP: #92599)
    - Benchmark window slows the system and degrades graphics resources
      (LP: #254561)
    - Windows that hide themselves when closed don't appear in any
      "this workspace" switcher  (LP: #684731)
    - hang in g_spawn_sync and select()  (LP: #690239)
    - word misspelled - bunding  (LP: #694169)
    - sometimes, restored window placed too high.  (LP: #716521)
    - Compiz clears the root window in the installer session  (LP: #720679)
    - unity-window-decorator: When switching between windows, Orca does
      not speak the title of the focused window.  (LP: #724093)
    - Cannot open a window that starts iconified  (LP: #732997)
    - Minimize animation flickr when for maximized apps  (LP: #737125)
    - Pixmap memory leak in gtk-window-decorator  (LP: #740258)
    - Windows should not automatically be focused when opened if the
      focus is on another application  (LP: #748840)
    - [sandybridge] Graphics tearing when playing video  (LP: #755841)
    - Compiz's "Sync to Vblank" makes display stutter/slow with fglrx
      (LP: #763005)
    - [regression] Moving windows lags behind the mouse by 1-2 seconds;
      appear to freeze when dragging.  (LP: #764330)
    - Launcher - Spread should not affect the state of window  (LP: #764673)
    - Clicking on a tweet/message link sometimes does not work  (LP: #790565)
    - scrolling on top of a close animation switches viewports  (LP: #795065)
    - unity video tearing when moving windows in oneiric with
      nvidia-current  (LP: #798868)
    - dialogs really slow to be displayed since the compiz update (LP: #812711)
    - It is possible to stack windows relative to windows that are
      destroyed  (LP: #837252
    - Should keep list of windows last sent to server and last recv
      from server  (LP: #841727)
    - compiz and X can disagree on the stacking order  (LP: #845719)
    - A minimized window 'remains' behind on the desktop if
      /apps/compiz-1/plugins/unityshell/screen0/options/
      show_minimized_windows is set to true  (LP: #847967)
    - maximized windows fail to update their input extents when
      undecorated  (LP: #853734)
    - resizing bugs with xterm  (LP: #854725)
    - crash on closing a window  (LP: #856015)
    - Java application windows cut-off/truncated/not displayed properly
      (LP: #857201)
    - compiz crashed with SIGSEGV in CompScreen::insertServerWindow()
      (LP: #857487)
    - compiz crashed with SIGABRT in raise()  (LP: #857738)
    - Applications which create multiple windows that are transients of
      each other can be given invalid stack positions  (LP: #858625)
    - Windows move to 0,0 on compiz restarts  (LP: #858629)
    - Crash when selecting Evolution in alt-tab  (LP: #859431)
    - invisible window when a window is mapped but not yet drawn on by
      the process mapping it  (LP: #860286)
    - race condition in configureXWindow causes unpredicatable window
      geometry changes  (LP: #860304)
    - windows that are decorated while resizing can cause incorrect
      resize results  (LP: #860306)
    - Moving a window while it is being resized by core caused
      unpredictable movement  (LP: #860309)
    - Windows which are marked transients of docks should be treated
      like docks  (LP: #860397)
    - can't maximize windows on second monitor and Qt windows displayed
      in wrong place  (LP: #861341)
  * debian/compiz-decorator, debian/compiz-gnome.install,
    debian/compiz-plugins-default.install,
    debian/compiz-plugins.install,
    debian/compiz-gnome.gconf-defaults, debian/rules, debian/unity.ini:
    - no more unity-window-decorator, switch back to gtk-window-decorator
    - remove plugins that are not shipped anymore
    - don't set in the default list plugins that are not shipped anymore
  * debian/libdecoration0.symbols:
    - upated to latest
  * Removed cherry-picked patches:
    - debian/patches/02_fix_autofocus_minimize_window.patch
    - debian/patches/03_fix_configureframe.patch
    - debian/patches/04_fix_insertServerWindow_crash.patch
    - debian/patches/05_fix_reconfigureXWindow_crash.patch
    - debian/patches/fix-748840.patch
    - debian/patches/fix-832150.patch
    - debian/patches/fix-863328.patch
    - debian/patches/fix-864330.patch
    - debian/patches/fix-864478.patch
    - debian/patches/fix-865863.patch
    - debian/patches/fix-866752.patch
    - debian/patches/fix-869316_869919.patch
    - debian/patches/fix-869967.patch
    - debian/patches/fix-886978.patch
    - debian/patches/fix_slow_vsync_lp763005.patch
    - debian/patches/rev_2821_fix_807487.patch
    - debian/patches/rev_2847_bug_796594.patch
    - debian/patches/rev_2878_bug_865696.patch
    - debian/patches/rev_2884_fix_874004.patch
    - debian/patches/rev_2890_fix_879253.patch
  * debian/rules:
    - the abi file is now renamed to core/abiversion.h
    - remove the .a
    - Remove -Bsymbolic-functions from LDFLAGS as it causes libcompiz_core to
      be loaded once per plugin when dlopened
    - don't run tests, they don't run on headless server anymore
  * debian/compiz-core.install:
    - contain new libcompiz-core lib
  * debian/compiz-kde.install:
    - do not ship kde part for now, it's broken upstream
  * debian/patches/ubuntu-config.patch:
    - default configuration is here now.
  * debian/patches/fix_gtk_w_d_crash.patch:
    - additional backport for gtk-w-d crash (LP: #930071)
  * debian/patches/fix_930412.patch:
    - backport to fix keybindings not working (LP: #930412)
  * debian/patches/fix_931283.patch:
    - trunk commit to fix a crash on shutdown (LP: #931283)
  * debian/patches/fix_924736.patch:
    - additional fix for getting the shadow active on maximized window
      (LP: #924736)

  [ Sam Spilsbury ]
  * Remove unused plugins, disable tests by default
  * debian/patches/ccp_plugin.patch : force load the cpp plugin if not
    specified
  * debian/patches/workaround_broken_drivers.patch : workaround broken
    drivers that do binary detection
  * debian/patches/default_drag_key.patch : add a default in case mutter
    isn't installed

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Feb 2012 15:28:06 +0100

compiz (1:0.9.6+bzr20110929-0ubuntu8) precise; urgency=low

  * Drop build dependency on libdecoration0-dev (built from this very same source).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Dec 2011 22:21:08 +0100

compiz (1:0.9.6+bzr20110929-0ubuntu7) precise; urgency=low

  * Upload to precise

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 10 Nov 2011 09:11:57 +0100

compiz (1:0.9.6+bzr20110929-0ubuntu6) oneiric-proposed; urgency=low

  * debian/patches/rev_2821_fix_807487.patch:
    - unity-window-decorator crashed with SIGSEGV in
      g_datalist_id_set_data_full() (LP: #807487)
  * debian/patches/rev_2847_bug_796594.patch:
    - Window behaviour - pressing the 'restore' window indicator on a
      semi-maximised window should return it to the restored state
      (LP: #796594)
  * debian/patches/rev_2878_bug_865696.patch:
    - Windows from other workspaces missing decorations in window spread 
      (LP: #865696)
  * debian/patches/rev_2884_fix_874004.patch:
    - When a window is minimized on another workspace it doesn't appear
      in the spread (LP: #874004)
  * debian/patches/rev_2890_fix_879253.patch:
    - Makes the previous patch building and not crashing.
  * Add some upstream missing bits from previous fixes:
    - debian/patches/fix-864330.patch
    - debian/patches/fix-864478.patch
  * debian/patches/fix-886978.patch:
    - compiz crashes with SIGSEGV in PrivateWindow::configure (LP: #886978)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Oct 2011 14:23:52 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu5) oneiric-proposed; urgency=low

  * debian/patches/fix-864330.patch:
    - fix windows which can have towed moving (LP: #864330)
  * debian/patches/fix-864478.patch:
    - Window shading is broken (LP: #864478)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Oct 2011 10:44:49 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu4) oneiric-proposed; urgency=low

  * debian/control:
    - don't suggest nvidia-glx, it's part of the old initial packaging
      and probably a bad hint on non nvidia system (LP: #844218)
  * Cherry-pick upstream patches:
    - Windows should not automatically be focused when opened if the focus
      is on another application (LP: #748840)
    - Launcher - If a spread contains minimised windows, when the spread
      exits, the minimised windows momentarily appear on the desktop
      before disappearing (LP: #863328)
    - reproducible stacking bug in compiz (LP: #869316)
    - Click-dragging a window that's stacked above a fullscreen window will
      cause it to go underneath the fullscreen window (LP: #869919)
    - sometimes the keyboard input doesn't go to the apparently focussed
      dialog (LP: #869967)
    - Opening mumble can cause it to be stacked above the dash if you
      open the dash at the same time (LP: #865863)
    - Sometimes configure events are missed and windows move slow as a result
      (LP: #866752)
    - Workaround ubuntu desktop unity. Mouse at the left side doesn't reveal
      launcher (LP: #832150)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 Oct 2011 17:57:36 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu3) oneiric; urgency=low

  * debian/patches/04_fix_insertServerWindow_crash.patch:
    - compiz crashed with SIGSEGV in CompScreen::insertServerWindow()
      (LP: #857487)
  * debian/patches/05_fix_reconfigureXWindow_crash.patch:
    - compiz crashed with SIGABRT in raise() (LP: #857738)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Oct 2011 13:49:01 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu2) oneiric; urgency=low

  * debian/patches/02_fix_autofocus_minimize_window.patch:
    - closing a window gives focus to last minimized window (LP: #862719)
  * debian/patches/03_fix_configureframe.patch:
    - compiz crashed with SIGSEGV in PrivateWindow::configureFrame()
      (LP: #861909)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Oct 2011 08:29:38 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot:
    - Workspace switcher makes windows lose decorations (LP: #853951)
    - compiz crashed with SIGSEGV in PrivateWindow::addWindowStackChanges()
      (LP: #861793)
    - sometimes, restored window placed too high (LP: #716521)
    - can't maximize windows on second monitor and Qt windows displayed in
      wrong place (LP: #861341)
  * 091_no_use_gnome_but_desktop_file.patch:
    - partially committed upstream, no more needed

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 09:21:42 +0200

compiz (1:0.9.6-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.9.6:
   - Windows which are marked transients of docks should be treated like docks (LP: #860397)
   - Applications which create multiple windows that are transients of each other can be given invalid stack positions (LP: #858625)
   - race condition in configureXWindow causes unpredicatable window geometry changes (LP: #860304)
   - invisible window when a window is mapped but not yet drawn on by the process mapping it (LP: #860286)
   - resizing bugs with xterm (LP: #854725)
   - Cannot open a window that starts iconified (LP: #732997)
   - maximized windows fail to update their input extents when undecorated (LP: #853734)
   - Clicking on a tweet/message link sometimes does not work (LP: #790565)
   - crash on closing a window (LP: #856015)
   - Windows move to 0,0 on compiz restarts (LP: #858629)
   - windows that are decorated while resizing can cause incorrect resize results (LP: #860306)
   - remove transient window handling from unity-window-decorator (LP: #856096)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Sep 2011 14:15:21 +0200

compiz (1:0.9.5.94+bzr20110919-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot:
    - "maximized windows fail to update their input extents when undecorated"
      (LP: #853734)
    - Panel shadow conflicts with Window shadow in Ubuntu Classic Desktop
      Session (LP: #731685)
    - "unity-window-decorator: When switching between windows, Orca does not
      speak the title of the focused window (LP: #724093)
    - Dash and launcher appear underneath windows (LP: #805087)
    - A minimized window 'remains' behind on the desktop if
      /apps/<…>/show_minimized_windows is set to true (LP: #847967)
    - compiz and X can disagree on stacking order (LP: #845765)
    - Should keep a list last sent and last recv from server (LP: #841727)
    - Minimize animation flickr when for maximized apps (LP: #737125)
    - Dash and launcher appear underneath windows (LP: #805087)
    - Stacking problem when switching between apps with multiple windows
      (LP: #802527)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2011 14:49:10 +0200

compiz (1:0.9.5.94+bzr2803-0ubuntu5) oneiric; urgency=low

  * debian/compiz-gnome.install:
    - install the upgrade profile as well

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 20:10:48 +0200

compiz (1:0.9.5.94+bzr2803-0ubuntu4) oneiric; urgency=low

  * debian/profile_upgrades/com.canonical.unity.unity.02.upgrade:
    - upgrade the settings for the expo changes (LP: #837545)
  * debian/patches/01_ctrl_alt_*tea*.patch:
    - make Ctrl + Alt + T the default in compiz too as if you unity --reset
      to reset all the keys in gconf, it will revert the associated key
      for metacity in gnome-control-center

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 19:59:40 +0200

compiz (1:0.9.5.94+bzr2803-0ubuntu3) oneiric; urgency=low

  * debian/profile_upgrades/com.canonical.unity.unity.01.upgrade,
    debian/compiz-gnome.install:
    - upgrade configuration to remove uneeded staticswitcher and add
      pause to spread as default for the switcher (LP: #838075)
  * debian/control:
    - breaks on unpatched libcompizconfig as it would otherwise lead to
      a desktop with only "staticswitcher" enabled

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 14 Sep 2011 17:21:35 +0200

compiz (1:0.9.5.94+bzr2803-0ubuntu1) oneiric; urgency=low

  [ David Barth ]
  * New upstream release 0.9.5.94
    - Merge in change to have a serverWindows () this break the API
    - "mumble fix", ie "It is possible to stack windows relative to windows that are destroyed" (LP: #837252)
    - fix for "Severe screen corruption after rotate the screen" (LP: #833549)
    - Remove inactive API
    - Fix for "vp switch causes windows to move further offscreen" (LP: #831987)
    - Debug messages removed
    - Memory leak fix in gtk and unity window decorators
    - Fix further issues with shaped windows mapping/unmapping (rev. 2793)
  * removed patches that were integrated into the new upstream release
    - debian/patches/100_core-fix-rev-2794.patch
    - debian/patches/101_memleak-fix-rev-2794.patch
    - debian/patches/102_attrib-fix-rev-2796.patch
    - debian/patches/103_driver_workaround.patch

  [ Didier Roche ]
  * debian/rules, debian/compiz-gnome.install, debian/compiz-keybindings.sed:
    - readd and tweak some compiz keys for g-c-c and Gnome integration
      This fixes Ctrl + Alt + T to open a terminal (LP: #820266)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Sep 2011 08:09:46 +0200

compiz (1:0.9.5.92+bzr2791-0ubuntu1) oneiric; urgency=low

  * debian/65compiz_profile-on-session:
    - the default profile is "ubuntu" (that fix missed in the vcs it seems)
  * debian/compiz-decorator:
    - go back to the unity decorator, the unitydialog work got rolled back
  * debian/rules:
    - don't use gsettings, it needs testing and is not ready for Oneiric
  * debian/patches/103_driver_workaround.patch:
    - backported new revision from trunk to fix ati binary drivers issue

  [ David Barth ]
  * Re-apply some distro-patches that were dropped upstream
  * debian/compiz-gnome.install:
    - remove gsettings schemas
  * debian/compiz-core.install:
    - add additional decorator files
  * debian/libdecoration0.symbols: update
  * debian/compiz-core.install: remove references to:
    -debian/tmp/usr/bin/simple-decorator
    -debian/tmp/usr/bin/decoration_inspector
    -debian/tmp/usr/share/simple-decorator/simple-decoration.png
    -debian/tmp/usr/share/decoration_inspector/decoration_inspector.xml
  * debian/patches/100_core-fix-rev-2794.patch: core fix to avoid decoration
    problems
  * debian/patches/101_memleak-fix-rev-2794.patch: memleak fix
  * debian/patches/102_attrib-fix-rev-2796.patch: fix for window getting lost
    when cycling thru workspaces

  [ Didier Roche ]
  * New upstream release
  * debian/control:
    - remove the build-dep on cdbs

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Aug 2011 18:19:11 +0200

compiz (1:0.9.5.0-0ubuntu5) oneiric; urgency=low

  * Make compiz-dev deps on libdecoration0-dev as compiztoolbox is using it.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Aug 2011 21:21:23 +0200

compiz (1:0.9.5.0-0ubuntu4) oneiric; urgency=low

  * debian/compiz-gnome.gconf-defaults, debian/unity.ini:
    - remove Static Application Switcher plugin as now handled by unity.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Aug 2011 16:28:49 +0200

compiz (1:0.9.5.0-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - build-dep on boost 46
  * debian/65compiz_profile-on-session:
    - set ubuntu as the default unity session

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Aug 2011 10:22:16 +0200

compiz (1:0.9.5.0-0ubuntu2) oneiric; urgency=low

  * debian/compiz-decorator:
    - use gtk-window-decorator for alpha3 by default. Too many bugs with u-w-d
      right now (the side effect is that the decorator isn't removed and we
      don't get the invisible resize area anymore)
  * debian/compiz-gnome.gconf-defaults, debian/unity.ini
    - remove the unity dialogs from oneiric, it's not ready, we won't ship it
      for now.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 01 Aug 2011 14:38:26 +0200

compiz (1:0.9.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - unity window decorator needs to support different metacity frame types
      (LP: #795048)
    - firefox window mapped fullscreen gets mapped under gnome-panel
      (LP: #800592)
  * Switch to dpkg-source 3.0 (quilt) format
  * remove all debian/patches/*:
    - upstream now directly deliver with our patches
  * debian/control:
    - replace kdebase-workspace-dev build-dep by kde-workspace-dev
    - build on libdecoration0-dev to build the unity window decorator
    - make compiz-dev dep on gtk-3
  * debian/compiz-plugins-default.install:
    - grid is now in -main
  * debian/libdecoration0.symbols:
    - add new symbols
  * debian/patches/01_don_t_init_a11y.patch:
    - don't initialize the GAIL and AT bridges when comipz initialize
      (LP: #810045)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Jul 2011 08:00:29 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu6) oneiric; urgency=low

  * debian/control:
    - don't build with g-c-c integration (broken with gnome 3)
      removed dep on libgnome-window-settings-dev, libgnomeui-dev,
      libgnome-desktop-dev
  * debian/patches/091_no_use_gnome_but_desktop_file.patch,
    debian/rules, debian/compiz-gnome.install:
    - don't install anymore previous files, but still build
      /usr/share/applications/compiz.desktop for starting compiz with
      gnome-session
  * debian/65compiz_profile-on-session:
    - use DESKTOP_SESSION now

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Jul 2011 16:15:23 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu5) oneiric; urgency=low

  * debian/patches/090_run_gtk_init.patch:
    - run gtk_init_check in compiz core (needed for unity and unity dialogs, and
      there is no good upgrade story with the current backend to add a new
      plugin)
  * debian/control:
    - add a libgtk-3-dev dep
    - breaks against previous unity version (gtk_init should run be once with
      ldopen)
    - bump standards-version
  * debian/compiz-gnome.gconf-defaults, debian/unity.ini:
    - add unity dialogs by default (doesn't support upgrade though, need to
      reset the profile manually)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 04 Jul 2011 18:33:26 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu4) oneiric; urgency=low

  * debian/patches/00_bzr_fix_727143.patch:
    - Fix unity-window-decorator crashes with SIGSEGV when closing Java
      windows (LP: #727143)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 24 Jun 2011 10:46:01 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu3) oneiric; urgency=low

  * Separate plugins we install by default from others:
    - create compiz-plugins-default which is a subpart of what compiz-plugins
      depended on
    - compiz-plugins install compiz-plugins-default
    - compiz, compiz-core, compiz-gnome, compiz-kde now depends on
      compiz-plugins-default and recommends compiz-plugins-main-default
    - compiz-dev still depends on compiz-plugins as shipping the compiztoolbox
      and cube headers
    - reshuffle the replaces to handle transitions
  * move /usr/share/compiz/kde.xml wrongly set in compiz-plugins to compiz-kde

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 07 Jun 2011 14:01:18 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu2) oneiric; urgency=low

  * debian/rules, debian/compiz-gnome.install:
    - generate g-c-c keybindings from new metacity package
    - don't generate schema for gconf bindings, not sure we will ship them or
      should switch to gsettings

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 06 Jun 2011 17:58:54 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu1) oneiric; urgency=low

  * New bug fix release:
    - Switcher window borders are not properly unmapped with
      (unity|gtk)-window-decorator (LP: #789580)
    - maximized window is displaced (LP: #772612)
    - Unity launcher gets visible while screensaver is active (LP: #771391)
    - 1 pixel icons in notification-area-applet when compiz is the windows
      manager (LP: #767095)
  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - removed: upstream

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 06 Jun 2011 16:18:08 +0200

compiz (1:0.9.4+bzr20110415-0ubuntu2) natty; urgency=low

  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - from upstream trunk, fix crash on applications removing _NET_STARTUP_ID
      (LP: #759363)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Apr 2011 11:40:43 +0200

compiz (1:0.9.4+bzr20110415-0ubuntu1) natty; urgency=low

  * New upstream snapshot
    - Focus problem with Thunderbird (LP: #753951)
    - Chromium fullscreen + Alt-TAB confuses the launcher (LP: #757434)
    - compiz hangs randomly several times per day (LP: #740126)
  * debian/patches/00_*:
    - removed as part of upstream tarball

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Apr 2011 17:08:40 +0200

compiz (1:0.9.4+bzr20110411-0ubuntu2) natty; urgency=low

  * 00_bzr_fix_crash_with_some_apps.patch
    - Fix inkscape/unison and other applications crashes (LP: #758307)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Apr 2011 14:37:39 +0200

compiz (1:0.9.4+bzr20110411-0ubuntu1) natty; urgency=low

  * New upstream snapshot, including all 01_bzr* patch:
    - compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow, CompWindow,
      0>::get() (LP: #743807)
    - Animation for Grid Previews is broken (LP: #754088)
    - Grid plugin: Maximizing a window from left or right edge loses original
      size (LP: #753051)
  * add 00_remove_printf.patch: remove debug printf
  * 02_add_debug_spewer_for_apport.patch:
    - refreshed

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Apr 2011 13:25:14 +0200

compiz (1:0.9.4+bzr20110407-0ubuntu2) natty; urgency=low

  * New upstream snapshot:
    - fix unity-window-decorator crashed with SIGSEGV in event_filter_funct
      (LP: #711561)
  * debian/patches/086_new_grid_defaults.patch:
    - change threshold to 15 on sides and 20 on top to work well with the new
      animtion
  * debian/patches/01_bzr_fix_grid_on_multimonitor.patch,
    01_bzr_fix_resize.patch, 01_bzr_fix_grid_premultiply.patch:
    - from upstream bzr, fix grid on multimonitor and colors handling
  * debian/patches/086_new_grid_defaults.patch,
    debian/patches/029_default_options.patch:
    - set the resize grid shadow to orange (LP: #752711)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Apr 2011 18:06:44 +0200

compiz (1:0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * new upstream bzr tarball:
    - display/size problems with xterm (LP: #748137)
    - fix crashes on tcl/tk applications (LP: #741074, #747439)
    - fix grab on compose keys (LP: #747323)
    - resync stack at regular interval to avoid invisible windows
      (LP: #723014, #743011, #736876, #740465, #684590)
    - fix weird order in alt + tab (LP: #175874)
    - fix crash in gitk (LP: #743011, #741074)
    - avoid compiz detection by fglrx driver (LP: #740298)
    - Wrong window moves (LP: #741656, #743634)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Feature Freeze Exception: Animation for Grid Plugin Previews (LP: #744104)
    - unity-window-decorator crashed with SIGSEGV in gdk_window_get_events()
      (LP: #725284)
    - fix xterm (LP: #692463)
    - start the decorator on a secondary screen (LP: #730495)
  * debian/patches/090_git_fix_new_invisible_windows.patch,
    debian/patches/100_bump_core.h.patch:
    - upstreamed
  * debian/patches/01_unity_window_decorator.patch
    debian/patches/085_add_grid_plugin.patch:
    - in bzr upstream tarball

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 06 Apr 2011 19:37:45 +0200

compiz (1:0.9.4git20110322-0ubuntu5) natty; urgency=low

  * debian/patches/080_fix_session_handling.patch:
    reverted, seems to break more people that it fixes it. Not commited to
    compiz trunk as well

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Mar 2011 12:03:47 +0100

compiz (1:0.9.4git20110322-0ubuntu4) natty; urgency=low

  * 080_fix_session_handling.patch:
    - fix respawn on crash (LP: #716462)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 23:38:35 +0100

compiz (1:0.9.4git20110322-0ubuntu3) natty; urgency=low

  * 90_git_fix_new_invisible_windows.patch:
    from git, fix a case with new invisible windows (LP: #741072)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 17:36:06 +0100

compiz (1:0.9.4git20110322-0ubuntu2) natty; urgency=low

  * debian/patches/01_unity_window_decorator.patch:
    - fix frequent crash (LP: #740480)
  * debian/compiz-decorator:
    - reset the unity window decorator by default 

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 08:55:46 +0100

compiz (1:0.9.4git20110322-0ubuntu1) natty; urgency=low

  * New upstream bug fix snapshot:
    - Application windows can sometimes fail to display and will
      mask regions of the screen (LP: #709461)
    - Compiz switcher Alt-Tab order is not predictable - should
      maintain LIFO ordering in application switcher (LP: #175874)
    - after compiz crashed, gnome-panel isn't mapped again (LP: #711378)
    - invisible windows border problem (LP: #710271)
    - Compiz thinks you are clicking in an edge window when you
      are not (LP: #734250)
    - Add test case for invisible window regressions (LP: #736876)
    - often can't alt-click-dnd to move the focussed dialog (LP: #711911)
    - When windows open for the first time they should not hide (LP: #723878)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Pixmaps trashed during animations when window is unmapped (LP: #733331)
    - Windows have blank decorations when rapidly closing and
      reopening (LP: #733328)
    - Unity is not restored on unity/compiz crash: compiz doesn't register
      properly with gnome-session (LP: #716462)
  * remove the patch taken from upstream
  * refresh u-w-d patch with latest upstream work
  * debian/compiz-core.install:
    - image move to the final destination
  * debian/patches/100_bump_core.h.patch:
    - bump for ABI breakage
  * debian/compiz-decorator:
    - use gtk-window-decorator and not unity-window-decorator as it's really
      crashy for now (will probably redo an upload tomorrow with a fixed
      decorator)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 22 Mar 2011 21:45:34 +0100

compiz (1:0.9.4-0ubuntu7) natty; urgency=low

  * debian/control:
    - breaks on old simple-ccsm until a new one for 0.9 is available
  * debian/patches/029_default_options.patch: 
    - don't enable showing desktop while scale is triggered (LP: #736947)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Mar 2011 17:13:32 +0100

compiz (1:0.9.4-0ubuntu5) natty; urgency=low

  * debian/patches/029_default_options.patch: (LP: #723273)
    - remove Super W change for the "Initiate Window Picker for current
       workspace". The default is now compiz default: Shift + Alt + Up
    - transforming the Super A change to Super W for "Initiate Window Picker
      For All Windows"
  * debian/compiz-gnome.gconf-defaults:
    - disable Alt + F1/F2 in the gnome-compat plugin for the unity profile only
      (those keys are handled by unity itself now)
  * debian/source_compiz.py:
    - add xorg info in case of crash

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 16 Mar 2011 19:28:01 +0100

compiz (1:0.9.4-0ubuntu4) natty; urgency=low

  * Fix crashes in unity-window-decorator
    (LP: #724874, #728563, #728383)
  * Fix grid plugin not working with snap (LP: #716313)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 07 Mar 2011 16:31:04 +0100

compiz (1:0.9.4-0ubuntu3) natty; urgency=low

  * debian/rules:
    - don't run unitymtgrabhandles and unityshell by default

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 01 Mar 2011 13:31:32 +0100

compiz (1:0.9.4-0ubuntu2) natty; urgency=low

  * Force libdecoration0 to have the same version than compiz-plugins
  * debian/patches/01_unity_window_decorator.patch
    - fix a crash in unity-window-decorator (LP: #726063, #725284, #726101)
  * Backport some patches from upstream to fix other crashes and bring
    support to the unity plugin (LP: #726702)
  * debian/compiz-core.install:
    png are now installed in /usr/share/compiz
  * add the future unity mt plugin by default

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 28 Feb 2011 20:51:00 +0100

compiz (1:0.9.4-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Fix no windows receiving the focus if someone got the focus then was
      destroyed
    - Fix crash when resizing using keybindings
    - Fix unresponsive inactive decorations (LP: #703755) 
    - Fix the long awaited gconf crash (LP: #691561)
    - gtk-window-decorator doesn't respect special decoration styles
      (LP: #290835)
  * debian/compiz-core.links,
    debian/source_compiz.py,
    debian/compiz-core.install:
    - install again a richer apport hook to redirect nux/libunity/unityshell
      crash. It also asks the user to redirect unity issues against unity (still
      incuding xorg info when needed)
  * Removed a bunch of patches either cherry-picked or pushed upstream. With the
    other fixes, the gconf workaround is hopefully not needed anymore.
  * refresh existing patches to still apply
  * debian/control:
    - rename dep on compiz-fusion* to compiz*
  * debian/patches/085_add_grid_plugin.patch:
    - refresh the grid plugin from new release
  * debian/patches/086_new_grid_defaults.patch
    - separate tweaking the default settings to only have the effect that were
      specified:
      top -> maximize, left (top or bottom left) -> window half left of the
      screen, right (top or bottom right) -> window half right of the screen,
      bottom -> do nothing

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Feb 2011 17:31:29 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu11) natty; urgency=low

  * debian/patches/18_really_fix_stacking_issues.patch:
    - hopefully, this time, the invisible window is dead (LP: #709461)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 11 Feb 2011 13:00:01 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu10) natty; urgency=low

  * debian/patches/080_migrate_gconf_from_alpha1.patch
    debian/reset-compiz-gconf, debian/compiz-gnome.install:
    - remove the additional python wrapper now that people who installed
      alpha1 are considerated to be transitionned to the new schema.
  * debian/patches/17_fix_stacking_issue.patch:
    - backport from upstream. This seems to fix the random invisible window
      (LP: #709461)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 08 Feb 2011 10:31:06 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu9) natty; urgency=low

  * debian/patches/086_fix_unreachable_options_crash.patch:
    getOptions is broken at start as some initialized options aren't map when
    calling from the core. Use direct call instead (LP: #708812).
    Fixes crashes at start.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 02 Feb 2011 15:17:02 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu8) natty; urgency=low

  * debian/patches/14_fix_empathy_list_vanish.patch:
    - fix the buddy list disappearing (LP: #682781)
  * debian/patchs/15_hidden_maximized_decoration.patch:
    - fix sometimes invisible decoration on maximized window still decorated
  * 16_display_unfocused_state.patch:
    - fix unfocused state not being displayed properly in the decoration
      (LP: #704413)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 31 Jan 2011 15:50:17 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu7) natty; urgency=low

  * debian/patches/000_workaround_gconfbackend_init_hang.patch:
    - readd the workaround. Seems that slow machines really have a problem with
      the new init order

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 28 Jan 2011 19:07:35 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu6) natty; urgency=low

  * debian/control:
    - compiz-gnome replaces compiz-fusion-plugins-extra (grid gconf schema file
      is hosted there) (LP: #708835)
  * debian/patches/029_default_options.patch:
    - set the spacing to 68 temporary as a workaround to avoid the spread mode
      to overlap the launcher (LP: #702822)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 28 Jan 2011 15:46:20 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu5) natty; urgency=low

  * debian/patches/000_workaround_gconfbackend_init_hang.patch:
    - remove the workaround (commented in debian/patches/series). It seems to
      work for others without it, I still have it hanging there, but maybe
      that's a system issue, let's see if people reports hangs at start.
  * debian/patches/060_move_checks_to_compiz.patch:
    - adapt to new version

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 Jan 2011 17:42:04 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu4) natty; urgency=low

  * debian/patches/000_fix_stacking.patch:
    - so awaited patch to fix menu stacking issue
      (LP: #693073, #695638, #690461) (congrats smspillaz)
  * debian/patches/065_add_bailer_and_detection_plugins.patch:
    - remove zenity message, now handled in the session level
  * debian/patches/029_default_options.patch:
    - set back to opacity to 100 when dragging windows, seems to have a lot of
      perf issues on some graphic card. (LP: #703458)
  * debian/patches/03_git_fix_maprequest.patch
    debian/patches/04_git_fix_override_redirect_window.patch
    debian/patches/06_git_fix_unmapped_then_remapped_window.patch
    debian/patches/07_git_fix_click_to_focus_issue.patch
    debian/patches/08_make_qt_wine_appearing.patch
    debian/patches/09_git_valgrind_cleanage.patch
    debian/patches/10_git_set_vp_before_window_initialization.patch:
    - misc fixes backported from upstream git head. Fixing flash and gnome-panel
      crash (LP: #683100, #690461)
  * debian/patches/000_workaround_gconfbackend_init_hang.patch:
    - adapt to new version
  * debian/patches/029_default_options.patch:
    - disable ligthning by default on the opengl plugin as it's not really used
      and conflict with unity (LP: #703140)
  * debian/patches/11_git_fix_windows_jumping.patch
    debian/patches/12_fix_warning.patch
    debian/patches/13_fix_window_geometries_and_properties.patch:
    - last minute fix due to regression introduced by the patch above, fix wrong
      geometry and wrong startup position (LP: #707853, #707852)
  * debian/patches/085_add_grid_plugin.patch,
    debian/rules, debian/control, debian/unity.ini,
    debian/compiz-gnome.gconf-defaults
    - add to main (as upstream is doing in the git repository) the grid plugin
      and activate it by default. Replaces the -extra package with a previous
      version
    - tweak the default settings to only have the effect that were specified:
      top -> maximize, left (top or bottom left) -> window half left of the
      screen, right (top or bottom right) -> window half right of the screen

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 Jan 2011 13:05:18 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu3) natty; urgency=low

  * debian/patches/01_unity_window_decorator.patch:
    - dont dep on system libdecoration but on built one
  * debian/control:
    - remove circular build-dep on libdecoration0-dev
    - build against new libmetacity ABI

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 19 Jan 2011 17:52:09 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu2) natty; urgency=low

  * debian/control:
    - temporary depends on libdecoration0-dev as the unity-window-decorator
      needs it. The correct fix will need to shuffle the order of build around
      and take the current library.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 14 Jan 2011 03:17:38 +0100

compiz (1:0.9.2.1+glibmainloop4-0ubuntu1) natty; urgency=low

  [ Didier Roche ]
  * New upstream release:
    - Fixed a high number of wakeups (LP: #681696)
    - Fixed links not working in some gtk windows
    - Raise the window when it is moved if raise on click is enabled
    - Fix crash when loading plugins on the command line
    - Fix focus issues on window close and reopen rapidly
    - Fix focus issues with multiple X screens
    - Glib plugin removed
    - Fix bug where not moving the mouse and clicking button 2 or 3 in
      scale addon would close the current active window, not the window the
      mouse hovers over
    - Add unity-window-decorator
    - Move window doesn't raise window (LP: #695570)
    - gtk.Label <a href> link-activate signal broken with compiz in natty
      (LP: #687732)
  * debian/patches/060_move_checks_to_compiz.patch:
    - remove GNOME failsafe detection as now handled as a session type in
      gnome-session
  * Remove deprecated or now merge upstream patches:
    - 01_backport_trunk_fix.patch
    - 002_ship_splited_gconf_cmakeext_files.patch
    - 004_packagemode_is_release_debug_for_plugins.patch
    - 005_no_glib_plugin.patch
    - 017_always_unredirect_screensaver_on_nvidia.patch
    - 080_migrate_gconf_from_alpha1.patch
  * debian/compiz-gnome.gconf-defaults,
    debian/patches/029_default_options.patch:
    - new settings for natty. Also set the 2x2 layout by default
  * unity-decorator:
    - debian/compiz-decorator:
      launch unity-compiz-decorator in gnome sessions
    - debian/compiz-gnome.install:
      install it
    - debian/control:
      depends on latest metacity having the right extension
    - debian/patches/01_unity_window_decorator.patch:
      add unity-window-decorator
  * debian/patches/02_add_debug_spewer_for_apport.patch:
    - new plugin (not activated for now) to get additional info for apport

  [ Bryce Harrington ]
  * compiz-core.install, compiz-core.links, source_compiz.py:
    Replace the compiz apport hook with a link to xorg's apport script.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 13 Jan 2011 21:50:27 +0100

compiz (1:0.9.2.1+glibmainloop3-0ubuntu5) natty; urgency=low

  * Restore the workaround to avoid crashes (lp: #691561)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Dec 2010 21:08:43 +0100

compiz (1:0.9.2.1+glibmainloop3-0ubuntu4) natty; urgency=low

  * debian/patches/000_workaround_gconfbackend_init_hang.patch:
    - drop the workaround, the issue has not been confirmed but the update
      broke the menus in unity (lp: #690461)
  * debian/patches/060_move_checks_to_compiz.patch:
    - adapted regarding previous patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Dec 2010 22:19:50 +0100

compiz (1:0.9.2.1+glibmainloop3-0ubuntu3) natty; urgency=low

  * debian/patches/080_migrate_gconf_from_alpha1.patch,
  debian/reset-compiz-gconf,
  debian/compiz-gnome.install:
  - temporary wrapper from new gconf path not transitionned from alpha1
    (allscreens became screen0). This will reset the current compiz profiles
    (LP: #690011)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 14 Dec 2010 19:25:03 +0100

compiz (1:0.9.2.1+glibmainloop3-0ubuntu2) natty; urgency=low

  * debian/patches/000_workaround_gconfbackend_init_hang.patch:
    - workaround in delaying the plugin init as the gconf backend hangs when
      trying to contact/launch the gconf daemon. This only happens when you
      don't change your current profile, at session start.
  * debian/patches/060_move_checks_to_compiz.patch:
    - adapted regarding previous patch

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 14 Dec 2010 02:57:50 +0100

compiz (1:0.9.2.1+glibmainloop3-0ubuntu1) natty; urgency=low

  * new glibmainloop branch snapshot:
    - fix launching an application set it to the wrong place (LP: #683273)
    - Can't resize windows to be displayed on several monitors (LP: #455378)
    - Scale All Windows gets its suffixes wrong for a 3x3 layout (LP: #683063)
    - Compiz sometimes loses focus when closing some windows (LP: #671459)
    - Fix hanging when session exit (LP: #683121)
  * debian/patches/000_fix_OOo_crash1.patch
    debian/patches/000_fix_OOo_crash2.patch
    debian/patches/001_fix_gconf_path.patch
    debian/patches/003_more_gconf_parser_fix.patch:
   - remove, upstreamed.
  * debian/patches/060_move_checks_to_compiz.patch:
    - adapt to new version
  * debian/patches/01_backport_trunk_fix.patch:
    - backport some additional fixes from trunk, otherwise compiz crash at start
  * debian/source_compiz.py:
    - fix gconf path
  * debian/compiz-gnome.gconf-defaults, debian/rules, debian/unity.ini,
    debian/patches/030_no_fade_in_staticswicher.patch:
    - change order to load fade before staticswichter to avoid the fade effect
      when alt + tabbing (LP: #683635)
    - add snap and workarounds by default as well
  * debian/compiz-gnome.gconf-defaults,
    debian/compiz-keybindings.sed,
    debian/patches/021_hide_tooltip_on_decorator.patch,
    debian/patches/057_update_gnome_bindings.patch:
    - update the gconf path from allscreens to screen0 as new gconf path in the
      gconf backend
  * debian/control:
    - handle the ABI breakage with other compiz components

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Dec 2010 16:38:10 +0100

compiz (1:0.9.2.1+glibmainloop2-0ubuntu4) natty; urgency=low

  * debian/patches/065_add_bailer_and_detection_plugins.patch:
    - fix the fallback not launching gnome-panel when no 3D support
      (LP: #683356, #683531)
  * debian/patches/000_fix_OOo_crash{1,2].patch:
    - cherry-pick fix crashes with random applications (LP: #675506)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Dec 2010 13:10:41 +0100

compiz (1:0.9.2.1+glibmainloop2-0ubuntu3) natty; urgency=low

  * debian/rules:
    - use our own keybindings with new Compiz wm_name
      (note, upstream one faily try to install them ignoring DESTDIR, keep in
       mind when fixed to keep ours)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 29 Nov 2010 19:37:41 +0100

compiz (1:0.9.2.1+glibmainloop2-0ubuntu2) natty; urgency=low

  * debian/rules:
    - build with RelWithDebInfo cmake flag to get debug info and release
      optimisation
  * debian/patches/004_packagemode_is_release_debug_for_plugins.patch:
    - when compiz plugin built in "Package" mode, add optimization + debug
      symbols for stripping in dbgsym. Thanks RAOF for pointing at it
      (LP: #682574)
  * debian/patches/005_no_glib_plugin.patch:
    - remove glib plugin as conflicting with the glibmainloop branch
  * debian/source_compiz.py:
    - grab new gconf path in apport bug report

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 29 Nov 2010 12:23:15 +0100

compiz (1:0.9.2.1+glibmainloop2-0ubuntu1) natty; urgency=low

  * new upstream snapshot with glibmm experimental branch:
    - Compiz crashes when scrolling in Openoffice (LP: #675506)
    - Compiz sometimes loses focus when closing some windows (LP: #671459)
    - Fix --replace hang (LP: #680165)
  * debian/65compiz_profile-on-session:
    - add unity profile to default session
  * debian/rules:
    - add bailer, detection, regex and animation and fade plugin to both
      profiles
    - get an optimized plugin default order
  * debian/patches/060_move_checks_to_compiz.patch:
    - start stripping it down as now we have a detection and bailer plugins
      for that. The failsafe session should be moved in the detection plugin.
  * debian/patches/055_fix_COMPIZ_DEFAULT_PLUGINS.patch,
    debian/patches/056_Preserve-DESTDIR-if-no-override-in-COMPIZ_DESTDIR.patch
    debian/patches/057_update_gnome_bindings.patch:
    - removed, upstreamed
  * debian/patches/065_add_bailer_and_detection_plugins.patch:
    - add bailer and detection plugins to fallback to 2D session or run in
      degraded mode.
  * debian/compiz-gnome.install, debian/unity.ini,
    debian/compiz-gnome.gconf-defaults:
    - add the unity profile to ini and gconf backend
  * debian/patches/001_fix_gconf_path.patch:
    - fix the path when generating the gconf keys (compiz-1)
  * debian/patches/002_ship_splited_gconf_cmakeext_files.patch:
    - ship and link the splited gconf extension schema builder
  * debian/control:
    - add libglibmm-2.4-dev build-dep and to -dev dep
  * debian/patches/003_more_gconf_parser_fix.patch:
    - fix parser breakage with some plugins

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Nov 2010 20:30:56 +0100

compiz (1:0.9.2.1+glibmainloop-0ubuntu3) natty; urgency=low

  * debian/rules:
    - add gnomecompat as a default plugin (LP: #675774)
    - add vpswitch too
  * debian/libdecoration0.symbols:
    - add a symbol file
  * debian/patches/057_update_gnome_bindings.patch:
    - update wmname to get the keybindings shown in GNOME capplet

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 18 Nov 2010 14:35:04 +0100

compiz (1:0.9.2.1+glibmainloop-0ubuntu2) natty; urgency=low

  * debian/patches/065_glib_mainloop.patch:
    - removed as part of make dist
  * debian/control:
    - make compiz-dev dep on libglib2.0-dev

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Nov 2010 21:52:26 +0100

compiz (1:0.9.2.1+glibmainloop-0ubuntu1) natty; urgency=low

  * New upstream snapshot with glib mainloop support needed for unity compiz
  * debian/rules:
    - use the ezoom plugin rather than the zoom one
  * debian/patches/055_fix_COMPIZ_DEFAULT_PLUGINS.patch,
    debian/patches/056_Preserve-DESTDIR-if-no-override-in-COMPIZ_DESTDIR.patch:
    - refresh to new upstream snapshot

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Nov 2010 18:20:59 +0100

compiz (1:0.9.2.1-0ubuntu2) natty; urgency=low

  * debian/control:
    - add missing replaces with latest natty version

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Nov 2010 10:40:29 +0100

compiz (1:0.9.2.1-0ubuntu1) natty; urgency=low

  [ Travis Watkins ]
  * debian/patches/010-disable-child-window-clipping.patch,
    debian/patches/013-add-cursor-theme-support.patch,
    debian/patches/016_call_glxwaitx_before_drawing.patch,
    debian/patches/035_ignore_workspaces,
    debian/patches/037_fullscreen_stacking_fixes.patch,
    debian/patches/061_KWD_stubs.patch,
    debian/patches/090_profiling,
    - removed as they are applied upstream or obsolete
  * debian/patches/017_always_unredirect_screensaver_on_nvidia.patch
    debian/patches/018_use_metacity_settings.patch
    debian/patches/021_hide_tooltip_on_decorator.patch
    debian/patches/029_default_options
    debian/patches/060_move_checks_to_compiz.patch
    - updated for 0.9 and added DEP-3 comments
  * comment debian/patches/014_fix-no-border-window-shadow.patch
  * debian/kde4-window-decorator.1:
    - renamed kde-window-decorator.1 with name fixups
  * debian/compiz-decorator.1,
    debian/compiz-core.manpages:
    - add compiz-decorator manpage
  * debian/compiz.1,
    debian/kde4-window-decorator.1:
    - refreshed
  * debian/compiz-decorator:
    - remove support for kde-window-decorator as it no longer exists
  * debian/compiz-gnome.gconf-defaults:
    - strip down to just gtk-window-decorator defaults, we set the rest in
      other places already
  * debian/rules:
    - switch to debhelper 7 style rules, much easier to understand
  * debian/control:
    - add cmake and boost build-depends, remove automake

  [ Didier Roche ]
  * new upstream release
  * remerge and adapt travis' work to latest release in natty
  * debian/patches/029_default_options.patch:
    - retake latest patch and refresh to new version
  * debian/patches/060_move_checks_to_compiz.patch:
    - remove all plugins and not use the DEFAULT plugin list (just load cpp)
  * debian/compiz-gnome.gconf-defaults:
    - keep some needed value. With gsetting port, we should only push default,
      don't be evil and avoid patching the schema
  * debian/control:
     - bump all dep to 0.9 for compiz components
     - add libboost-serialization1.42-dev build-dep
     - add some sanity check as well (lintian warnings)
     - additional dependency on compiz-plugins from compiz-dev
  * debian/patches/015_optional-fbo.patch:
    - removed as the new version doesn't seem to handle that natively
  * debian/patches/014-fix-gtk-window-decorator-no-argb-crash.patch:
    - removed as seems to be upstreamed
  * debian/patches/015_draw_dock_shadows_on_desktop.patch:
    - removed from now, let's revert to upstream behavior
  * debian/patches/020_disable_gdk_gtk_disable_deprecated:
    - removed, upstream
  * disable debian/patches/021_hide_tooltip_on_decorator.patch for now
  * debian/compiz-core.install,debian/compiz-dev.install,
    debian/compiz-gnome.install:
    - changed the path according to new upstream layout and remove some
      libraries and re-ad /usr/share/gnome/wm-properties/compiz.desktop to
      make the gnome-window-properties work again (LP: #269805)
    - compiz-gnome install gconf schemas, not compiz-plugins
    - also some cleanage to make things easier to read
  * debian/compiz-kde.manpages:
    - adapt to kde4 new manpage
  * convert to quilt format
  * remove debian/patches/562027-fix-gconf-ftbfs.patch,
     debian/patches/635258-fix-pixmap-size-calculations.patch,
     debian/patches/111_link-kde-window-decorator-with-x11:
    - not relevant in the context
  * debian/compiz-kde.install, debian/compiz-plugins.install:
    - put likde in compiz-kde package
  * debian/rules:
    - a lot of cleanage, try to make the rule easy to read
    - force to build in release mode
    - compile the default plugins list
    - force copying to cmake install dir. Don't use findcompiz_install which is
      broken upstream when using DESTDIR and COMPIZ_DESTDIR
    - add some switch to ensure we build in package mode not in debug one
  * add debian/patches/055_fix_COMPIZ_DEFAULT_PLUGINS.patch:
    - use COMPIZ_DEFAULT_PLUGINS from debian/rules
  * debian/patches/056_Preserve-DESTDIR-if-no-override-in-COMPIZ_DESTDIR.patch:
    - make compiz respect env variable
  * debian/patches/065_glib_mainloop.patch:
    - added but not activated yet: need some work with tip of compiz 0.9.2.1

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Oct 2010 12:23:51 +0200

compiz (1:0.8.6-0ubuntu12) natty; urgency=low

  * Merge patch 110_link-gtk-windows-decorator-with-xcursor into
    013-add-cursor-theme-support as that's where the bug was introduced.
  * Remove bogus dh_install -pcompiz-wrapper call in rules leaving a
    debhelper.log over; presumably left over from the removal of this package.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 18 Oct 2010 00:13:28 +0200

compiz (1:0.8.6-0ubuntu11) natty; urgency=low

  * New patch, 110_link-gtk-windows-decorator-with-xcursor, fix configure.ac
    to require the xcursor pkg-config file/libs etc. for gtk/window-decorator
    which calls XcursorSetTheme(); fixes FTBFS.
  * New patch, 111_link-kde-window-decorator-with-x11, fix configure.ac to
    require the x11 pkg-config file/libs etc. for kde/window-decorator which
    calls XGetWMProtocols(); fixes FTBFS.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 17 Oct 2010 23:19:57 +0200

compiz (1:0.8.6-0ubuntu10) natty; urgency=low

  * New patch, 635258-fix-pixmap-size-calculations, from commit
    0f95c41a0aa175ddf7947ba18b01f746c95594a9 in the 0.8 branch; thanks
    Paul Donohue; LP: #635258.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 17 Oct 2010 22:02:58 +0200

compiz (1:0.8.6-0ubuntu9) maverick; urgency=low

  * debian/compiz-gnome.gconf-defaults: /apps/gwd/metacity_theme_opacity
    is a float (1.0), not int (1).

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 24 Sep 2010 21:09:32 -0400

compiz (1:0.8.6-0ubuntu8) maverick; urgency=low

  * debian/compiz-gnome.gconf-defaults
    - move the shadow 4 pixels down, in order to reduce the shadow between 
      menubaritems and the menu frame (LP: #634417)

  * debian/patches/029_default_options.patch
    - get rid of the transparency on the unfocused window frame. (LP: #634417)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Sep 2010 16:59:27 -0400

compiz (1:0.8.6-0ubuntu7) maverick; urgency=low

  * 060_move_checks_to_compiz.patch: Remove Sandybridge bridge devices from
    the blacklist, they were preventing compiz from loading on machines
    with discreet GPU's as well. (LP: #644372)

 -- Robert Hooker <robert.hooker@canonical.com>  Tue, 21 Sep 2010 09:46:36 -0400

compiz (1:0.8.6-0ubuntu6) maverick; urgency=low

  * Update 060_move_checks_to_compiz.patch to add Intel Sandybridge pci id's
    to the blacklist, the mesa dri driver claims it instead of swrast so 
    compiz tries to use it but does not work currently. (LP: #633376)

 -- Robert Hooker <robert.hooker@canonical.com>  Wed, 08 Sep 2010 13:10:11 -0400

compiz (1:0.8.6-0ubuntu5) maverick; urgency=low

  * Fix LP: #622195 - dh_install can't rename files. In trying to do so,
    compiz-wm.desktop is installed one folder too deep, breaking
    gnome-{appearance,window}-properties
    - update debian/compiz-gnome.install

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Aug 2010 21:33:53 +0100

compiz (1:0.8.6-0ubuntu4) maverick; urgency=low

  * debian/control: Argh, also reduce the libcompizconfig0 dependency to the
    version that actually rebuilt against 0.8.6.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Aug 2010 10:40:30 +0200

compiz (1:0.8.6-0ubuntu3) maverick; urgency=low

  * debian/control: Reduce libcompizconfig0 breaks to << the version that
    actually rebuilt against 0.8.6.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Aug 2010 00:13:46 +0200

compiz (1:0.8.6-0ubuntu2) maverick; urgency=low

  * control: Don't build-depends on libdbus-qt-1-dev, it's deprecated

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Aug 2010 17:49:08 +0200

compiz (1:0.8.6-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Maintenance release.
    - Various focus and window placement fixes.
    - Fixed handling of windows that have a (server-drawn) border.
    - Fixed handling of window icons that have a colour depth of 1 bit.
    - Added KDE 4.4 support to KDE4 window decorator.
  * debian/control:
    - Build-depend on libx11-dev, libxext-dev
  * debian/patches/020_fix_focus.patch:
  * debian/patches/030_from_git_crash_fix_multiscreen.patch:
  * debian/patches/031_from_git_fix_gnome_keybindings.patch:
  * debian/patches/070_remove_deprecated_gtk_symbol.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Jul 2010 17:23:05 +0200

compiz (1:0.8.4-4ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on cdbs for strip-schemas
    - Add version on libmetacity-dev build-depend
    - Add KDE build-depends
    - Add metacity-common build-depends (for getting keybindings)
    - Add gnome-control-center-dev build-depends (may not be required)
    - Add libx11-xcb-dev build-depend
    - Add Vcs-Bzr link
    - compiz provides x-window-manager
    - compiz-core does not provide mesa-utils
    - compiz-core breaks old version of compiz-fusion-plugins-main and
      compiz-fusion-plugins-extra
    - compiz-core replaces old compiz-wrapper
    - compiz-dev depends on libx11-xcb-dev
    - compiz-gnome and compiz-kde depend on compiz-plugins and their backends
  * debian/rules:
    - Compile a subset of the plugins
    - Do not build the kconfig plugin (in favior of libcompizconfig)
    - Build with --enable-gconf
    - Build translations/language packs
    - Install compiz-decorator wrapper
    - Install apport hook
    - Copy keybindings from metacity
    - Exclude some files from compiz-plugins
  * debian/compiz-core.install:
    - Don't install plugin files
